2010-01-16 19:38  judd

	* libpisock/calendar.c: Made code actually work with pi_buffer_t
	  parameters.

2010-01-16 19:37  judd

	* tests/calendardb-test.c: Added code to test pack_CalendarAppInfo

2010-01-16 17:54  judd

	* tests/calendardb-test.c: Changed to pass a pi_buffer_t into
	  unpack_CalendarAppInfo

2010-01-16 17:29  judd

	* include/pi-calendar.h, libpisock/calendar.c: Changed
	  pack_CalendarAppInfo, and unpack_CalendarAppInfo to use
	  pi_buffer_t to match the APIs of the other applications.

2009-12-10 20:48  judd

	* src/pilot-xfer.c: If a file is installed to VFS with the same
	  filename as an existing file the tail of the previous file is
	  still intact and at the end of the file.  I added a
	  dlp_VFSFileResize call to truncate the file size to zero before
	  writing the new file.

2009-12-01 23:20  judd

	* src/pilot-xfer.c: fixed minor signed/unsigned compiler warnings

2009-12-01 23:15  judd

	* src/pilot-xfer.c: Fixed signed/unsigned comparisons that failed
	  with cards larger than 4G or so.  The code would incorrectly
	  decide there wasn't enough free space to install.

2009-09-20 17:07  judd

	* libpisock/calendar.c: location flag was not being used.  Added
	  location flag and proper use of it.

2009-06-04 09:38  desrod

	* src/pilot-schlep.c: Oops, stupid mistake. creat(2) is always the
	  last param. :)

	  (Coding-on-the-train)--

2009-06-04 09:32  desrod

	* libpisock/os2serial.c, src/pilot-xfer.c, src/pilot-addresses.c,
	  src/pilot-foto-treo600.c, src/pilot-foto-treo650.c,
	  src/pilot-schlep.c, src/pilot-csd.c, src/pilot-getrom.c,
	  src/pilot-install-memo.c, src/pilot-read-todos.c: Cleaner O_CREAT
	  modes (done right!) Writing explicit numbers for file permissions
	  is bad practice. Not only is it not portable, it also requires
	  that everyone who reads your source to remember what the bits
	  mean.

2009-05-25 00:43  desrod

	* ChangeLog: Pushing ChangeLog back upstream

2009-05-25 00:40  desrod

	* include/Makefile.am, tests/Makefile.am: Last-minute fixes before
	  releasing 0.12.4

2009-05-25 00:19  desrod

	* libpisock/usb.c: Fix for Sony SJ-22 device sync (fixes bug #1957
	  filed at bugs.pilot-link.org)

2009-05-25 00:16  desrod

	* doc/xml/pilot-xfer.xml: Updated documentation to reflect a
	  cleaner layout and output (closes bug #1913 in the bugtracker at
	  bugs.pilot-link.org

2009-02-23 06:59  nicholas

	* ChangeLog, include/pi-contact.h, libpisock/contact.c,
	  tests/contactsdb-test.c: Integrate jpilot's contacts support. See
	  http://lists.pilot-link.org/pipermail/pilot-link-devel/2009-February/001762.html
	  .

	  This is based on:

	  ===================================================================
	  File: jp-contact.c  Status: Up-to-date

	     Working revision:	  1.10
	     Repository revision: 1.10
	  /cvs/jpilot/jpilot_src/jp-contact.c,v
	     Sticky Tag:		  (none)
	     Sticky Date:			  (none)
	     Sticky Options:			  (none)

	  ===================================================================
	  File: jp-pi-contact.h       Status: Up-to-date

	     Working revision:	  1.5
	     Repository revision: 1.5
	  /cvs/jpilot/jpilot_src/jp-pi-contact.h,v
	     Sticky Tag:		  (none)
	     Sticky Date:			  (none)
	     Sticky Options:			  (none)

2009-02-22 17:54  nicholas

	* bindings/Python/.cvsignore: Add generated file to .cvsignore

2009-02-22 03:08  nicholas

	* include/Makefile.am, include/pi-blob.h, include/pi-calendar.h,
	  include/pi-location.h, libpisock/Makefile.am, libpisock/blob.c,
	  libpisock/calendar.c, libpisock/location.c, tests/.cvsignore,
	  tests/Makefile.am, tests/calendardb-test.c,
	  tests/locationdb-test.c: Adding CalendarDB support to pilot-link

2009-02-21 18:44  desrod

	* configure.ac: Adding minor tweak for m4 macro optimizations

2009-02-21 17:22  desrod

	* libpisock/contact.c: Minor fix for a buffer size miscalculation
	  (from Nicholas Piper)

2009-02-07 11:09  desrod

	* include/Makefile.am: Adding missing newline at the end of the
	  file.

2009-02-07 11:05  desrod

	* include/Makefile.am: Just testing a commit, debugging failure in
	  CVS locks. Debian--

2008-11-06 05:45  desrod

	* include/: pi-debug.h, pi-threadsafe.h: Cleaning up unnecessary
	  references to config.h here.

2008-11-05 20:14  judd

	* configure.ac: Added pi-md5.h.in

2008-11-05 20:14  judd

	* include/pi-md5.h.in: generates pi-md5.h

2008-11-05 20:13  judd

	* include/pi-md5.h: Now autogenerated from pi-md5.h.in

2008-05-03 16:23  desrod

	* libpisock/bluetooth.c: Add minor fix for reported segfault when
	  closing down bluetooth connection.

	  This closes bug #1872

2007-12-17 22:03  judd

	* include/pi-md5.h: UINT32 was broken on 64-bit systems.  This
	  should fix it on most systems.

2007-12-17 20:56  desrod

	* ChangeLog: Increment ChangeLog to test/validate an LDAP
	  permission issue with LockDir

2007-11-22 17:19  desrod

	* libpisock/usb.c: Implementing a Zire 22 fix from Tom Billiet

2007-11-12 13:42  desrod

	* configure.ac: Bump for 0.12.4

2007-11-12 13:01  desrod

	* configure.ac: [no log message]

2007-11-12 12:56  desrod

	* bindings/Perl/Pilot.xs: Added Aaron's fixes (oof! This has been
	  in the queue for awhile. Sorry Aaron). This closes bug #1448.

2007-11-12 12:30  desrod

	* NEWS: Bump for 0.12.3 release

2007-11-12 11:58  desrod

	* ChangeLog: Bump ChangeLog to current

2007-11-12 11:28  desrod

	* doc/xml/: pilot-foto-treo600.xml, pilot-foto-treo650.xml: Adding
	  manpages for renamed conduits

2007-11-12 11:25  desrod

	* doc/xml/pilot-link.docbook, doc/xml/pilot-link.xml,
	  src/Makefile.am: Updated for new conduit renames and new manpages
	  to follow them

2007-11-12 09:38  desrod

	* doc/: man/Makefile.am, xml/pilot-650foto.xml,
	  xml/pilot-treofoto.xml: Removing legacy manpages for renamed
	  conduits

2007-11-12 09:26  desrod

	* src/: pilot-650foto.c, pilot-read-todos.c, pilot-treofoto.c:
	  Replaced pilot-650foto.c with pilot-foto-treo650.c and
	  pilot-treofoto.c with pilot-foto-treo600.c.

	  Fixed pilot-read-todos.c to allow reading files from outside its
	  own directory

2007-11-09 11:01  desrod

	* src/pilot-addresses.c: Fix for devices > OS5. Instead of bailing
	  out, we'll just report a warning for now until I can rewrite
	  this.

2007-11-09 10:48  desrod

	* src/pilot-install-memo.c: Fix for installing files to Memo Pad
	  when they aren't in the current working directory

2007-11-09 09:52  desrod

	* doc/xml/pilot-read-todos.xml: More clarity about what is and is
	  not supported by this conduit. This closes bug #1837

2007-11-09 09:43  desrod

	* bindings/Java/Makefile.am: Update to allow parallel builds of
	  pilot-link's Java bindings. This closes bug #1802.

2007-11-09 09:40  desrod

	* bindings/Java/Makefile.am: Updated Java bindings to fix unescaped
	  vars. This prevents accidental installation of the Java bindings.

2007-11-09 09:35  desrod

	* configure.ac, m4/bluez.m4: Update to fix the BlueZ detection,
	  also add a --without-bluez option to explicitly disable BlueZ for
	  builds on systems where BlueZ is detected.

	  This also closes bug #17795 and Debian bug 413051 in the Debian
	  BTS

2007-11-09 09:07  desrod

	* src/pilot-csd.c: Minor fix for -H issue by Philipp Matthias Hahn.
	  This closes #1824 in the pilot-link bugtracker and #430808 in the
	  Debian BTS.

2007-11-09 08:59  desrod

	* libpisock/usb.c: Fix for Sony NR70 devices by Serguei Miridonov.
	  This closes issue #1830

2007-10-11 12:02  desrod

	* configure.ac: Fixed a small cosmetic error with PNG detection
	  (resolves bug #1804)

2007-07-30 00:56  desrod

	* src/pilot-addresses.c: Minor update to attempt to fix the > OS5
	  detection

2007-07-29 22:09  desrod

	* configure.ac, doc/Makefile.am: Updated the xsltproc check to only
	  build when xsltproc is found, else skip

	  This resolves bug #1805.

2007-07-29 22:05  desrod

	* configure.ac: Increment CURRENT and REVISION for libpisync as
	  required by autoconf guidelines:

	  http://sources.redhat.com/autobook/autobook/autobook_91.html

2007-05-31 21:13  desrod

	* doc/xml/pilot-install-netsync.xml, src/pilot-install-netsync.c:
	  Clarified the network parameters which are allowed for this
	  conduit.

2007-04-16 12:47  desrod

	* m4/bluez.m4: Trying to clean up the autoconf by moving to .m4
	  files. BlueZ is a mess :)

2007-03-17 15:15  desrod

	* src/pilot-install-datebook.c: Missed application of
	  pi_buffer_new(). This closes bug #1789.

2007-03-17 15:04  desrod

	* bindings/Perl/Makefile.PL.in: Closing bug #1705 from 7-15,
	  patched with Aaron's Perl fix

2007-03-08 12:54  desrod

	* configure.ac: Oops, that wasn't right, this one is.

2007-03-08 12:37  desrod

	* configure.ac: Bump pisock to the next level

2007-02-21 12:27  desrod

	* pilot-link.m4.in: This was here to test and debug a BlueZ
	  problem, which has now been fixed by completely rewriting the
	  autoconf test for it. This also closes pilot-link bug #1793 and
	  Debian bug #411382

2007-02-19 08:59  desrod

	* libpisock/usb.c: Oops, forgot to commit Matt Davey's fix. This
	  closes bug #1782.

2007-02-18 21:16  desrod

	* doc/xml/pilot-memos.xml: Closing Debian bug #391984

2007-02-16 23:26  desrod

	* doc/xml/: docbook.xsl.in, pilot-install-todo.xml,
	  pilot-install-todos.xml: Updated documents: docbook.xsl.in: Can't
	  have comments above the opening declaration
	  pilot-install-todo[s].xml: Reference each other until we merge
	  together

2007-02-16 21:40  desrod

	* bindings/Tcl/: Makefile.am, pitcl.c: Fixing Tcl bindings so they
	  build clean. I don't know if they'll work, but this should at
	  least fix them so they do not error out and crash a build when
	  enabled. This also closes bug #1488

2007-02-16 13:42  desrod

	* doc/xml/pilot-link.docbook: Oops, can't have anything above the
	  XML declaration. My bad.

2007-02-16 13:26  desrod

	* doc/: 60-libpisock.rules, CodingGuidelines, README,
	  README.debugging, README.libusb, README.usb, TODO,
	  xml/Makefile.am, xml/README, xml/catalog.xml.in,
	  xml/docbook.xsl.in, xml/pilot-link.docbook: Updating some docs to
	  add the CVS Id header, added README file at the top level to
	  clarify where things are

2007-02-16 12:28  desrod

	* configure.ac: Fixes for xsltproc detection. Prior behavior was
	  reporting a nonsensical error and continuing past it. This should
	  report a useful error.

2007-02-16 11:16  desrod

	* pilot-link.m4.in: Fix unbalanced parens and brackets

2007-02-14 21:18  desrod

	* configure.ac: Fix for bluetooth argument not being properly
	  passed at configure time.  Closes bug #1791

2007-02-14 20:01  desrod

	* configure.ac, doc/xml/pilot-xfer.xml: Fixing another XML issue,
	  how this got back in there post-release, I don't know, but its
	  fixed and verified now. Also bumped for 0.12.3.

2007-02-11 15:17  desrod

	* NEWS: Oops! How did I forget to commit this? Bump for 0.12.2 NEWS
	  items.

2007-02-09 17:00  desrod

	* configure.ac: Minor BlueZ retrofit

2007-02-09 15:52  desrod

	* doc/TODO, doc/xml/pilot-ietf2datebook.xml,
	  doc/xml/pilot-link.xml, src/Makefile.am, src/ietf2datebook.PL,
	  src/pilot-undelete.PL, src/sync-plan.PL: Updated more userland
	  namespace issues

2007-02-09 15:43  desrod

	* bindings/Makefile.am: Hans Meine's fix for building Python in a
	  sandbox environment ($DESTDIR)

2007-02-09 15:35  desrod

	* configure.ac: Minor fix for BlueZ output and config.h sanity

2007-02-09 13:49  desrod

	* ChangeLog: ChangeLog for 0.12.2

2007-02-09 12:58  desrod

	* bindings/: README, README.de: More extraneous Java cruft in the
	  wrong dir, reformatted a README

2007-02-09 12:28  desrod

	* bindings/: libjpisock.h, test.java: More extraneous Java junk in
	  the wrong directory

2007-02-09 12:27  desrod

	* bindings/: Makefile.am, libjpisock.c: I'm not sure why this was
	  in the bindings directory, it belongs in the Java directory..
	  removed.

2007-02-09 11:16  desrod

	* bindings/Perl/Pilot.xs: Fix for using newSVpvn(buf,size) instead
	  of newSVpv(buf,size) where necessary. This closes bug 1736 from
	  Aaron.

2007-02-09 11:11  desrod

	* include/pi-usb.h: Solaris doesn't directly support uint8_t,
	  uint16_t and uint32_t.. fixed.

	  This closes bug 1759, reported by Jyu.

2007-02-09 11:06  desrod

	* libpisock/libusb.c: Fix for a missing define for __FUNCTION__ on
	  Solaris; closes bug 1760 submitted by Jyu.

2007-02-09 11:01  desrod

	* doc/xml/: pilot-link.xml, pilot-schlep.xml: Small fixes here and
	  there, just a dab of salt, a pinch of pepper..

2007-02-09 10:51  desrod

	* doc/xml/docbook.xsl.in: We're already importing docbook.xsl which
	  includes xref.xsl and lists.xsl from /html/, there's no reason to
	  do it twice (closes pilot-link bug 1773).

2007-02-09 09:24  desrod

	* doc/60-libpisock.rules: Fix for a struct change in upstream udev
	  from SYSFS to ATTRS. This also closes Debian bug #410152 for the
	  same issue.

2007-02-08 12:08  desrod

	* doc/Makefile.am, doc/README.debugging, doc/xml/docbook.xsl.in,
	  doc/xml/ietf2datebook.xml, doc/xml/pilot-650foto.xml,
	  doc/xml/pilot-addresses.xml, doc/xml/pilot-clip.xml,
	  doc/xml/pilot-csd.xml, doc/xml/pilot-debugsh.xml,
	  doc/xml/pilot-dedupe.xml, doc/xml/pilot-dlpsh.xml,
	  doc/xml/pilot-file.xml, doc/xml/pilot-foto.xml,
	  doc/xml/pilot-getram.xml, doc/xml/pilot-getrom.xml,
	  doc/xml/pilot-ietf2datebook.xml, doc/xml/pilot-getromtoken.xml,
	  doc/xml/pilot-hinotes.xml, doc/xml/pilot-install-datebook.xml,
	  doc/xml/pilot-install-expenses.xml,
	  doc/xml/pilot-install-hinote.xml, doc/xml/pilot-install-memo.xml,
	  doc/xml/pilot-install-netsync.xml,
	  doc/xml/pilot-install-todo.xml, doc/xml/pilot-install-todos.xml,
	  doc/xml/pilot-install-user.xml, doc/xml/pilot-link.xml,
	  doc/xml/pilot-memos.xml, doc/xml/pilot-nredir.xml,
	  doc/xml/pilot-read-expenses.xml, doc/xml/pilot-read-ical.xml,
	  doc/xml/pilot-read-notepad.xml, doc/xml/pilot-read-palmpix.xml,
	  doc/xml/pilot-read-screenshot.xml, doc/xml/pilot-read-todos.xml,
	  doc/xml/pilot-read-veo.xml, doc/xml/pilot-reminders.xml,
	  doc/xml/pilot-schlep.xml, doc/xml/pilot-treofoto.xml,
	  doc/xml/pilot-wav.xml, doc/xml/pilot-xfer.xml,
	  include/pi-bluetooth.h, libpisock/bluetooth.c, src/Makefile.am:
	  Documentation bump for 0.12.2

2007-02-08 10:02  desrod

	* doc/CodingGuidelines: Update to add a few minor clarifications

2007-02-08 09:26  desrod

	* doc/syncabs.sgml: Removing deprecated syncabs information, needs
	  to be rewritten based on the new changes in the 0.12.x codebase.

2007-02-06 10:17  desrod

	* libpisock/: libusb.c, usb.c: Fix for a Tungsten X issue. This
	  will detect that the usb control message send has failed and skip
	  the interface until the correct one appears, and the usb control
	  message is successfully send/recieved.

2007-02-05 12:53  desrod

	* libpisock/Makefile.am: Last-minute fixes for BlueZ support from
	  Daniel Gollub.. fixes an oopsie in userland conduits

2007-02-05 12:21  desrod

	* configure.ac, libpisock/Makefile.am: Incorporating Daniel
	  Gollub's BlueZ patches and fixes

2007-02-04 20:57  desrod

	* configure.ac: Fix a small issue with libtool not creating
	  ltmain.sh on a clean checkout

2007-02-04 20:47  desrod

	* doc/: man/Makefile.am, xml/pilot-read-todos.xml,
	  xml/pilot-read-veo.xml: Fixing up some doc building issues

2007-02-04 18:05  desrod

	* doc/man/Makefile.am, doc/xml/ietf2datebook.xml,
	  doc/xml/install-datebook.xml, doc/xml/install-hinote.xml,
	  doc/xml/pilot-ietf2datebook.xml, doc/xml/install-memo.xml,
	  doc/xml/install-netsync.xml, doc/xml/install-todo.xml,
	  doc/xml/install-todos.xml, doc/xml/install-user.xml,
	  doc/xml/pilot-650foto.xml, doc/xml/pilot-addresses.xml,
	  doc/xml/pilot-clip.xml, doc/xml/pilot-csd.xml,
	  doc/xml/pilot-debugsh.xml, doc/xml/pilot-dedupe.xml,
	  doc/xml/pilot-dlpsh.xml, doc/xml/pilot-file.xml,
	  doc/xml/pilot-getram.xml, doc/xml/pilot-getrom.xml,
	  doc/xml/pilot-getromtoken.xml, doc/xml/pilot-hinotes.xml,
	  doc/xml/pilot-install-datebook.xml,
	  doc/xml/pilot-install-expenses.xml,
	  doc/xml/pilot-install-hinote.xml, doc/xml/pilot-install-memo.xml,
	  doc/xml/pilot-install-netsync.xml,
	  doc/xml/pilot-install-todo.xml, doc/xml/pilot-install-todos.xml,
	  doc/xml/pilot-install-user.xml, doc/xml/pilot-link.docbook,
	  doc/xml/pilot-link.xml, doc/xml/pilot-memos.xml,
	  doc/xml/pilot-nredir.xml, doc/xml/pilot-read-expenses.xml,
	  doc/xml/pilot-read-ical.xml, doc/xml/pilot-read-notepad.xml,
	  doc/xml/pilot-read-palmpix.xml,
	  doc/xml/pilot-read-screenshot.xml, doc/xml/pilot-reminders.xml,
	  doc/xml/pilot-schlep.xml, doc/xml/pilot-treofoto.xml,
	  doc/xml/pilot-wav.xml, doc/xml/pilot-xfer.xml,
	  doc/xml/read-expenses.xml, doc/xml/read-ical.xml,
	  doc/xml/read-notepad.xml, doc/xml/read-palmpix.xml,
	  doc/xml/read-todos.xml, doc/xml/read-veo.xml, src/Makefile.am,
	  src/install-datebook.c, src/install-hinote.c, src/install-memo.c,
	  src/install-netsync.c, src/install-todo.c, src/install-todos.c,
	  src/install-user.c, src/pilot-install-netsync.c,
	  src/pilot-read-expenses.c, src/pilot-read-ical.c,
	  src/pilot-read-notepad.c, src/pilot-read-palmpix.c,
	  src/pilot-read-todos.c, src/pilot-read-veo.c,
	  src/read-expenses.c, src/read-ical.c, src/read-notepad.c,
	  src/read-palmpix.c, src/read-todos.c, src/read-veo.c: More
	  renaming of userland conduits to avoid namespace pollution,
	  cleaned the XML manpage sources to align with these changes.
	  Whew!

2007-02-04 16:25  desrod

	* doc/: README.libusb, README.usb: Documentation cleanup with
	  respect to usb and libusb connections. Needed to update and
	  clarify some minor details reported by users.

2007-02-04 15:28  desrod

	* configure.ac, bindings/Java/Makefile.am,
	  doc/xml/ietf2datebook.xml, doc/xml/install-datebook.xml,
	  doc/xml/install-hinote.xml, doc/xml/install-memo.xml,
	  doc/xml/install-netsync.xml, doc/xml/install-todo.xml,
	  doc/xml/install-todos.xml, doc/xml/install-user.xml,
	  doc/xml/pilot-addresses.xml, doc/xml/pilot-clip.xml,
	  doc/xml/pilot-debugsh.xml, doc/xml/pilot-dedupe.xml,
	  doc/xml/pilot-dlpsh.xml, doc/xml/pilot-file.xml,
	  doc/xml/pilot-foto.xml, doc/xml/pilot-getram.xml,
	  doc/xml/pilot-getrom.xml, doc/xml/pilot-getromtoken.xml,
	  doc/xml/pilot-hinotes.xml, doc/xml/pilot-ietf2datebook.xml,
	  doc/xml/pilot-install-datebook.xml,
	  doc/xml/pilot-install-expenses.xml,
	  doc/xml/pilot-install-hinote.xml, doc/xml/pilot-install-memo.xml,
	  doc/xml/pilot-install-netsync.xml,
	  doc/xml/pilot-install-todo.xml, doc/xml/pilot-install-todos.xml,
	  doc/xml/pilot-install-user.xml, doc/xml/pilot-link.xml,
	  doc/xml/pilot-memos.xml, doc/xml/pilot-read-expenses.xml,
	  doc/xml/pilot-read-ical.xml, doc/xml/pilot-read-notepad.xml,
	  doc/xml/pilot-read-palmpix.xml,
	  doc/xml/pilot-read-screenshot.xml, doc/xml/pilot-read-todos.xml,
	  doc/xml/pilot-schlep.xml, doc/xml/pilot-treofoto.xml,
	  doc/xml/pilot-wav.xml, doc/xml/pilot-xfer.xml,
	  doc/xml/read-expenses.xml, doc/xml/read-ical.xml,
	  doc/xml/read-notepad.xml, doc/xml/read-palmpix.xml,
	  doc/xml/read-todos.xml, doc/xml/pilot-read-veo.xml,
	  doc/xml/read-veo.xml, include/pi-contact.h, libpisock/contact.c:
	  1. Updated some of the manpages (more to come) 2. Fixed a DESTDIR
	  problem in bindings/Java/Makefile.am (thanks Hans Meine!) 3.
	  Fixed up a problem with Python detection (thanks Nicholas Piper
	  and Hans Meine) 4. Other miscellaneous cleanup as necessary

2007-02-02 06:55  desrod

	* libpisock/Makefile.am: Minor fix for building with bluetooth
	  support, was missing a source file declaration.

2007-02-02 06:35  desrod

	* configure.ac, pilot-link.m4.in, src/pilot-dlpsh.c: Minor tweaks
	  and fixes here and there.. trying to figure out a bluetooth
	  autoconf issue, still unresolved.

2007-01-19 14:30  fpillet

	* libpisock/Makefile.am: missing WITH_BLUEZ test

2007-01-15 01:11  desrod

	* src/pilot-addresses.c: Fixed a minor typo, closes bug #1745
	  (thanks Ludovic!)

2007-01-10 09:07  fpillet

	* configure.ac, include/pi-bluetooth.h, libpisock/bluetooth.c:
	  Applied dgollub's fix for BlueZ support. Fixes building
	  pilot-link on Mac OS X

2006-12-13 11:06  desrod

	* doc/README.usb: oops, minor typo when copying the header from
	  README.libusb back in

2006-11-22 17:52  adridg

	* include/pi-address.h, include/pi-appinfo.h,
	  include/pi-datebook.h, include/pi-memo.h, include/pi-todo.h,
	  libpisock/address.c, libpisock/appinfo.c, libpisock/datebook.c,
	  libpisock/memo.c, libpisock/todo.c: Big batch of constness

2006-11-18 17:43  adridg

	* libpisock/Makefile.am: WITH_BLUEZ is not defined as a
	  conditional, so automake 1.9.6 barfs on it. Remove it for now,
	  since there's no way to get BLUEZ defined.

2006-11-09 05:26  fpillet

	* libpisock/darwinusb.c: forgot to undefine DEBUG_USB -- otherwise
	  you get LOTS of traces

2006-11-09 04:42  fpillet

	* libpisock/darwinusb.c: Added support for high-speed USB devices
	  (large packet sizes, 512 bytes). Somehow, with some versions of
	  OS X on Intel Macs and depending on the machine the bulk packet
	  maxsize may be bigger than 64. In this case the previous code was
	  getting data overruns when reading.

2006-11-07 16:13  adridg

	* libpisock/: cmp.c, expense.c, socket.c: Warning suppression: use
	  (void) foo for unused parameters foo [which demonstrates that
	  expense packing and unpacking has interesting possible buffer
	  overflows]; initialize the uninitialized; #if 0 unused debugging
	  functions. (KPilot r. 502)

2006-11-07 15:42  adridg

	* include/pi-address.h, libpisock/address.c, libpisock/dlp.c,
	  libpisock/socket.c: Typedef the Address fields enum so it has a
	  name; add constness to some pack/unpack functions; remove C++
	  style comments from C code. (KPilot r.500)

2006-11-07 04:05  fpillet

	* libpisock/socket.c: Fix for RAW mode: protocol_queue_build was
	  trying to build the protocol stack even though RAW mode is not
	  supposed to have one

2006-11-07 04:03  fpillet

	* libpisock/darwinusb.c: Fix to support PPP connections over USB:
	  recognize ppp_ function for USB endpoints

2006-11-02 09:54  desrod

	* src/: Makefile.am, pilot-read-screenshot.c: Removed conflicting
	  option (-t == timeout, not type). Will clean up further.

2006-11-02 09:40  desrod

	* configure.ac, doc/man/Makefile.am, doc/xml/pilot-link.docbook,
	  doc/xml/pilot-link.xml, doc/xml/pilot-read-screenshot.xml,
	  doc/xml/read-screenshot.xml, src/Makefile.am: Screenshot renaming
	  to avoid namespace pollution

2006-11-02 09:34  desrod

	* src/: pilot-read-screenshot.c, read-screenshot.c: Renamed
	  read-screenshot to avoid some namespace pollution

2006-10-17 09:24  desrod

	* ChangeLog, doc/README.debugging, doc/README.libusb,
	  doc/README.usb, doc/man/Makefile.am, doc/xml/ietf2datebook.xml,
	  doc/xml/install-datebook.xml, doc/xml/install-hinote.xml,
	  doc/xml/install-memo.xml, doc/xml/install-netsync.xml,
	  doc/xml/install-todo.xml, doc/xml/install-todos.xml,
	  doc/xml/install-user.xml, doc/xml/pilot-650foto.xml,
	  doc/xml/pilot-addresses.xml, doc/xml/pilot-clip.xml,
	  doc/xml/pilot-csd.xml, doc/xml/pilot-debugsh.xml,
	  doc/xml/pilot-dedupe.xml, doc/xml/pilot-dlpsh.xml,
	  doc/xml/pilot-file.xml, doc/xml/pilot-foto.xml,
	  doc/xml/pilot-getram.xml, doc/xml/pilot-getrom.xml,
	  doc/xml/pilot-getromtoken.xml, doc/xml/pilot-hinotes.xml,
	  doc/xml/pilot-ietf2datebook.xml,
	  doc/xml/pilot-install-datebook.xml,
	  doc/xml/pilot-install-expenses.xml,
	  doc/xml/pilot-install-hinote.xml, doc/xml/pilot-install-memo.xml,
	  doc/xml/pilot-install-netsync.xml,
	  doc/xml/pilot-install-todo.xml, doc/xml/pilot-install-todos.xml,
	  doc/xml/pilot-install-user.xml, doc/xml/pilot-link.xml,
	  doc/xml/pilot-memos.xml, doc/xml/pilot-nredir.xml,
	  doc/xml/pilot-read-expenses.xml, doc/xml/pilot-read-ical.xml,
	  doc/xml/pilot-read-notepad.xml, doc/xml/pilot-read-palmpix.xml,
	  doc/xml/pilot-read-screenshot.xml, doc/xml/pilot-read-todos.xml,
	  doc/xml/pilot-read-veo.xml, doc/xml/pilot-reminders.xml,
	  doc/xml/pilot-schlep.xml, doc/xml/pilot-treofoto.xml,
	  doc/xml/pilot-wav.xml, doc/xml/pilot-xfer.xml,
	  doc/xml/read-expenses.xml, doc/xml/read-ical.xml,
	  doc/xml/read-notepad.xml, doc/xml/read-palmpix.xml,
	  doc/xml/read-screenshot.xml, doc/xml/read-todos.xml,
	  doc/xml/read-veo.xml, include/pi-address.h, include/pi-appinfo.h,
	  include/pi-args.h, include/pi-buffer.h, include/pi-cmp.h,
	  include/pi-contact.h, include/pi-datebook.h, include/pi-debug.h,
	  include/pi-dlp.h, include/pi-error.h, include/pi-expense.h,
	  include/pi-file.h, include/pi-foto.h, include/pi-header.h,
	  include/pi-hinote.h, include/pi-inet.h, include/pi-macros.h,
	  include/pi-mail.h, include/pi-md5.h, include/pi-memo.h,
	  include/pi-money.h, include/pi-net.h, include/pi-notepad.h,
	  include/pi-padp.h, include/pi-palmpix.h, include/pi-serial.h,
	  include/pi-slp.h, include/pi-sockaddr.h, include/pi-socket.h,
	  include/pi-source.h, include/pi-sync.h, include/pi-sys.h,
	  include/pi-syspkt.h, include/pi-threadsafe.h, include/pi-todo.h,
	  include/pi-usb.h, include/pi-userland.h, include/pi-util.h,
	  include/pi-veo.h, include/pi-versamail.h, src/install-hinote.c,
	  src/install-memo.c, src/pilot-install-hinote.c,
	  src/pilot-install-memo.c: This is what you do when your flight
	  gets delayed several hours... just some general cleanup and
	  maintenance housecleaning.

2006-10-16 13:57  fpillet

	* libpisock/socket.c: Following Matt Davey's advice on bluetooth:
	  support: only allow the keyword to be used when bluetooth support
	  is being linked in

2006-10-16 13:46  fpillet

	* libpisock/socket.c: Fixed port string matching for bt:/bluetooth:
	  (thanks Matt)

2006-10-13 13:36  fpillet

	* include/pi-bluetooth.h, libpisock/bluetooth.c,
	  include/Makefile.am, libpisock/Makefile.am, libpisock/socket.c:
	  Linux bluetooth support (Bluez) contributed by Bastien Nocera

2006-10-13 05:56  fpillet

	* libpisock/socket.c: commented out the pi_dumpdata() call in
	  protocol detection as I only use it for debugging this part

2006-10-13 05:52  fpillet

	* libpisock/: dlp.c, socket.c: dlp_ReadSysInfo() now updates the
	  socket's dlpVersion and maxrecsize. We don't issue a separate
	  dlp_ReadSysInfo() from pi_version() anymore as it can cause big
	  trouble if called from within a DLP call. Tweaked pi_version(),
	  and also tweaked protocol detection again for more accurate
	  serial / bluetooth protocol detection

2006-10-13 05:52  fpillet

	* libpisock/: padp.c, slp.c: better logging for debug in padp/slp

2006-10-12 10:21  desrod

	* src/install-datebook.c, src/install-hinote.c, src/install-memo.c,
	  src/install-netsync.c, src/install-todo.c, src/install-todos.c,
	  src/pilot-install-datebook.c, src/pilot-install-hinote.c,
	  src/pilot-install-memo.c, src/pilot-install-netsync.c,
	  src/pilot-install-todo.c, src/pilot-install-todos.c,
	  src/install-user.c, src/kittykiller.c, src/pd-tty.c,
	  src/pilot-650foto.c, src/pilot-addresses.c, src/pilot-clip.c,
	  src/pilot-csd.c, src/pilot-debug.c, src/pilot-debugsh.c,
	  src/pilot-dedupe.c, src/pilot-dlpsh.c, src/pilot-file.c,
	  src/pilot-foto-treo600.c, src/pilot-foto-treo650.c,
	  src/pilot-foto.c, src/pilot-getram.c, src/pilot-getrom.c,
	  src/pilot-getromtoken.c, src/pilot-hinotes.c,
	  src/pilot-install-expenses.c, src/pilot-install-user.c,
	  src/pilot-memos.c, src/pilot-nredir.c, src/pilot-port.c,
	  src/pilot-read-expenses.c, src/pilot-read-ical.c,
	  src/pilot-read-notepad.c, src/pilot-reminders.c,
	  src/pilot-schlep.c, src/pilot-treofoto.c, src/pilot-wav.c,
	  src/pilot-xfer.c, src/plu_args.c, src/read-expenses.c,
	  src/read-ical.c, src/read-notepad.c, libpisock/address.c,
	  libpisock/appinfo.c, libpisock/cmp.c, libpisock/connect.c,
	  libpisock/contact.c, libpisock/darwinusb.c, libpisock/datebook.c,
	  libpisock/debug.c, libpisock/dlp.c, libpisock/expense.c,
	  libpisock/freebsdusb.c, libpisock/hinote.c, libpisock/inet.c,
	  libpisock/libusb.c, libpisock/linuxusb.c, libpisock/mail.c,
	  libpisock/md5.c, libpisock/memo.c, libpisock/money.c,
	  libpisock/net.c, libpisock/notepad.c, libpisock/os2serial.c,
	  libpisock/padp.c, libpisock/palmpix.c, libpisock/pi-buffer.c,
	  libpisock/pi-file.c, libpisock/pi-header.c, libpisock/serial.c,
	  libpisock/slp.c, libpisock/socket.c, libpisock/sys.c,
	  src/pilot-read-palmpix.c, src/pilot-read-screenshot.c,
	  src/pilot-read-todos.c, src/pilot-read-veo.c, src/read-palmpix.c,
	  src/read-screenshot.c, src/read-todos.c, src/read-veo.c,
	  src/userland.c, libpisock/syspkt.c, libpisock/threadsafe.c,
	  libpisock/todo.c, libpisock/unixserial.c, libpisock/usb.c,
	  libpisock/utils.c, libpisock/veo.c, libpisock/versamail.c: Just
	  some long-needed CVS house-cleaning..

2006-10-12 09:02  fpillet

	* libpisock/: address.c, appinfo.c, cmp.c, connect.c, contact.c,
	  datebook.c, debug.c, dlp.c, expense.c, freebsdusb.c, hinote.c,
	  inet.c, libusb.c, linuxusb.c, mail.c, md5.c, memo.c, money.c,
	  net.c, notepad.c, os2serial.c, padp.c, palmpix.c, pi-buffer.c,
	  pi-file.c, pi-header.c, serial.c, slp.c, socket.c, sys.c,
	  syspkt.c, threadsafe.c, todo.c, unixserial.c, usb.c, utils.c,
	  veo.c, versamail.c: Add CVS Id to all source files, I hate it
	  when I get an updated file and I don't know which release it
	  originates from

2006-10-12 09:01  fpillet

	* libpisock/darwinusb.c: updated comment in USB entry 0830/0061 for
	  Treo 650

2006-10-12 08:32  fpillet

	* libpisock/dlp.c: Integrated Scott Gruby's big record fix: reading
	  records that have the maximum allowed size could lock up some
	  devices. We now read maxRecordSize-100 and perform a second read
	  if the record is large. Also some casts to make compilers happy,
	  and a safeguard when reading username / password to properly
	  terminate the strings.

2006-10-09 12:43  desrod

	* libpisock/usb.c: More sanity to catch both Sony models, including
	  the NRxx series handhelds

2006-10-09 12:30  desrod

	* libpisock/usb.c: Minor fix for Sony Clie detection

2006-09-28 14:43  angusa

	* doc/xml/pilot-650foto.xml: Manual page for pilot-650foto

2006-09-28 14:38  angusa

	* ChangeLog: [no log message]

2006-09-28 01:41  angusa

	* src/Makefile.am: Added pilot-650foto

2006-09-28 01:35  angusa

	* src/: pilot-650foto.c, pilot-foto-treo650.c: Extract treo 650
	  photos

2006-09-21 16:23  warp

	* libpisock/usb.c: Fix a bug where we were looking at
	  override_device instead of known_device[i].

	  Removed override_device, given that nothing sets it, anywhere.

2006-09-19 16:11  desrod

	* NEWS, doc/xml/install-expenses.xml,
	  doc/xml/pilot-install-expenses.xml, doc/xml/pilot-link.docbook,
	  doc/xml/pilot-link.xml, src/Makefile.am, src/install-expenses.c,
	  src/pilot-install-expenses.c: More userland renaming to avoid
	  clobbering any potential future binaries that might use or reuse
	  the same naming conventions. Still quite a few left to go in
	  here.

2006-09-04 15:16  desrod

	* ChangeLog, doc/xml/Makefile.am: Updates for 0.12.1 release

2006-08-28 20:57  desrod

	* ChangeLog, configure.ac, libpisock/cmp.c, libpisock/padp.c,
	  src/ccexample.cc, src/install-datebook.c, src/install-expenses.c,
	  src/install-hinote.c, src/install-memo.c, src/install-netsync.c,
	  src/install-user.c, src/pilot-install-datebook.c,
	  src/pilot-install-expenses.c, src/pilot-install-hinote.c,
	  src/pilot-install-memo.c, src/pilot-install-netsync.c,
	  src/pilot-install-user.c: More cleanup for 0.12.1

2006-08-27 14:51  desrod

	* ChangeLog, include/pi-cmp.h, include/pi-foto.h,
	  libpisock/darwinusb.c, libpisock/dlp.c, libpisock/freebsdusb.c,
	  libpisock/inet.c, libpisock/libusb.c, libpisock/linuxusb.c,
	  tests/dlp-test.c: Minor code cleanup, removing redundant calls to
	  headers, some minor code docs going into place here.

2006-08-27 09:47  desrod

	* ChangeLog, configure.ac, doc/Makefile.am, doc/xml/Makefile.am:
	  Fix for building as a non-root user with udev rules. They now go
	  into $datadir/pilot-link/udev by default.

2006-08-26 18:53  desrod

	* NEWS, README, configure.ac, doc/60-libpisock.rules,
	  doc/README.libusb, doc/xml/Makefile.am: A few more last-minute
	  tweaks to get 0.12.0 out the door!

2006-08-25 13:57  desrod

	* configure.ac: Rolling to a .1 in CVS, preparing for a 0.12.0
	  release

2006-08-25 13:52  desrod

	* ChangeLog, configure.ac, doc/Makefile.am, doc/xml/Makefile.am,
	  m4/xslt.m4, src/prc/Makefile.am: Updated a few things to get
	  distcheck to function properly. Sigh.

2006-08-25 11:56  desrod

	* doc/Makefile.am: Remove extra terminating slash

2006-08-25 11:52  desrod

	* doc/: Makefile.am, libpisock.rules: CVS surgery to rename the
	  libpisock.rules file to its proper 60-libpisock name per the udev
	  documentation

2006-08-25 11:11  desrod

	* src/pilot-xfer.c: Oops, that wasn't supposed to go through, just
	  a quick test of something new

2006-08-25 11:09  desrod

	* doc/60-libpisock.rules, doc/Makefile.am, doc/libpisock.rules,
	  src/pilot-xfer.c: Adding libpisock.rules for the udev/libusb
	  users who wish to try that

2006-08-25 10:54  desrod

	* ChangeLog, doc/xml/pilot-dlpsh.xml, include/pi-util.h,
	  libpisync/util.c, src/pilot-dlpsh.c, src/pilot-xfer.c,
	  tests/contactsdb-test.c: Some last minute tweaks, and the changes
	  to facilitate the PILOT_CHARSET to be changed with an environment
	  variable from the shell at runtime.

2006-08-25 10:29  desrod

	* doc/xml/: ietf2datebook.xml, install-datebook.xml,
	  install-expenses.xml, install-hinote.xml, pilot-addresses.xml,
	  pilot-csd.xml, pilot-dlpsh.xml, pilot-ietf2datebook.xml,
	  pilot-install-datebook.xml, pilot-install-expenses.xml,
	  pilot-install-hinote.xml, pilot-getromtoken.xml,
	  pilot-read-notepad.xml, pilot-read-screenshot.xml,
	  pilot-read-veo.xml, read-notepad.xml, read-screenshot.xml,
	  read-veo.xml: More tweaks and pokes for the 0.12.0 release... its
	  coming soon!

2006-08-25 10:06  desrod

	* doc/: man/Makefile.am, xml/pilot-debugsh.xml,
	  xml/pilot-dlpsh.xml, xml/pilot-hinotes.xml, xml/pilot-memos.xml,
	  xml/pilot-reminders.xml: Some last-minute fixes for the renaming
	  of the userland binaries

2006-08-25 09:44  desrod

	* src/: install-user.c, pilot-install-user.c: Quick fix to properly
	  parse the args as passed in. We were previously ignoring
	  PILOTPORT in the process. This is a temporary quick-hack fix, and
	  will be removed and replaced with a more elegant solution later.

2006-08-25 09:27  desrod

	* doc/xml/: debugsh.xml, dlpsh.xml, hinotes.xml, memos.xml,
	  pi-csd.xml, pi-getram.xml, pi-getrom.xml, pi-getromtoken.xml,
	  pi-nredir.xml, pilot-csd.xml, pilot-getram.xml, pilot-getrom.xml,
	  pilot-getromtoken.xml, pilot-link.docbook, pilot-link.xml,
	  pilot-nredir.xml, reminders.xml: Cleaned up the documentation to
	  conform to the userland renaming pass

2006-08-25 09:26  desrod

	* src/: Makefile.am, debugsh.c, dlpsh.c, hinotes.c, memos.c,
	  pi-csd.c, pi-getram.c, pi-getrom.c, pi-getromtoken.c,
	  pi-nredir.c, pi-port.c, pilot-csd.c, pilot-debugsh.c,
	  pilot-dlpsh.c, pilot-getram.c, pilot-getrom.c,
	  pilot-getromtoken.c, pilot-hinotes.c, pilot-memos.c,
	  pilot-nredir.c, pilot-port.c, pilot-reminders.c, reminders.c:
	  Renamed several userland binaries to avoid clobbering of other
	  application binaries when installed

2006-05-31 13:59  desrod

	* ChangeLog, configure.ac, bindings/Perl/Pilot.pm,
	  bindings/Perl/Pilot.xs, bindings/Python/README,
	  bindings/Python/setup-standalone.py.in,
	  bindings/Python/setup.py.in, bindings/Python/src/general-maps.i,
	  bindings/Python/src/helperfuncs.i,
	  bindings/Python/src/pi-dlp-maps.i,
	  bindings/Python/src/pi-error.i,
	  bindings/Python/src/pi-file-maps.i,
	  bindings/Python/src/pi-socket-maps.i, doc/man/README,
	  doc/xml/debugsh.xml, doc/xml/dlpsh.xml, doc/xml/hinotes.xml,
	  doc/xml/ietf2datebook.xml, doc/xml/install-datebook.xml,
	  doc/xml/install-expenses.xml, doc/xml/install-hinote.xml,
	  doc/xml/install-memo.xml, doc/xml/install-netsync.xml,
	  doc/xml/install-todo.xml, doc/xml/install-todos.xml,
	  doc/xml/install-user.xml, doc/xml/memos.xml, doc/xml/pi-csd.xml,
	  doc/xml/pi-getram.xml, doc/xml/pi-getrom.xml,
	  doc/xml/pi-getromtoken.xml, doc/xml/pi-nredir.xml,
	  doc/xml/pilot-addresses.xml, doc/xml/pilot-clip.xml,
	  doc/xml/pilot-csd.xml, doc/xml/pilot-debugsh.xml,
	  doc/xml/pilot-dedupe.xml, doc/xml/pilot-dlpsh.xml,
	  doc/xml/pilot-file.xml, doc/xml/pilot-foto.xml,
	  doc/xml/pilot-getram.xml, doc/xml/pilot-getrom.xml,
	  doc/xml/pilot-getromtoken.xml, doc/xml/pilot-hinotes.xml,
	  doc/xml/pilot-ietf2datebook.xml,
	  doc/xml/pilot-install-datebook.xml,
	  doc/xml/pilot-install-expenses.xml,
	  doc/xml/pilot-install-hinote.xml, doc/xml/pilot-install-memo.xml,
	  doc/xml/pilot-install-netsync.xml,
	  doc/xml/pilot-install-todo.xml, doc/xml/pilot-install-todos.xml,
	  doc/xml/pilot-install-user.xml, doc/xml/pilot-memos.xml,
	  doc/xml/pilot-nredir.xml, doc/xml/pilot-read-expenses.xml,
	  doc/xml/pilot-read-ical.xml, doc/xml/pilot-read-notepad.xml,
	  doc/xml/pilot-read-palmpix.xml,
	  doc/xml/pilot-read-screenshot.xml, doc/xml/pilot-read-todos.xml,
	  doc/xml/pilot-read-veo.xml, doc/xml/pilot-reminders.xml,
	  doc/xml/pilot-schlep.xml, doc/xml/pilot-treofoto.xml,
	  doc/xml/pilot-wav.xml, doc/xml/pilot-xfer.xml,
	  doc/xml/read-expenses.xml, doc/xml/read-ical.xml,
	  doc/xml/read-notepad.xml, doc/xml/read-palmpix.xml,
	  doc/xml/read-screenshot.xml, doc/xml/read-todos.xml,
	  doc/xml/read-veo.xml, doc/xml/reminders.xml,
	  libpisock/darwinusb.c, libpisync/sync.c, libpisync/util.c,
	  m4/socklen.m4, src/debugsh.c, src/dlpsh.c, src/pilot-debugsh.c,
	  src/pilot-dlpsh.c, src/hinotes.c, src/ietf2datebook.PL,
	  src/install-datebook.c, src/install-expenses.c,
	  src/install-hinote.c, src/install-memo.c, src/install-netsync.c,
	  src/install-todo.c, src/install-todos.c, src/install-user.c,
	  src/kittykiller.c, src/memos.c, src/pd-tty.c, src/pi-csd.c,
	  src/pi-getram.c, src/pi-getrom.c, src/pi-getromtoken.c,
	  src/pi-nredir.c, src/pi-port.c, src/pilot-addresses.c,
	  src/pilot-clip.c, src/pilot-csd.c, src/pilot-debug.c,
	  src/pilot-dedupe.c, src/pilot-file.c, src/pilot-foto-treo600.c,
	  src/pilot-foto.c, src/pilot-getram.c, src/pilot-getrom.c,
	  src/pilot-getromtoken.c, src/pilot-hinotes.c,
	  src/pilot-ietf2datebook.pl, src/pilot-install-datebook.c,
	  src/pilot-install-expenses.c, src/pilot-install-hinote.c,
	  src/pilot-install-memo.c, src/pilot-install-netsync.c,
	  src/pilot-install-todo.c, src/pilot-install-todos.c,
	  src/pilot-install-user.c, src/pilot-memos.c, src/pilot-nredir.c,
	  src/pilot-port.c, src/pilot-read-expenses.c,
	  src/pilot-read-ical.c, src/pilot-read-notepad.c,
	  src/pilot-read-palmpix.c, src/pilot-read-screenshot.c,
	  src/pilot-read-todos.c, src/pilot-read-veo.c,
	  src/pilot-reminders.c, src/pilot-schlep.c, src/pilot-treofoto.c,
	  src/pilot-wav.c, src/pilot-xfer.c, src/plu_args.c,
	  src/read-expenses.c, src/read-ical.c, src/read-notepad.c,
	  src/read-palmpix.c, src/read-screenshot.c, src/read-todos.c,
	  src/read-veo.c, src/reminders.c, src/userland.c,
	  tests/dlp-test.c, tests/vfs-test.c: Correcting FSF permanent
	  address in all source files to bring to current.

	  This is also reflected in the following GNOME bug entry:

	  http://mail.gnome.org/archives/gtk-devel-list/2006-March/msg00087.html

2006-05-31 13:49  desrod

	* include/: pi-dlp.h, pi-file.h, pi-syspkt.h, pi-threadsafe.h,
	  pi-versamail.h: Oops, forgot to commit these with the last batch.
	  Good catch, Nicholas!

2006-05-24 14:49  desrod

	* libpisock/: dlp.c, expense.c, hinote.c, palmpix.c, pi-file.c,
	  socket.c, syspkt.c, utils.c, versamail.c: Bunchafixes here, code
	  cleanup, var renames, some oddball code taken out, fixing up some
	  globals and other obvious faux pas.

2006-05-09 16:19  desrod

	* libpisock/serial.c: Minor fix where s_poll returns 0 on success,
	  and the previous behavior would assume the packet was dropped.

2006-04-22 11:47  desrod

	* src/pilot-xfer.c: Just adding some notes, so I don't forget what
	  needs to be added in the next point release.

2006-04-14 14:52  desrod

	* libpisock/libusb.c: Applied patch from Jijun Yu, fixes issue
	  #1578

2006-04-14 14:50  desrod

	* libpisock/socket.c: Clean up empty else clause

2006-04-14 14:47  desrod

	* src/pilot-clip.c: Reformatting and some type renaming to avoid
	  shadowing globals

2006-04-14 14:46  desrod

	* src/: pi-getrom.c, pilot-getrom.c: Just some minor (very minor)
	  reformatting of the output.

2006-04-14 14:43  desrod

	* src/pilot-addresses.c: Added code to exit (for now) when an OS5
	  device is found.

2006-04-14 14:42  desrod

	* src/: pilot-sync-plan.pl, sync-plan.PL: Aaron's patch for bug
	  1535. Thanks Aaron!

2006-04-14 13:16  desrod

	* include/pi-userland.h, libpisock/socket.c, src/memos.c,
	  src/pilot-memos.c, src/pilot-schlep.c, src/pi-nredir.c,
	  src/pilot-nredir.c, src/pilot-xfer.c: Minor cleanup to fix some
	  small buglets and warnings. No Breakage++

2006-04-05 14:18  desrod

	* configure.ac: Minor fix when checking xslt in a CVS checked-out
	  tree

2006-03-30 14:38  desrod

	* include/pi-socket.h: Minor typo fixed up

2006-03-30 14:26  desrod

	* include/pi-dlp.h: Minor doc cleanup, fixes doxygen output buglet

2006-03-24 15:11  desrod

	* bindings/Python/: NEWS, README, src/pisock.py, src/pisock_wrap.c:
	  Some cleanup in the Python tree

2006-03-24 15:02  desrod

	* configure.ac, m4/python.m4: A better, cleaner, smaller Python
	  check. This time we check if the user passes --with-python, THEN
	  check for Python.h, so we can build the extension. If Python.h is
	  NOT found, we disable python, even if the user passes the option
	  to flag it on.

2006-03-24 14:45  neilw

	* ChangeLog, doc/xml/pilot-schlep.xml: Fix bug 1545, pilot-schlep
	  summary

2006-03-24 14:24  neilw

	* ChangeLog, src/memos.c, src/pilot-memos.c: fix typo

2006-03-24 13:11  desrod

	* ChangeLog: Updated ChangeLog

2006-03-24 12:58  desrod

	* configure.ac, m4/python.m4: Minor fix for python to check for
	  Python.h when python is flagged on

2006-03-17 00:10  desrod

	* src/pilot-sync-plan.pl, src/sync-plan.PL, bindings/Makefile.am:
	  These slipped through the cracks.. (thanks Aaron for catching me
	  asleep at the wheel again =)

2006-03-15 07:44  desrod

	* bindings/Perl/: Makefile.PL.in, Pilot.pm, Pilot.xs: Forgot that
	  these needed to go with the others. DOH!

2006-03-14 12:43  desrod

	* ChangeLog, configure.ac: Rolling up ChangeLog and configure.ac in
	  prep for a 0.12.0 final release

2006-03-14 12:19  desrod

	* bindings/Java/: MidiMgr.java, test.java,
	  org/gnu/pilotlink/Record.java: Some minor Java fixes. This needs
	  a revisit, there are quite a few places in here where some OOP
	  constructs could keep things much cleaner.

2006-03-14 11:34  neilw

	* ChangeLog, configure.ac: Use CVS check instead of file check for
	  manpage build

2006-03-14 10:58  desrod

	* configure.ac, bindings/Perl/h2xs-pilot-link, m4/xslt.m4: Fixes
	  for userland conduits, xsltproc checks, and a big Perl commit
	  (thanks Aaron!)

2006-02-27 18:22  neilw

	* ChangeLog: ChangeLog

2006-02-27 18:13  neilw

	* doc/xml/: README, debugsh.xml, dlpsh.xml, hinotes.xml,
	  install-datebook.xml, install-expenses.xml, install-hinote.xml,
	  install-memo.xml, install-netsync.xml, install-todo.xml,
	  install-todos.xml, install-user.xml, memos.xml, pi-csd.xml,
	  pi-getram.xml, pi-getrom.xml, pi-getromtoken.xml, pi-nredir.xml,
	  pilot-addresses.xml, pilot-archive.xml, pilot-clip.xml,
	  pilot-csd.xml, pilot-debugsh.xml, pilot-dedupe.xml,
	  pilot-dlpsh.xml, pilot-file.xml, pilot-foto.xml,
	  pilot-getram.xml, pilot-getrom.xml, pilot-getromtoken.xml,
	  pilot-hinotes.xml, pilot-install-datebook.xml,
	  pilot-install-expenses.xml, pilot-install-hinote.xml,
	  pilot-install-memo.xml, pilot-install-netsync.xml,
	  pilot-install-todo.xml, pilot-install-todos.xml,
	  pilot-install-user.xml, pilot-memos.xml, pilot-nredir.xml,
	  pilot-read-expenses.xml, pilot-read-ical.xml,
	  pilot-read-notepad.xml, pilot-read-palmpix.xml,
	  pilot-read-screenshot.xml, pilot-read-todos.xml,
	  pilot-read-veo.xml, pilot-reminders.xml, pilot-schlep.xml,
	  pilot-treofoto.xml, pilot-wav.xml, pilot-xfer.xml,
	  read-expenses.xml, read-ical.xml, read-notepad.xml,
	  read-palmpix.xml, read-screenshot.xml, read-todos.xml,
	  read-veo.xml, reminders.xml: Update options list handling in each
	  manpage to a more consistent formatting.

2006-02-27 18:10  neilw

	* doc/xml/docbook.xsl.in: Fix error reported by doclifter by Eric
	  Raymond.  %r/%p %s

2006-02-27 18:09  neilw

	* doc/xml/Makefile.am: Remove recursive loop.

2006-02-27 18:08  neilw

	* configure.ac: Fix test to look for a file, not directory.
	  Fix the xsltproc check to find Mac OSX stylesheets.

2006-02-25 10:44  fpillet

	* libpisock/darwinusb.c: removed debug extended USB debug flag for
	  release

2006-02-25 10:34  fpillet

	* include/pi-dlp.h: doc typo fixed

2006-02-23 04:05  fpillet

	* libpisock/pi-file.c: Flags was modified before being initialized,
	  rendering the code useless

2006-02-13 09:52  fpillet

	* libpisock/darwinusb.c: tweaks for universal binary (intel /
	  powerpc) compilation

2006-02-13 09:51  fpillet

	* libpisock/pi-header.c: updated copyright date range (who knows,
	  we may release 0.12 before 2007)

2006-02-13 09:50  fpillet

	* libpisock/cmp.c: removed unused variable cmp_version

2006-01-26 07:34  fpillet

	* include/pi-userland.h, src/plu_args.c, src/userland.c: Patch
	  coming from bug #1585: add new timeout option to userland tools
	  so serial connection timeout issues can be investigated (matt
	  Davey)

2006-01-26 06:06  fpillet

	* libpisock/serial.c: Patch for bug #1591 provided by Matt davey

2006-01-21 16:20  adridg

	* libpisock/: debug.c, memo.c: Reduce warnings: don't assign NULL
	  to the bytes in a pi_buffer_t, and use the non-deprecated
	  dumpline() function.

2006-01-13 09:20  warp

	* libpisock/libusb.c: Work around a change in behavior in the
	  /proc/bus/usb to /dev/bus/usb change.

2006-01-02 05:18  fpillet

	* libpisock/darwinusb.c: big scary update: added support for TX and
	  LifeDrive, initial support for KLSI (not complete yet but
	  infrastructure is there), reworked the way a connection is
	  declared live to better cope with clunky PalmOne devices like the
	  LD

2005-12-28 03:39  warp

	* libpisock/libusb.c: Fix the index/control_index goof.  Deals with
	  #1577.

2005-10-19 20:43  warp

	* libpisock/libusb.c: Do this a little more portably.

2005-10-19 17:37  adridg

	* libpisock/datebook.c: Make documentation match reality. Some time
	  back, we argued about whether these documentation bits should be
	  in the header files -- which users of the p-l API can see -- or
	  hidden in the C files. Was there ever a resolution of that?

2005-10-17 20:40  warp

	* libpisock/libusb.c: Fix a rare buffer leak in the libusb code.

	  Put in an evil kluge for the case where we have a close, but the
	  read call is wedged.

2005-10-17 17:53  warp

	* libpisock/usb.c: Er, try this.

2005-10-17 17:47  warp

	* libpisock/usb.c: Try to make the connect interface actually
	  function with the usb backend.  No promises that it actually
	  _does_ though.

2005-10-17 16:14  adridg

	* include/pi-args.h, include/pi-buffer.h, include/pi-cmp.h,
	  include/pi-contact.h, include/pi-debug.h, include/pi-dlp.h,
	  include/pi-error.h, include/pi-file.h, include/pi-header.h,
	  include/pi-inet.h, include/pi-macros.h, include/pi-net.h,
	  include/pi-padp.h, include/pi-serial.h, include/pi-slp.h,
	  include/pi-sockaddr.h, include/pi-socket.h, include/pi-source.h,
	  include/pi-sync.h, include/pi-sys.h, include/pi-syspkt.h,
	  include/pi-threadsafe.h, include/pi-usb.h, include/pi-userland.h,
	  include/pi-util.h, libpisock/address.c, libpisock/appinfo.c,
	  libpisock/cmp.c, libpisock/connect.c, libpisock/contact.c,
	  libpisock/darwinusb.c, libpisock/datebook.c, libpisock/debug.c,
	  libpisock/dlp.c, libpisock/expense.c, libpisock/freebsdusb.c,
	  libpisock/hinote.c, libpisock/inet.c, libpisock/libusb.c,
	  libpisock/linuxusb.c, libpisock/mail.c, libpisock/md5.c,
	  libpisock/memo.c, libpisock/money.c, libpisock/net.c,
	  libpisock/notepad.c, libpisock/os2serial.c, libpisock/padp.c,
	  libpisock/palmpix.c, libpisock/pi-buffer.c, libpisock/pi-file.c,
	  libpisock/pi-header.c, libpisock/serial.c, libpisock/slp.c,
	  libpisock/socket.c, libpisock/sys.c, libpisock/syspkt.c,
	  libpisock/threadsafe.c, libpisock/todo.c, libpisock/unixserial.c,
	  libpisock/usb.c, libpisock/utils.c, libpisock/veo.c,
	  libpisock/versamail.c: Fix the address of the FSF in lots (but
	  surely not all) places.

2005-10-10 17:06  adridg

	* libpisock/dlp.c: Also #define TraceX to empty when no debug

2005-10-10 16:58  adridg

	* libpisock/dlp.c: Typo - what's a ; doing there?

2005-10-10 16:57  adridg

	* libpisock/freebsdusb.c: CONBK is deprecated and gone

2005-10-10 16:52  adridg

	* include/pi-sys.h: Fix include guard for cases where you want
	  syspkt and sys.h

2005-08-27 05:17  fpillet

	* libpisock/padp.c: Integrated fix provided by Marcelo Jimenez:
	  padp's freeze_txid was not initialized

2005-08-17 11:12  desrod

	* ChangeLog, configure.ac, bindings/Java/Makefile.am,
	  bindings/Java/libjpisock.c, libpisock/usb.c: Fixing up some java
	  compilation problems on gcj (Bernhard Rosenkraenzer)

2005-08-16 12:57  desrod

	* src/pilot-xfer.c: Clean out an extra double-free that crashes on
	  merge() (resolves #1529 from 'than')

2005-07-20 18:13  fpillet

	* libpisock/darwinusb.c: Reset the data toggle on error, it helps
	  with some lockups on T5 and probably other devices

2005-07-20 08:17  fpillet

	* libpisock/serial.c: Missing local variable definition

2005-07-20 06:15  fpillet

	* libpisock/serial.c: shield against losing the first packet in
	  serial

2005-07-20 06:13  fpillet

	* libpisock/socket.c: log invalid protocol in socket.c

2005-07-20 06:13  fpillet

	* libpisock/unixserial.c: minor fix to unixserial

2005-07-20 06:08  fpillet

	* libpisock/dlp.c: tweaked dlp_CallApplication logs

2005-07-13 17:42  desrod

	* ChangeLog, libpisock/linuxusb.c: Oops, missed two last CONBK
	  calls. Fixed.

2005-07-06 12:26  fpillet

	* bindings/Python/src/pi-file-maps.i: oops.. left a minor error
	  there

2005-07-06 12:26  fpillet

	* bindings/Python/src/pi-file-maps.i: allow other threads to run
	  while dlp_FindDB performs its duty

2005-07-06 12:25  fpillet

	* include/pi-file.h, libpisock/pi-file.c: Don't use a temporary
	  file for pi_file creation anymore. Instead, we use a pi_buffer_t*
	  which both is faster and makes more sense (and also because I
	  discovered that Python doesn't like tmpfile() being used, for
	  some reason)

2005-07-06 06:03  fpillet

	* libpisock/darwinusb.c: updated to new defines from pi-source.h

2005-07-05 17:11  desrod

	* ChangeLog, include/pi-dlp.h, include/pi-source.h,
	  include/pi-versamail.h, libpisock/dlp.c, libpisock/inet.c,
	  libpisock/libusb.c, libpisock/net.c, libpisock/padp.c,
	  libpisock/serial.c, libpisock/socket.c, libpisock/unixserial.c,
	  libpisock/usb.c, libpisock/versamail.c, src/pi-nredir.c,
	  src/pilot-nredir.c, src/plu_args.c, src/userland.c: Bright
	  lights! Bright lights! Just closing some shadowed globals..

	  The other bit might break things temporarily, but it keeps the
	  names clean and informative when being read. Other smallish fixes
	  here. Builds clean.

2005-07-05 15:49  desrod

	* libpisock/socket.c: Removing extraneous pi_dumpdata() call

2005-07-05 15:43  desrod

	* ChangeLog, bindings/Perl/Makefile.PL.in: Fixing up a divide by
	  zero error (and updating ChangeLog)

2005-07-04 09:12  fpillet

	* libpisock/darwinusb.c: Fixed a bug that could keep disconnected
	  entry stay in the list forever if deconnection occured during
	  u_poll(Ã)

2005-07-04 05:03  fpillet

	* libpisock/socket.c: Fixed protocol detection for cases where
	  unixserial (with USB handhelds) is losing the first 6 bytes sent
	  by the device

2005-07-03 17:40  neilw

	* doc/Makefile.am: removing README.freebsd from make dist now that
	  it has been removed from CVS

2005-07-03 14:41  neilw

	* ChangeLog, configure.ac, doc/Makefile.am: improving conditional
	  xsltproc manpage builds

2005-06-28 14:13  desrod

	* bindings/Perl/Makefile.PL.in:
	  Attempt to fix and close issue #900. Still need to poke at this a
	  bit more to get the other macros supported (MANDIR, DATADIR,
	  BINDIR, and so on).

2005-06-28 13:40  desrod

	* ChangeLog, include/pi-address.h, include/pi-appinfo.h,
	  include/pi-datebook.h, include/pi-memo.h, include/pi-todo.h,
	  libpisync/sync.c: Update tree to handle more consistant C++ and
	  preprocessor behavior for authors that are using C++ to talk to
	  our API.

2005-06-28 13:31  fpillet

	* libpisock/: address.c, contact.c, datebook.c, todo.c: Loosened
	  checks on pi_buffer_t, fixes bug #1508

2005-06-26 14:41  desrod

	* libpisock/address.c: Fixup for writing garbage memory to Palm,
	  resolves #1509 from Mark G. Adams

2005-06-26 14:23  desrod

	* bindings/Perl/Pilot.xs: Added warning fixes from Aaron Kaplan
	  (closes issue #1499)

2005-06-23 10:13  desrod

	* ChangeLog: Updated ChangeLog

2005-06-23 09:57  desrod

	* src/: pilot-read-palmpix.c, read-palmpix.c: Minor patch from
	  Goffredo <goffredo@goffredo.eti.br> to write out the file with
	  the same date and time as the photo itself.

2005-06-22 08:28  fpillet

	* libpisock/linuxusb.c: linuxusb doesn't implement
	  wait_for_device()

2005-06-22 07:40  fpillet

	* include/pi-usb.h, libpisock/libusb.c, libpisock/usb.c: renamed
	  poll_device() to wait_for_device()

2005-06-22 07:39  fpillet

	* libpisock/darwinusb.c: Fixed an issue I introduced recently with
	  the matching notification not being properly armed. Added support
	  for the new wait_for_device() semantics.

2005-06-21 14:06  desrod

	* doc/xml/: dlpsh.xml, hinotes.xml, ietf2datebook.xml,
	  install-datebook.xml, install-expenses.xml, install-hinote.xml,
	  install-memo.xml, install-netsync.xml, install-todo.xml,
	  install-user.xml, memos.xml, pi-getram.xml, pi-getrom.xml,
	  pilot-dlpsh.xml, pilot-foto.xml, pilot-getram.xml,
	  pilot-getrom.xml, pilot-hinotes.xml, pilot-ietf2datebook.xml,
	  pilot-install-datebook.xml, pilot-install-expenses.xml,
	  pilot-install-hinote.xml, pilot-install-memo.xml,
	  pilot-install-netsync.xml, pilot-install-todo.xml,
	  pilot-install-user.xml, pilot-memos.xml, pilot-read-expenses.xml,
	  pilot-read-ical.xml, pilot-read-notepad.xml,
	  pilot-read-palmpix.xml, read-expenses.xml, read-ical.xml,
	  read-notepad.xml, read-palmpix.xml: Minor adjustments to correct
	  attribution on manpages

2005-06-21 13:54  desrod

	* doc/xml/: debugsh.xml, dlpsh.xml, hinotes.xml, ietf2datebook.xml,
	  install-datebook.xml, install-expenses.xml, install-hinote.xml,
	  install-memo.xml, install-netsync.xml, install-todo.xml,
	  install-todos.xml, install-user.xml, memos.xml, pi-csd.xml,
	  pi-getram.xml, pi-getrom.xml, pi-getromtoken.xml, pi-nredir.xml,
	  pilot-addresses.xml, pilot-archive.xml, pilot-clip.xml,
	  pilot-csd.xml, pilot-debugsh.xml, pilot-dedupe.xml,
	  pilot-dlpsh.xml, pilot-file.xml, pilot-foto.xml,
	  pilot-getram.xml, pilot-getrom.xml, pilot-getromtoken.xml,
	  pilot-hinotes.xml, pilot-ietf2datebook.xml,
	  pilot-install-datebook.xml, pilot-install-expenses.xml,
	  pilot-install-hinote.xml, pilot-install-memo.xml,
	  pilot-install-netsync.xml, pilot-install-todo.xml,
	  pilot-install-todos.xml, pilot-install-user.xml, pilot-link.xml,
	  pilot-memos.xml, pilot-nredir.xml, pilot-read-expenses.xml,
	  pilot-read-ical.xml, pilot-read-notepad.xml,
	  pilot-read-palmpix.xml, pilot-read-screenshot.xml,
	  pilot-read-todos.xml, pilot-read-veo.xml, pilot-reminders.xml,
	  pilot-schlep.xml, pilot-treofoto.xml, pilot-wav.xml,
	  pilot-xfer.xml, read-expenses.xml, read-ical.xml,
	  read-notepad.xml, read-palmpix.xml, read-screenshot.xml,
	  read-todos.xml, read-veo.xml, reminders.xml: More cleanup,
	  reformatted the manpages to try to unify the structure a bit, so
	  they can be further templated out at a later time.

2005-06-21 10:37  desrod

	* configure.ac: Oops... was testing something and it slipped
	  through.

2005-06-21 10:35  desrod

	* doc/README.debugging, doc/README.freebsd, doc/README.usb,
	  doc/TODO, doc/doxygen.cfg.in, doc/doxygen_main_page.c,
	  doc/dox/doxygen.css, doc/dox/footer.html, doc/dox/header.html,
	  libpisock/socket.c: Documentation fixes, doxygen fixes, minor
	  peeks and pokes here and there.

2005-06-21 09:28  neilw

	* Makefile.am, doc/Makefile.am: Ooops! copied the Makefile into the
	  parent folder

2005-06-21 09:07  desrod

	* Makefile.am, configure.ac, doc/Makefile.am, doc/README.debugging,
	  doc/doxygen.cfg.in: Fixing up some build breakage for building
	  manpages from XML targets

2005-06-21 05:58  neilw

	* ChangeLog, Makefile.am, configure.ac: skip xml build when not
	  from CVS

2005-06-21 03:41  neilw

	* ChangeLog, configure.ac, doc/.cvsignore, doc/Makefile.am,
	  doc/doxygen.cfg.in, doc/doxygen_main_page.c, doc/man/Makefile.am,
	  doc/man/README, doc/man/addresses.1.in, doc/man/debugsh.1.in,
	  doc/man/dlpsh.1.in, doc/man/hinotes.1.in,
	  doc/man/ietf2datebook.1.in, doc/man/install-datebook.1.in,
	  doc/man/install-expenses.1.in, doc/man/install-hinote.1.in,
	  doc/man/install-memo.1.in, doc/man/install-netsync.1.in,
	  doc/man/install-todo.1.in, doc/man/install-todos.1.in,
	  doc/man/install-user.1.in, doc/man/memos.1.in,
	  doc/man/pi-csd.1.in, doc/man/pi-getram.1.in,
	  doc/man/pi-getrom.1.in, doc/man/pi-getromtoken.1.in,
	  doc/man/pi-nredir.1.in, doc/man/pilot-addresses.1.in,
	  doc/man/pilot-archive.1.in, doc/man/pilot-clip.1.in,
	  doc/man/pilot-dedupe.1.in, doc/man/pilot-file.1.in,
	  doc/man/pilot-foto.1.in, doc/man/pilot-link.7.in,
	  doc/man/pilot-schlep.1.in, doc/man/pilot-treofoto.1.in,
	  doc/man/pilot-wav.1.in, doc/man/pilot-xfer.1.in,
	  doc/man/read-expenses.1.in, doc/man/read-ical.1.in,
	  doc/man/read-notepad.1.in, doc/man/read-palmpix.1.in,
	  doc/man/read-screenshot.1.in, doc/man/read-todos.1.in,
	  doc/man/read-veo.1.in, doc/man/reminders.1.in,
	  doc/xml/.cvsignore, doc/xml/Makefile.am, doc/xml/README,
	  doc/xml/catalog.xml.in, doc/xml/docbook.xsl.in,
	  doc/xml/install-todos.xml, doc/xml/pilot-foto.xml,
	  doc/xml/pilot-install-todos.xml, doc/xml/pilot-link.docbook,
	  doc/xml/pilot-read-screenshot.xml, doc/xml/pilot-read-veo.xml,
	  doc/xml/pilot-schlep.xml, doc/xml/pilot-treofoto.xml,
	  doc/xml/pilot-wav.xml, doc/xml/read-screenshot.xml,
	  doc/xml/read-veo.xml: Auto-generation of manpages using xsltproc,
	  only in CVS builds

2005-06-17 09:49  desrod

	* src/: install-netsync.c, pilot-install-netsync.c: Fixed fubar'd
	  example

2005-06-17 06:38  warp

	* include/pi-usb.h, libpisock/libusb.c, libpisock/usb.c: Add
	  poll_device to the USB implementation structure, along with code
	  to call it if it's set in usb.c.

	  Move some code around in libusb.c (and add a bit of new code) to
	  support poll_device, we will now loop trying to find a device
	  instead of dying if none exists.

	  Fix a minor bug in libusb's read loop dealing with timeout
	  amounts.

2005-06-17 06:34  fpillet

	* libpisock/libusb.c: changed some protos, return
	  PI_ERR_SOCK_DISCONNECTED when needed

2005-06-17 06:22  fpillet

	* libpisock/utils.c, include/pi-util.h: Added
	  pi_timeout_to_timespec(), pi_timespec_to_timeout() and
	  pi_timeout_expired() functions

2005-06-17 05:40  fpillet

	* include/pi-cmp.h: added type for extended CMP packets (not
	  supported yet)

2005-06-16 17:53  fpillet

	* libpisock/socket.c: Left a bad bug: buffer wasn't clear before
	  re-peeking to the message

2005-06-16 17:21  fpillet

	* libpisock/socket.c: Loosened rules for recognizing NET packets so
	  that it works on Linux even if we missed the initial packet

2005-06-16 11:42  desrod

	* src/: debugsh.c, pilot-debugsh.c: Fixed minor typo... oops!

2005-06-16 06:05  fpillet

	* libpisock/: darwinusb.c, inet.c, serial.c: propagate PADP long
	  packet format support

2005-06-16 05:24  fpillet

	* libpisock/cmp.c, libpisock/darwinusb.c, libpisock/usb.c,
	  include/pi-cmp.h, include/pi-socket.h: more work on the long
	  packet thing

2005-06-16 05:23  fpillet

	* libpisock/padp.c, include/pi-padp.h: moving towards full support
	  for long packet format both ways, fixed a long packet fmt issue

2005-06-15 10:09  fpillet

	* darwin/build_framework.sh, include/pi-header.h,
	  include/pi-padp.h, libpisock/contact.c, libpisock/dlp.c,
	  libpisock/libusb.c, libpisock/net.c, libpisock/sys.c,
	  src/debugsh.c, src/install-memo.c, src/install-todos.c,
	  src/pi-csd.c, src/pi-getrom.c, src/pi-port.c, src/pilot-csd.c,
	  src/pilot-debug.c, src/pilot-debugsh.c, src/pilot-getrom.c,
	  src/pilot-install-memo.c, src/pilot-install-todos.c,
	  src/pilot-port.c, src/pilot-read-expenses.c, src/read-expenses.c,
	  tests/packers.c, tests/vfs-test.c: use pi_dumpdata() instead of
	  dumpdata(). Some cleanup for compilation warnings.

2005-06-15 10:08  fpillet

	* libpisock/darwinusb.c: ongoing KLSI work

2005-06-15 10:07  fpillet

	* libpisock/cmp.c, libpisock/serial.c, libpisock/slp.c,
	  libpisock/usb.c, include/pi-cmp.h, include/pi-serial.h,
	  libpisock/padp.c, libpisock/unixserial.c: Factored out the code
	  to read PILOTRATE. Changed some protos so as to take an int for
	  the speed (use speed_t only when converting to a speed_t value
	  for Linux). More general cleanup

2005-06-15 10:06  fpillet

	* include/pi-debug.h, include/pi-source.h, include/pi-util.h,
	  libpisock/debug.c, libpisock/utils.c: dumpdata() and dumpline()
	  become pi_dumpdata() and pi_dumpline(). Provide wrappers with the
	  old names for compatibility

2005-06-15 03:21  fpillet

	* include/pi-util.h, libpisock/utils.c: Factored out get_pilot_rate
	  function; slight code reorg

2005-06-14 13:39  fpillet

	* doc/README.usb: updated README.usb with Mac OS X instructions

2005-06-14 12:28  fpillet

	* libpisock/cmp.c: advertise same version of CMP than the device
	  uses

2005-06-14 12:20  fpillet

	* libpisock/usb.c: change the baudrate if it's not 9600 after CMP
	  negotiation

2005-06-14 12:19  fpillet

	* libpisock/slp.c: missing parenthesis

2005-06-14 12:00  fpillet

	* libpisock/slp.c: SLP code overhaul

2005-06-14 11:51  fpillet

	* include/pi-slp.h: oops removed dubious define I had added for
	  testing

2005-06-14 11:49  fpillet

	* include/: pi-cmp.h, pi-slp.h: Added definition for CMP 1.3

2005-06-14 11:48  fpillet

	* libpisock/padp.c: tweaks to PADP

2005-06-14 10:29  fpillet

	* libpisock/socket.c: tweaked protocol detection again, much
	  cleaner now

2005-06-14 10:26  fpillet

	* libpisock/cmp.c: tweaked log messages

2005-06-14 10:17  fpillet

	* libpisock/darwinusb.c: working klsi support

2005-06-13 10:15  desrod

	* configure.ac: Tagged tree as -pre4, rolled to -pre5 (which may
	  become 0.12.0 final!)

2005-06-13 10:09  fpillet

	* libpisock/linuxusb.c: rx_byte doesn't exist in linuxusb (sorry,
	  copy/paste syndrome)

2005-06-13 09:55  desrod

	* libpisock/connect.c: Oops, now they both match.. (are we even
	  using connect.c anymore, now that we have the same structures in
	  userland.c? Why the duplication? Will investigate later)

2005-06-13 09:51  desrod

	* libpisock/connect.c, src/userland.c: Reword a little bit to
	  more-accurately match the current state of connect action

2005-06-13 09:31  desrod

	* ChangeLog, configure.ac, doc/man/Makefile.am, doc/man/README,
	  doc/man/addresses.1.in, doc/man/debugsh.1.in, doc/man/dlpsh.1.in,
	  doc/man/hinotes.1.in, doc/man/ietf2datebook.1.in,
	  doc/man/install-datebook.1.in, doc/man/install-expenses.1.in,
	  doc/man/install-hinote.1.in, doc/man/install-memo.1.in,
	  doc/man/install-netsync.1.in, doc/man/install-todo.1.in,
	  doc/man/install-todos.1.in, doc/man/install-user.1.in,
	  doc/man/memos.1.in, doc/man/money2qif.1.in, doc/man/pi-csd.1.in,
	  doc/man/pi-getram.1.in, doc/man/pi-getrom.1.in,
	  doc/man/pi-getromtoken.1.in, doc/man/pi-nredir.1.in,
	  doc/man/pilot-addresses.1.in, doc/man/pilot-archive.1.in,
	  doc/man/pilot-clip.1.in, doc/man/pilot-dedupe.1.in,
	  doc/man/pilot-file.1.in, doc/man/pilot-foto.1.in,
	  doc/man/pilot-link.7.in, doc/man/pilot-schlep.1.in,
	  doc/man/pilot-treofoto.1.in, doc/man/pilot-wav.1.in,
	  doc/man/pilot-xfer.1.in, doc/man/read-expenses.1.in,
	  doc/man/read-ical.1.in, doc/man/read-notepad.1.in,
	  doc/man/read-palmpix.1.in, doc/man/read-screenshot.1.in,
	  doc/man/read-todos.1.in, doc/man/read-veo.1.in,
	  doc/man/reminders.1.in, doc/xml/addresses.xml,
	  doc/xml/debugsh.xml, doc/xml/dlpsh.xml, doc/xml/hinotes.xml,
	  doc/xml/ietf2datebook.xml, doc/xml/install-datebook.xml,
	  doc/xml/install-expenses.xml, doc/xml/install-hinote.xml,
	  doc/xml/install-memo.xml, doc/xml/install-netsync.xml,
	  doc/xml/install-todo.xml, doc/xml/install-todos.xml,
	  doc/xml/install-user.xml, doc/xml/memos.xml,
	  doc/xml/money2qif.xml, doc/xml/pi-csd.xml, doc/xml/pi-getram.xml,
	  doc/xml/pi-getrom.xml, doc/xml/pi-getromtoken.xml,
	  doc/xml/pi-nredir.xml, doc/xml/pilot-addresses.xml,
	  doc/xml/pilot-archive.xml, doc/xml/pilot-clip.xml,
	  doc/xml/pilot-csd.xml, doc/xml/pilot-debugsh.xml,
	  doc/xml/pilot-dedupe.xml, doc/xml/pilot-dlpsh.xml,
	  doc/xml/pilot-file.xml, doc/xml/pilot-foto.xml,
	  doc/xml/pilot-getram.xml, doc/xml/pilot-getrom.xml,
	  doc/xml/pilot-getromtoken.xml, doc/xml/pilot-hinotes.xml,
	  doc/xml/pilot-ietf2datebook.xml,
	  doc/xml/pilot-install-datebook.xml,
	  doc/xml/pilot-install-expenses.xml,
	  doc/xml/pilot-install-hinote.xml, doc/xml/pilot-install-memo.xml,
	  doc/xml/pilot-install-netsync.xml,
	  doc/xml/pilot-install-todo.xml, doc/xml/pilot-install-todos.xml,
	  doc/xml/pilot-install-user.xml, doc/xml/pilot-link.xml,
	  doc/xml/pilot-memos.xml, doc/xml/pilot-nredir.xml,
	  doc/xml/pilot-read-expenses.xml, doc/xml/pilot-read-ical.xml,
	  doc/xml/pilot-read-notepad.xml, doc/xml/pilot-read-palmpix.xml,
	  doc/xml/pilot-read-screenshot.xml, doc/xml/pilot-read-todos.xml,
	  doc/xml/pilot-read-veo.xml, doc/xml/pilot-reminders.xml,
	  doc/xml/pilot-schlep.xml, doc/xml/pilot-treofoto.xml,
	  doc/xml/pilot-wav.xml, doc/xml/pilot-xfer.xml,
	  doc/xml/read-expenses.xml, doc/xml/read-ical.xml,
	  doc/xml/read-notepad.xml, doc/xml/read-palmpix.xml,
	  doc/xml/read-screenshot.xml, doc/xml/read-todos.xml,
	  doc/xml/read-veo.xml, doc/xml/reminders.xml, libpisock/libusb.c,
	  src/Makefile.am, src/money2qif.c, src/pilot-reminders.c,
	  src/reminders.c: Mostly a documentation update, minor fix for
	  Florent's libusb typo, some deprecated conduits removed from the
	  tree... more to come.

2005-06-13 05:34  fpillet

	* libpisock/darwinusb.c: preliminary KLSI adapter support. Not
	  fully working yet (needs more testing)

2005-06-13 05:33  fpillet

	* libpisock/libusb.c: init changebaud to NULL for now

2005-06-13 05:32  fpillet

	* libpisock/usb.c: support for port speed ioctls if the platform
	  driver supports it

2005-06-13 05:31  fpillet

	* include/pi-usb.h: added changebaud handler for usb dev, required
	  to support serial adaptors on platforms where it's not going
	  through a kernel-emulated tty

2005-06-13 05:30  fpillet

	* libpisock/slp.c: more readable code, removed unused variable

2005-06-13 05:29  fpillet

	* libpisock/linuxusb.c: proper implementation for PI_MSG_PEEK,
	  modeled after unixserial. Log messages harmonization

2005-06-13 05:28  fpillet

	* libpisock/unixserial.c: harmonized log messages so it's easier to
	  see what's going on

2005-06-12 15:35  fpillet

	* libpisock/socket.c: handle case where PILOT_LOG=0

2005-06-12 15:24  fpillet

	* libpisock/: socket.c, unixserial.c: two tiny ones

2005-06-12 15:05  fpillet

	* libpisock/unixserial.c: more log tweaks

2005-06-12 15:02  fpillet

	* libpisock/: socket.c, unixserial.c: tweaks & more logging

2005-06-12 14:25  fpillet

	* libpisock/unixserial.c: an endless stream of bug fixes might lead
	  to eternal happiness

2005-06-12 14:14  fpillet

	* libpisock/unixserial.c: one more step towards a working
	  implementation

2005-06-12 13:59  fpillet

	* libpisock/unixserial.c: Another fix for the PI_MSG_PEEK tricky
	  issue

2005-06-12 13:55  fpillet

	* libpisock/socket.c: One more tiny fix for setuid

2005-06-12 13:38  fpillet

	* libpisock/socket.c: account for incomplete headers (on slow
	  connection this makes a difference)

2005-06-12 13:18  fpillet

	* include/pi-dlp.h: removed unused sysFileTSlotDriver define (which
	  has nothing to do here) and excluded more definitions from SWIG
	  interfaces as they are for internal use only

2005-06-12 13:06  fpillet

	* libpisock/unixserial.c: oops forgot prototype

2005-06-12 13:05  fpillet

	* libpisock/unixserial.c: unixserial didn't properly honor
	  PI_MSG_PEEK when reading from the readahead buffer

2005-06-12 13:03  fpillet

	* libpisock/linuxusb.c: Linuxusb didn't properly honor PI_MSG_PEEK
	  when reading from the readahead buffer

2005-06-12 13:03  fpillet

	* libpisock/socket.c: Check the txid byte after all

2005-06-12 12:43  fpillet

	* libpisock/socket.c: More error checking and better readability
	  for get/setsockopt. Less aggressive protocol detection (do not
	  check the txid)

2005-06-12 09:29  desrod

	* bindings/Python/src/pisock_wrap.c: Small cleanup to eliminate a
	  couple of warnings.

2005-06-11 05:48  fpillet

	* libpisock/socket.c: shiny new protocol detection code that checks
	  more than one byte to make sure we don't fallback on the wrong
	  protocol because of garbage. This also simplifies the protocol
	  detection loop

2005-06-09 13:08  fpillet

	* libpisock/syspkt.c: removed unused static RPC_MemCardInfo

2005-06-09 12:59  desrod

	* src/: pilot-sync-plan.pl, sync-plan.PL: Update sync-plan.PL to
	  merge with Aaron's changes in bug #1455 and align the API with
	  the changes in 0.12.x

2005-06-09 12:59  fpillet

	* libpisock/padp.c: commented out a test that could never work

2005-06-09 12:44  desrod

	* src/Makefile.am: Oops, forgot one...

2005-06-09 12:39  fpillet

	* libpisock/socket.c: Tweaked the logs displayed while trying to
	  identify the connection

2005-06-09 12:38  fpillet

	* libpisock/net.c: Patch to counter buffer overflows when the
	  connection is sending garbage (i.e. serial)

2005-06-09 12:37  desrod

	* src/: pilot-sync-plan.pl, sync-plan.PL: Minor typo fixed

2005-06-09 10:33  desrod

	* src/pilot-foto.c: This is going to be a big diff, I re-indented
	  the whole source file a bit, and added a small buffer overflow
	  patch from Than Ngo at Red Hat. This closes bug #1497

2005-06-09 09:42  desrod

	* include/: Makefile.am, pi-address.h, pi-address.hxx,
	  pi-appinfo.h, pi-appinfo.hxx, pi-datebook.h, pi-datebook.hxx,
	  pi-dlp.hxx, pi-memo.h, pi-memo.hxx, pi-todo.h, pi-todo.hxx:
	  Purged the final bits of libpisock++ from the tree

2005-06-09 05:57  fpillet

	* darwin/build_framework.sh: Build for PPC only for now, until I
	  figure out all the issues with building a FAT framework

2005-06-07 08:34  adridg

	* doc/man/install-memo.1.in, src/install-memo.c,
	  src/pilot-install-memo.c: Deal with recent report by making
	  install-memo able to install more than one memo; this hasn't been
	  tested yet.

2005-06-07 08:32  adridg

	* include/pi-todo.hxx: Remove use of memset so we don't need an
	  extra header

2005-06-06 12:10  desrod

	* Makefile.am, configure.ac, include/Makefile.am, src/Makefile.am:
	  Updated to cleanly purge CXX* and libpisock++ from the tree

2005-06-05 09:14  fpillet

	* configure.ac: Include CoreFoundation framework when compiling on
	  Darwin. Fixes link issues on some layouts of the development
	  system

2005-06-05 09:13  fpillet

	* libpisock/dlp.c: removed unused Expect macro

2005-06-03 14:42  desrod

	* configure.ac, m4/tcl.m4, m4/vl_lib_readline.m4: Disable C++ by
	  default, auto-detect if enalbed with --with-cxx. Also clean up
	  some formatting of the --help output, need more consistency in
	  the macros as these get moved into separate .m4 files under ./m4/

2005-06-03 10:14  desrod

	* ChangeLog: Updated ChangeLog to current..

2005-06-03 06:57  fpillet

	* libpisock/libusb.c: Fix for bug #1483: the mutex wasn't being
	  released on premature function return

2005-06-03 06:46  fpillet

	* bindings/Python/src/: pi-dlp-maps.i, pi-file-maps.i, pisock.i,
	  pisock_wrap.c: Added mapping for dlp_ExpSlotEnumerate. Fixed
	  pi-file-maps.i so that the C code is inserted with the rest of
	  the wrapper code, fixing compilation issues with GCC 4 (and some
	  GCC 3 warnings).

2005-06-03 04:15  fpillet

	* bindings/Makefile.am: Fix for bug #1478: the --root option passed
	  to setup.py was confusing the installer. Removing it fixes the
	  problem.

2005-06-02 12:23  fpillet

	* bindings/Python/src/pisock_wrap.c: updated pisock_wrap

2005-06-02 12:21  fpillet

	* bindings/Python/src/: pi-error.i, pi-file-maps.i, pisock.py,
	  pisock_wrap.c: Fixed incorrect code that would crash the Python
	  interpreter on error

2005-06-01 20:17  desrod

	* doc/TODO: Minor updates to bring TODO to "mostly current", still
	  more to go..

2005-06-01 05:09  fpillet

	* src/pilot-xfer.c: Added PACE cache files to the list of files to
	  exclude from backup (creator=='a68k')Ã

2005-05-31 09:20  fpillet

	* libpisock/pi-buffer.c: If trying to create a 0 byte buffer,
	  allocate a small amount (16 bytes) as you are not supposed to
	  malloc(0)

2005-05-28 12:46  warp

	* libpisock/pi-file.c: Unlink instead of overwriting.  For the case
	  of something along the lines of: cp -lav backup_2005_05_27
	  backup_2005_05_28 Then updating the new copy.

2005-05-24 08:49  fpillet

	* libpisock/darwinusb.c: Added a comment to make clear why we're
	  setting opened to 0 in u_close

2005-05-24 08:47  fpillet

	* libpisock/usb.c: Don't decrement timeout by one second after
	  sending a wakeup packet to the device. Incidentally, this fixes a
	  bug where a timeout of 1 second would put the thread in forever
	  wait mode if the wakeup packet was without effect

2005-05-24 08:44  fpillet

	* libpisock/darwinusb.c: Fixed a lockup bug in darwinusb where a
	  new client thread could acquire a closing connection, therefore
	  locking it into waiting forever on a deleted pthread_cond. Use
	  relative timeouts in waiting threads (more explicit code),
	  defined a new macros to avoid all the #ifdef DEBUG_USB in the
	  code.

2005-05-18 18:17  warp

	* libpisock/usb.c: Oops.  Minor fix I forgot to commit.

2005-05-16 05:35  fpillet

	* libpisock/: inet.c, serial.c, socket.c, usb.c: Devices don't do
	  the pi_close() anymore on failure, it's socket.c's responsibility
	  to do it (doesn't change the APIs behavior, just a transfer of
	  responsibility)

2005-05-16 05:10  fpillet

	* libpisock/socket.c: removed comments obsoleted by the doxygen
	  documentation in pi-socket.h

2005-05-16 05:06  fpillet

	* include/pi-socket.h: completed doxygen docs for pi-socket.h

2005-05-16 03:25  fpillet

	* libpisock/darwinusb.c: Fixed indentation

2005-05-16 02:48  fpillet

	* configure.ac: added setup-standalone.py to the templatized files

2005-05-15 13:53  fpillet

	* bindings/Python/src/: pi-dlp-maps.i, pisock.i, pisock.py: cleanup

2005-05-14 17:07  adridg

	* configure.ac: Apply patch from #1480; assume Florent will
	  complain when this turns out to no-worky with MacOSX auto*

2005-05-13 18:25  fpillet

	* libpisock/socket.c: close the sd if the actual implementation
	  didn't do it

2005-05-13 18:23  fpillet

	* libpisock/darwinusb.c: Make darwinusb properly close the socket
	  descriptor

2005-05-13 18:23  fpillet

	* bindings/Python/src/: pi-dlp-maps.i, pisock_wrap.c: Fixed a
	  problem with passing types/creators that was improperly returning
	  an exception

2005-05-13 14:37  fpillet

	* bindings/Python/src/: pi-error.i, pisock.py, pisock_wrap.c,
	  pisockextras.py: Fixed error management (there were memory leaks
	  because of the early return). dlpErrNotFound now raises an
	  exception

2005-05-13 11:29  fpillet

	* libpisock/dlp.c: Coherent trace names, more info displayed

2005-05-13 11:25  fpillet

	* libpisock/darwinusb.c: compute read times (microsecond
	  resolution)

2005-05-13 10:08  fpillet

	* libpisock/net.c: bump timeout to 30s. Experience showed installs
	  that can stall the device up to 16s (with a T5), so we need a
	  longer timeout value to cope with that and legitimate long wait
	  cases

2005-05-13 05:09  fpillet

	* libpisock/dlp.c: more extensive logging

2005-05-13 05:02  fpillet

	* libpisock/darwinusb.c: tweaks to fix a race condition issue. More
	  logging.

2005-05-12 16:07  fpillet

	* bindings/Python/: README, setup-standalone.py.in, setup.py.in,
	  src/Makefile, src/general-maps.i, src/helperfuncs.i,
	  src/nonblocking_multithread.pl, src/pi-dlp-maps.i,
	  src/pi-error.i, src/pi-file-maps.i, src/pi-socket-maps.i,
	  src/pisock.py, src/pisock_wrap.c, src/pisockextras.py: Marked all
	  files with LGPL license. Cleanup in some files. Removed the
	  useless custom pi_bind() implementation

2005-05-11 16:27  fpillet

	* configure.ac: use AC_HELP_STRING instead of AS_HELP_STRING, which
	  doesn't work with the version of autoconf shipping with Mac OS X

2005-05-11 10:20  fpillet

	* bindings/Python/src/pi-dlp-maps.i: one more TODO in the list

2005-05-11 10:19  fpillet

	* libpisock/darwinusb.c: refinements in u_close, removed
	  superfluous LOG

2005-05-11 06:21  fpillet

	* bindings/Python/: README, setup-standalone.py.in,
	  src/helperfuncs.i, src/pi-dlp-maps.i, src/pisock_wrap.c: Proper
	  encoding conversion when reading/writing user info and reading
	  database info

2005-05-10 10:29  warp

	* libpisock/: freebsdusb.c, libusb.c, linuxusb.c: u_poll returns >
	  0 on success, or <= 0 on timeout or error for the usb drivers.
	  Fix comments to reflect this.

	  Remove the usb_reset call in the libusb code, doesn't help
	  anything.

2005-05-10 10:23  warp

	* libpisock/usb.c: Move stuff around to be a little cleaner.

	  Fix failure in the linux case.

	  Handle timeouts better.

2005-05-10 10:19  fpillet

	* libpisock/darwinusb.c: u_poll didn't return PI_ERR_SOCK_TIMEOUT
	  if the connection was acquired but no data showed up (thanks,
	  Mercury)

2005-05-10 09:37  fpillet

	* libpisock/socket.c: removed fprintfs

2005-05-10 05:18  fpillet

	* bindings/Python/: README, setup-standalone.py.in, setup.py.in:
	  Added new standalone build script, updated readme

2005-05-10 05:07  fpillet

	* libpisock/darwinusb.c: oops, most people don't need #define
	  DEBUG_USB 1 ;-)

2005-05-10 04:54  fpillet

	* libpisock/socket.c: added warning for bluetooth: case

2005-05-10 04:51  fpillet

	* libpisock/socket.c: Made pi_socket_setsd() code even more clear.

2005-05-10 04:51  adridg

	* libpisock/usb.c: Accidental whitespace and some additional
	  logging

2005-05-10 04:48  adridg

	* libpisock/socket.c: Better check for error returns from dup2(),
	  fcntl() and dup() as well

2005-05-10 04:34  fpillet

	* libpisock/socket.c: Fixed a major bug in pi_socket_setsd: the
	  ps->sd was never updated with the duplicated pi_sd's value. If
	  the duplicate didn't take the same value than the previous
	  ps->sd, the connection was lost forever. Also fixed a strncmp and
	  reindented some code

2005-05-10 04:11  fpillet

	* libpisock/debug.c: minor type. Flushing out the local mods I have

2005-05-10 04:10  fpillet

	* libpisock/usb.c: Mercury's evil kludge not needed on OSX. Rewrote
	  it for clarity as well

2005-05-10 04:08  fpillet

	* libpisock/darwinusb.c: fixed bugs in refcount management. When
	  closing the connection, set the socket state to PI_SOCK_CLOSE.
	  This avoid subsequent calls to pi_close (i.e. from the onexit()
	  handler) trying to access a closed connection.

2005-05-09 16:51  adridg

	* libpisock/freebsdusb.c: recv() -> back to read(), since recv()
	  doesn't work on ugen devices

2005-05-09 13:09  fpillet

	* libpisock/darwinusb.c: another big change: added refcounting to
	  the usb_connection_t struct. stop_listening() is called only when
	  refcount reaches 0. This avoids issues where concurrent threads
	  could clash on what to do, like the connection being closed while
	  another thread was trying to write

2005-05-09 10:50  fpillet

	* include/pi-syspkt.h, libpisock/syspkt.c: Got rid of the
	  sys_RPCerror variable. Now use pi_error(sd) in ALL cases to get
	  the latest error.

2005-05-08 16:53  adridg

	* configure.ac: Use AS_HELP for help, and handle --disable-libusb
	  as well

2005-05-08 16:30  adridg

	* README: Add extra notes for enabling libusb

2005-05-08 16:27  warp

	* configure.ac: Look for usb_open instead of main in libusb.

2005-05-08 10:53  warp

	* libpisock/usb.c: Send something that is hopefully even less
	  likely to do evil things to the device.

2005-05-06 21:59  warp

	* libpisock/usb.c: Evil kluge.	If we don't get any data the device
	  may still be there.  We try to wake it up by sending a 'garbage'
	  packet or 5.	(USB only.)

2005-05-06 18:13  warp

	* libpisock/: libusb.c, usb.c: Quietly fix (or at least alter) the
	  vi settings for libusb.c and usb.c.

2005-05-05 14:36  fpillet

	* bindings/Python/src/: pi-dlp-maps.i, pisock_wrap.c: Added missing
	  mappins for proper dlp_CallApplication() binding

2005-05-04 08:06  fpillet

	* bindings/Python/: pisockextras.py, src/pisockextras.py,
	  test/pisocktests.py: Moved pisockextras.py to the src/ directory.
	  Tweaked setup.py to go find Python files to include in the src
	  directory.

2005-05-02 19:08  warp

	* libpisock/: inet.c, serial.c, usb.c: Make sure that we actually
	  close the sd on errors in pi_foo_accept.

2005-05-02 17:45  adridg

	* src/: dlpsh.c, pilot-dlpsh.c: Fix for 1456: don't let popt mess
	  with fixed-size buffers in structs; simplify code a little; put
	  braces around python-style wishful indentation; remove AUTOHELP
	  since it exits dlpsh; simplify help calls.

2005-05-02 16:32  adridg

	* src/: ietf2datebook.PL, pilot-ietf2datebook.pl: For #770

2005-05-02 16:19  adridg

	* src/: pilot-read-ical.c, read-ical.c: Patch from BR 1475, though
	  I don't really see how it can help

2005-04-27 13:38  desrod

	* ChangeLog, configure.ac: Tagged -pre3, rolling to -pre4 for
	  development, updated ChangeLog

2005-04-26 13:50  warp

	* configure.ac: Better handle libusb and thread safe stuff in
	  configure.  (Still needs work in the no-threads but libusb case.)

2005-04-26 13:44  warp

	* libpisock/Makefile.am: Fix --enable-threads without
	  --enable-libusb.  (Note, libusb should really depend on
	  --enable-threads or something.)

2005-04-22 15:14  adridg

	* include/pi-expense.h, include/pi-hinote.h,
	  include/pi-versamail.h, libpisock/expense.c, libpisock/hinote.c,
	  libpisock/versamail.c: int -> size_t consistency

2005-04-22 15:01  adridg

	* libpisock/syspkt.c: Don't mix static and non-static (it's
	  declared in pi-syspkt.h)

2005-04-22 09:25  adridg

	* include/pi-datebook.h, libpisock/datebook.c: Basic consistency --
	  still missing in lots of other cases, and ContactDB does it
	  differently yet

2005-04-21 12:03  fpillet

	* configure.ac: propagate PNG_FLAGS to CPPFLAGS

2005-04-21 11:37  fpillet

	* include/pi-socket.h: Mo' doxygen documentation for socket calls

2005-04-21 11:21  desrod

	* tests/versamail-test.c: Oops, forgot this one too: pi_uid_t ->
	  recordid_t

2005-04-21 11:19  desrod

	* src/: pilot-foto-treo600.c, pilot-foto.c, pilot-treofoto.c,
	  pilot-wav.c: Minor fixes for pi_uid_t to recordid_t from
	  Florent's changes in the lib

2005-04-21 08:21  fpillet

	* include/pi-file.h: completed doxygen documentation

2005-04-19 08:52  fpillet

	* libpisock/pi-file.c: fixed a bug I introduced in
	  pi_file_append_resource()

2005-04-19 04:41  fpillet

	* libpisock/utils.c: properly escape % chars before handing the
	  string to pi_log

2005-04-18 13:41  fpillet

	* bindings/Python/TODO: updated TODO

2005-04-18 13:40  fpillet

	* bindings/Python/src/: general-maps.i, pi-dlp-maps.i,
	  pi-file-maps.i, pisock.i, pisock.py, pisock_wrap.c: add
	  pi_file_install() and pi_file_retrieve() but use custom
	  implementations instead of raw mappings to allow simply passing a
	  file path for read/write

2005-04-18 13:37  fpillet

	* include/pi-dlp.h, libpisock/dlp.c: constified parameter to
	  dlp_WriteUserInfo for better bindings generation with swig

2005-04-18 13:36  fpillet

	* include/pi-header.h: don't interface deprecated functions with
	  swig

2005-04-18 13:34  fpillet

	* libpisock/darwinusb.c: avoid init race condition

2005-04-18 13:33  fpillet

	* libpisock/debug.c: prefix log entries with thread ID when
	  compiled with --enable-threads

2005-04-18 13:32  fpillet

	* libpisock/pi-file.c: remove useless init

2005-04-18 13:30  fpillet

	* libpisock/utils.c: do atomic writes in dumpline() -- faster
	  logging, and pi_log() won't interfer when it adds the thread ID
	  when compiled with --enable-threads

2005-04-18 13:28  fpillet

	* include/pi-threadsafe.h, libpisock/threadsafe.c: added
	  pi_thread_id() call

2005-04-15 08:00  fpillet

	* include/pi-file.h, libpisock/pi-file.c: Reorganized prototypes,
	  documented functions for doxygen, improving things for bindings
	  generation

2005-04-15 06:04  fpillet

	* include/pi-error.h: Added new error code

2005-04-14 03:12  fpillet

	* include/: pi-dlp.h, pi-file.h: more tweaks for swig generation

2005-04-13 05:31  fpillet

	* bindings/Python/: pisockextras.py, src/helperfuncs.i,
	  src/pi-dlp-maps.i, src/pi-error.i, src/pi-socket-maps.i,
	  src/pisock.i, src/pisock.py, src/pisock_wrap.c,
	  test/pisocktests.py: mucho improvements in bindings

2005-04-12 11:47  fpillet

	* libpisock/dlp.c: clarify log message

2005-04-12 11:42  fpillet

	* configure.ac: define MACOSX when compiling on darwin. Do NOT
	  define DARWIN as this would conflict with system headers

2005-04-12 11:42  fpillet

	* libpisock/serial.c: turn fragmentation off on serial for MACOSX
	  only for now

2005-04-12 09:53  fpillet

	* include/pi-dlp.h: some exclusions for thing we don't need to
	  interface in bindings

2005-04-12 06:36  nicholas

	* bindings/Python/src/: Makefile, nonblocking_multithread.pl,
	  pisock.i, pisock.py, pisock_wrap.c: Put in use of %feature to see
	  if it solves the interpreter lock when calling pisock functions
	  in a cleaner way than a post-processor for the C code. Florent,
	  can you see if you like this method?

2005-04-11 11:34  fpillet

	* libpisock/darwinusb.c: auto-enable multiple simultaneous
	  connection support when compiling with --enable-threads. Lock the
	  queue mutex in stop_listening to make sure we don't have an
	  access conflict with u__read()

2005-04-11 05:22  fpillet

	* libpisock/debug.c: reduce code bloat by properly using
	  pi-threadsafe.h macros

2005-04-11 05:20  fpillet

	* libpisock/debug.c: added mutex when compiling with HAVE__THREADS
	  so that logfile writes are atomic. Open logfile in append mode so
	  that multiple connections don't clear the logfile when the
	  connection drops

2005-04-10 18:17  fpillet

	* libpisock/darwinusb.c: Ãmake sure another thread can't close same
	  connection, better disconnection reporting, better logging

2005-04-10 16:46  fpillet

	* libpisock/dlp.c: freeze PADP txid during dlp_VFSFileRead

2005-04-10 16:45  fpillet

	* include/pi-padp.h, libpisock/padp.c, include/pi-socket.h: Added
	  new sockopt to allow freezing the txid during large transfers
	  (mainly for dlp_VFSFileRead)

2005-04-08 13:29  fpillet

	* libpisock/dlp.c: changed proto to match header

2005-04-08 13:29  fpillet

	* libpisock/usb.c: simplified code

2005-04-08 13:28  fpillet

	* libpisock/darwinusb.c: Added support for multiple simultaneous
	  USB connections

2005-04-08 13:26  fpillet

	* include/: pi-dlp.h, pi-socket.h: swig and prototype tweaks

2005-04-08 13:26  fpillet

	* include/pi-usb.h: tweaks

2005-04-08 13:25  fpillet

	* bindings/Python/src/: Makefile, nonblocking_multithread.pl: some
	  additions to postprocess pisock_wrap.c and make sure a
	  multi-threaded python interpreter won't be completly blocked
	  during C calls

2005-04-08 13:17  fpillet

	* bindings/Python/: pisockextras.py, src/general-maps.i,
	  src/pi-dlp-maps.i, src/pi-dlp.i, src/pisock.i: Updating the
	  interfaces to work with 0.12, lots of ongoing fixes

2005-04-05 12:35  fpillet

	* libpisock/darwinusb.c: more work to prepare for multiple
	  simultaneous connection support

2005-04-04 18:06  fpillet

	* libpisock/darwinusb.c: Fixed the T5 connection issue that was
	  bugging me

2005-04-02 16:16  neilw

	* src/: pilot-read-todos.c, read-todos.c: Fixing
	  dlp_ReadRecordByIndex loop error

2005-03-23 11:28  fpillet

	* libpisock/darwinusb.c: reliability fixes, shielding against
	  potential crashes if device disconnects before a read_completion
	  is received

2005-03-22 11:50  fpillet

	* libpisock/darwinusb.c: even more tweaks

2005-03-22 11:17  fpillet

	* libpisock/darwinusb.c: tweak tweak tweakatitweak

2005-03-22 10:40  fpillet

	* libpisock/darwinusb.c: added dumpdata to try figuring out the
	  info that the Treo 90 returns

2005-03-22 10:19  fpillet

	* libpisock/darwinusb.c: small fixes, trying to get the Treo 90
	  working

2005-03-16 17:34  fpillet

	* src/: dlpsh.c, pilot-dlpsh.c: fix minor alignment problem in df
	  command, add 'dtp' command that's showed in help but not
	  implemented, add 'bye' alias to quit/exit

2005-03-16 11:10  fpillet

	* libpisock/syspkt.c: this variable can't be global (it isn't
	  anyway) -- causes ld to fail when building the framework on OS X

2005-03-16 04:15  fpillet

	* libpisock/darwinusb.c: Fixed an issue with finding the pipes on
	  some handhelds

2005-03-14 20:21  desrod

	* libpisock/syspkt.c: Oops, this is a better fix for gcc4

2005-03-14 20:14  desrod

	* libpisock/syspkt.c: Smallish fix for gcc4

2005-03-09 05:39  fpillet

	* libpisock/darwinusb.c: tweaked comments and changed some code for
	  better T5 compatibility (probably more to come)

2005-03-08 07:40  fpillet

	* libpisock/darwinusb.c: moved trying to get pipe info by reading
	  from pipes in the find_interfaces() function, as
	  configure_device() doesn't have the interface open yet

2005-03-08 06:52  fpillet

	* libpisock/darwinusb.c: Revised (once more) device configuration &
	  pipe search. After some extensive USB tracing, I found out why my
	  Sony wasn't connecting -- looks like the device didn't like to be
	  re-configured while it had already been configured by the OS.
	  This seems to work well with others as well. Also improved
	  configuration reading using VISOR format, which is what Sony OS
	  3/4 devices use.  T615C now works. TapWave connects faster and
	  doesn't need USBReset() anymore.

2005-03-08 04:49  fpillet

	* libpisock/pi-file.c: Fixed issue with appInfo not being read on
	  some files like AddressDB on T3: this was because the size
	  returned by HotSync (this also happens straight on Palm OS, check
	  it with Filez) is wrong -- it says there is no appInfo block
	  whereas there is one. See comments in the code.

2005-03-06 12:36  fpillet

	* libpisock/dlp.c: deprecated -129 as a legitimate return code --
	  functions now properly return PI_ERR_DLP_UNSUPPORTED

2005-03-06 12:26  fpillet

	* libpisock/pi-file.c: fixed bug recently introduced in
	  pi_file_retrieve() that prevented it from working properly on
	  devices prior Palm OS 3.0

2005-03-06 07:46  nicholas

	* bindings/Tcl/pitcl.c, include/pi-address.h,
	  include/pi-datebook.h, include/pi-memo.h, include/pi-todo.h,
	  libpisock/address.c, libpisock/contact.c, libpisock/datebook.c,
	  libpisock/memo.c, libpisock/pi-buffer.c, libpisock/todo.c,
	  src/install-datebook.c, src/install-todo.c, src/install-todos.c,
	  src/memos.c, src/pilot-addresses.c, src/pilot-install-datebook.c,
	  src/pilot-install-todo.c, src/pilot-install-todos.c,
	  src/pilot-memos.c, src/pilot-read-ical.c, src/pilot-read-todos.c,
	  src/pilot-reminders.c, src/read-ical.c, src/read-todos.c,
	  src/reminders.c, src/validate.cc, tests/contactsdb-test.c,
	  tests/packers.c: Switch the packer/unpacker functions over to use
	  pi-buffer-t instead of static buffers. Makes the arguments for
	  them all match each other.

2005-03-06 06:23  fpillet

	* libpisock/darwinusb.c: removed the USBReset()Ã call which was
	  causing problems with m515, m500 and possibly other devices.
	  Conditionalized it to presence of a Zodiac, which seems to be the
	  onlyÃ device still requiring it (hopefully I'll find a workaround
	  soon)Ã

2005-03-04 13:11  fpillet

	* libpisock/dlp.c: integrated fix provided by Scott Gruby: Tapwave
	  Zodiac may return wrong command index during
	  dlpFuncReadRecord/dlpFuncReadRecordEx calls

2005-03-04 09:06  fpillet

	* libpisock/darwinusb.c: prepared darwinusb for multiple
	  simultaneous connection support

2005-03-04 06:09  fpillet

	* include/pi-cmp.h, include/pi-net.h, include/pi-padp.h,
	  include/pi-serial.h, include/pi-slp.h, include/pi-source.h,
	  include/pi-sys.h, include/pi-usb.h, libpisock/cmp.c,
	  libpisock/darwinusb.c, libpisock/freebsdusb.c, libpisock/inet.c,
	  libpisock/libusb.c, libpisock/padp.c, libpisock/slp.c,
	  libpisock/sys.c, libpisock/unixserial.c: revised constness
	  accross the board

2005-03-04 05:52  fpillet

	* libpisock/net.c: change declaration of fixed handshake blocks,
	  make message parameter to net_tx const

2005-03-03 13:35  fpillet

	* configure.ac: update, small bugfix on 'enable-debug'

2005-03-03 13:34  fpillet

	* include/Makefile.am, include/pi-threadsafe.h,
	  libpisock/Makefile.am, libpisock/socket.c,
	  libpisock/threadsafe.c: Added thread-safe code so that access to
	  socket linked lists is thread safe

2005-03-03 13:09  fpillet

	* libpisock/darwinusb.c: revised pipe-detection code

2005-03-03 10:11  nicholas

	* include/pi-userland.h, libpisock/darwinusb.c,
	  libpisock/datebook.c, libpisock/debug.c, libpisock/dlp.c,
	  libpisock/expense.c, libpisock/freebsdusb.c, libpisock/hinote.c,
	  libpisock/inet.c, libpisock/libusb.c, libpisock/linuxusb.c,
	  libpisock/mail.c, libpisock/md5.c, libpisock/memo.c,
	  libpisock/money.c, libpisock/net.c, libpisock/notepad.c,
	  libpisock/os2serial.c, libpisock/padp.c, libpisock/palmpix.c,
	  libpisock/pi-buffer.c, libpisock/pi-file.c,
	  libpisock/pi-header.c, libpisock/serial.c, libpisock/slp.c,
	  libpisock/socket.c, libpisock/sys.c, libpisock/syspkt.c,
	  libpisock/todo.c, libpisock/unixserial.c, libpisock/usb.c,
	  libpisock/utils.c, libpisock/veo.c, libpisock/versamail.c,
	  libpisync/util.c, src/debugsh.c, src/hinotes.c,
	  src/install-datebook.c, src/install-hinote.c, src/install-memo.c,
	  src/install-netsync.c, src/install-todo.c, src/kittykiller.c,
	  src/pd-tty.c, src/pi-port.c, src/pilot-debug.c,
	  src/pilot-debugsh.c, src/pilot-dedupe.c,
	  src/pilot-foto-treo600.c, src/pilot-hinotes.c,
	  src/pilot-install-datebook.c, src/pilot-install-hinote.c,
	  src/pilot-install-memo.c, src/pilot-install-netsync.c,
	  src/pilot-install-todo.c, src/pilot-port.c,
	  src/pilot-read-ical.c, src/pilot-read-palmpix.c,
	  src/pilot-reminders.c, src/pilot-schlep.c, src/pilot-treofoto.c,
	  src/plu_args.c, src/read-ical.c, src/read-palmpix.c,
	  src/reminders.c: Add emacs local variables to every place that
	  has vi ones. This is to stop emacs trying to indent stuff a
	  different way.

2005-03-02 17:36  fpillet

	* configure.ac, m4/threads.m4: added --enable-threads flag for
	  thread-safe support

2005-03-02 11:25  fpillet

	* libpisock/dlp.c: disable RX timeouts during dlp_CallApplication()

2005-03-02 11:24  fpillet

	* libpisock/: net.c, padp.c: honor the PI_SOCK_HONOR_RX_TIMEOUT
	  sockopt when waiting for packets so that we don't timeout on
	  lengthy operations which don't tickle the connection

2005-03-02 10:51  fpillet

	* include/pi-dlp.h: complete documenting the known HotSync bug in
	  VFSDirEntryEnumerate()

2005-03-02 10:50  fpillet

	* include/pi-socket.h, libpisock/socket.c: added
	  PI_SOCK_HONOR_RX_TIMEOUT socket level option, so that we can
	  disable RX timeouts when the device is going to perform a lengthy
	  operation (mainly for dlp_CallApplication() use)

2005-03-01 14:54  desrod

	* include/pi-usb.h, libpisock/usb.c: Fix typos with SONY_CILE
	  device.. closes bug-and-a-half #1452

2005-03-01 14:33  warp

	* libpisock/libusb.c: Take into consideration race conditions for
	  reading, which nicely kills a hanging bug.  Kill a few other
	  bugs.

2005-02-22 10:40  fpillet

	* include/pi-buffer.h, libpisock/pi-buffer.c: constified parameters
	  where possible

2005-02-21 17:53  nicholas

	* bindings/Python/pisockextras.py,
	  bindings/Python/src/pi-dlp-maps.i,
	  bindings/Python/src/pi-socket-maps.i,
	  bindings/Python/src/pisock.i, bindings/Python/src/pisock.py,
	  bindings/Python/src/pisock_wrap.c,
	  bindings/Python/test/pisocktests.py, include/pi-socket.h: Pass
	  tests for dlp_ReadSysInfo, dlp_ReadStorageInfo, dlp_ReadUserInfo,
	  dlp_ReadFeature. Rework a few bits of python code.

2005-02-21 14:18  fpillet

	* libpisock/darwinusb.c: added a third pass to find the USB pipes
	  -- turns out the Tungsten W has one 64-bytes channel and one
	  32-byte. Couldn't get it working yet, but at least it finds the
	  pipes

2005-02-21 10:19  fpillet

	* bindings/Python/test/pisocktests.py: more tests. Need help with
	  these funcs that take a ptr as argument

2005-02-21 08:40  fpillet

	* bindings/Python/test/pisocktests.py: new tests, show what's
	  happening, took off offlinesuite from online tests because it
	  fails when online

2005-02-21 08:39  fpillet

	* bindings/Python/pisockextras.py: tweaks

2005-02-21 08:20  fpillet

	* bindings/Python/pisockextras.py: fixed loop as dlp_ReadDBList_
	  can return None

2005-02-21 05:57  fpillet

	* bindings/Python/src/pisock.i: restored proper indentation for
	  Python codeÃ

2005-02-20 18:59  fpillet

	* bindings/Python/src/pi-dlp-maps.i: tweaks, fixed a few bugs:
	  dlp_ReadAppPreference's parameter had changed, removed a typemap
	  that was causing a parameter to not be taken as input

2005-02-20 18:34  fpillet

	* bindings/Python/src/pi-dlp-maps.i: reindent, tweak

2005-02-20 18:32  fpillet

	* bindings/Python/src/pisock.i: picky picky: make sure static
	  object ptrs are set to NULL; reindented code

2005-02-20 18:31  fpillet

	* bindings/Python/src/pi-error.i: better error mgmt: defer error
	  processing to a func, this reduces the wrapper codesize

2005-02-20 18:30  fpillet

	* bindings/Python/src/general-maps.i: improved pi_buffer_t*
	  handling so as not to leak in case of early termination

2005-02-20 10:07  fpillet

	* bindings/Python/src/pi-dlp-maps.i: More structured file

2005-02-20 06:53  fpillet

	* libpisock/socket.c: cast parameter as the protocol func isn't
	  constified yet

2005-02-20 06:52  fpillet

	* include/pi-dlp.h: DLP functions now return PI_ERR, this eases
	  swig integration. Try to harmonize prototypes as well, using
	  meaningful and identical names where parameters are the same kind

2005-02-20 06:25  fpillet

	* bindings/Python/src/: general-maps-errorhandling.i,
	  pi-dlp-maps-errorhandling.i: removed obsolete errorhandling files

2005-02-20 06:25  fpillet

	* bindings/Python/src/pisock.i: now use pi-error.i

2005-02-20 06:15  nicholas

	* bindings/Python/src/pi-error.i: Provide (weak) error strings to
	  the caller

2005-02-20 06:10  fpillet

	* include/pi-error.h: new type PI_ERR

2005-02-20 05:54  fpillet

	* bindings/Python/src/pi-error.i: preparing interfaces for proper
	  error handling

2005-02-19 11:03  nicholas

	* bindings/Python/: pisockextras.py, setup.py.in, test.py, test.sh,
	  src/general-maps-errorhandling.i,
	  src/pi-dlp-maps-errorhandling.i, src/pi-dlp-maps.i, src/pisock.i,
	  src/pisock.py, src/pisock_wrap.c, test/pisocktests.py,
	  test/run.sh: Better error handling, create pisockextras.py to
	  provide nicer interfaces (see dlp_ReadDBList for example), start
	  of unit ttest suite.

2005-02-18 13:57  fpillet

	* include/pi-dlp.h, libpisock/dlp.c: preparing prototypes for swig

2005-02-18 13:56  fpillet

	* include/pi-socket.h, libpisock/socket.c: updated data constness
	  on pi_send() and pi_write()

2005-02-18 13:17  fpillet

	* darwin/build_framework.sh: framework build doesn't require
	  libicon anymore

2005-02-17 19:05  nicholas

	* bindings/Python/: README, setup.py.in: Rebrand as Rob hasn't
	  touched the code for a few years.

2005-02-17 19:04  nicholas

	* bindings/Python/src/pi-file.i: This file is not needed anymore

2005-02-17 17:58  nicholas

	* bindings/Python/src/: general-maps-errorhandling.i,
	  general-maps.i, pi-dlp-maps-errorhandling.i, pi-dlp-maps.i,
	  pisock.i, pisock_wrap.c: Make typemaps that are not specific to
	  python be used for all languages, so maybe we can start to use
	  this same files for perl. Put back exception checking for the
	  dlp_ calls, in a new way.

2005-02-17 17:19  nicholas

	* bindings/Python/src/general-maps.i,
	  bindings/Python/src/pi-dlp-maps.i, bindings/Python/src/pi-dlp.i,
	  bindings/Python/src/pi-socket-maps.i,
	  bindings/Python/src/pisock.i, include/pi-dlp.h: Python swig
	  bindings no longer have their own copies of the prototypes. They
	  are also a bit broken, but let's fix them as we write tests or
	  code that uses them. This needed a little rename in pi-dlp.h.
	  Error handling is even worse now, but see DLPERROR in
	  pi-dlp-maps.i for the form of the start of a fix.

2005-02-17 17:14  nicholas

	* bindings/Python/src/: pisock_wrap.c, pisock.py: Doing this commit
	  seperately, see my real commit in a few seconds time. This is to
	  make the actual diff readable, as this is just a large
	  autogenerated file.

2005-02-17 14:04  fpillet

	* libpisock/: Makefile.am, util.c: Removed util.c as
	  convert_FromPilotChar and convert_ToPilotChar don't belong to
	  libpisock

2005-02-17 14:01  fpillet

	* libpisync/: Makefile.am, util.c: moved util.c from libpisock as
	  it really belongs to here

2005-02-16 19:58  nicholas

	* bindings/Python/test.py, bindings/Python/test.sh,
	  bindings/Python/src/pi-dlp.i, bindings/Python/src/pi-header.i,
	  bindings/Python/src/pi-socket-maps.i,
	  bindings/Python/src/pi-socket.i, bindings/Python/src/pi-source.i,
	  bindings/Python/src/pisock.i, bindings/Python/src/pisock.py,
	  bindings/Python/src/pisock_wrap.c, include/pi-socket.h: Clean up
	  some inconsistant names in pi-socket.h ; Have swig read
	  pi-socket.h directly ; update python test.py to not use
	  pilot_connect()

2005-02-12 19:50  desrod

	* ChangeLog: Re-gen ChangeLog

2005-02-12 01:53  warp

	* libpisock/libusb.c: Some warning cleanup.

2005-02-11 19:12  fpillet

	* include/pi-dlp.h: document a bug in HotSync for
	  dlp_VFSDirEntryEnumerate()

2005-02-11 18:33  fpillet

	* libpisock/debug.c, libpisock/dlp.c, include/pi-debug.h,
	  include/pi-source.h: more constness where possible

2005-02-11 15:27  fpillet

	* libpisock/dlp.c: removed comments, updated dlp_WriteRecord proto

2005-02-11 04:12  fpillet

	* include/pi-dlp.h: minor tweaks, constified data passed to
	  dlp_WriteRecord

2005-02-10 13:55  fpillet

	* bindings/Python/src/: pi-socket.i, pisock.py, pisock_wrap.c:
	  mapped additional socket functions

2005-02-10 13:49  fpillet

	* bindings/Python/src/: pi-dlp-maps.i, pi-dlp.i, pisock.py,
	  pisock_wrap.c: updated Python bindings, need to get rid of
	  pilot_connect() and map the new plu_() stuff instead

2005-02-10 12:09  nicholas

	* bindings/Python/src/: pi-dlp.i, pisock_wrap.c: Add missing file,
	  and regenerate pisock_wrap.c

2005-02-10 05:04  fpillet

	* include/: pi-args.h, pi-cmp.h, pi-dlp.hxx, pi-error.h, pi-file.h,
	  pi-header.h, pi-inet.h, pi-macros.h, pi-net.h, pi-padp.h,
	  pi-serial.h, pi-slp.h, pi-sockaddr.h, pi-socket.h, pi-source.h,
	  pi-sync.h, pi-sys.h, pi-syspkt.h, pi-usb.h: more doxyfication,
	  all-around pass to add missing license information

2005-02-10 03:22  fpillet

	* libpisock/pi-buffer.c: removed docs here as the documentation is
	  in pi-buffer.h. pi_buffer_clear() now shrinks buffer to a
	  reasonable size if it's too big

2005-02-10 03:21  fpillet

	* include/pi-buffer.h: more docs

2005-02-10 03:14  fpillet

	* include/pi-buffer.h: doxyfied pi-buffer.h

2005-02-09 13:29  fpillet

	* bindings/Python/src/pi-dlp-maps.i: updated maps to include new
	  flags

2005-02-09 13:14  fpillet

	* include/pi-error.h: updated tab size

2005-02-09 13:14  fpillet

	* include/pi-socket.h: started doxyfication of pi-socket.h

2005-02-09 13:13  fpillet

	* src/pilot-xfer.c: updated pilot-xfer to use the new transfer
	  callback format

2005-02-09 13:12  fpillet

	* include/pi-file.h, libpisock/pi-file.c: modified transfer
	  progress callback to pass a pi_progress_t instead of a bunch of
	  arguments

2005-02-09 11:25  fpillet

	* src/: install-hinote.c, pilot-install-hinote.c: removed unused
	  variable buf

2005-02-09 06:51  fpillet

	* include/pi-error.h: proper doxyfication of pi-error.h

2005-02-09 06:40  fpillet

	* include/pi-dlp.h: reorganized and created groups so as to make
	  doxy documentation clear and straightforward

2005-02-09 06:19  fpillet

	* include/pi-dlp.h, libpisock/dlp.c: completed pi-dlp.h
	  doxyfication

2005-02-08 12:06  fpillet

	* libpisock/pi-file.c: Set dlpDBMiscFlagRamBased in pi_file_open()
	  since we can't install a database to ROM, so if the database is
	  going to be installed it will be in RAM

2005-02-08 10:12  fpillet

	* include/pi-dlp.h, libpisock/dlp.c: even more doxygen

2005-02-08 06:29  fpillet

	* libpisock/dlp.c: renamed some parameters, added a check to
	  dlp_htopdate for zero dates

2005-02-08 06:28  fpillet

	* include/pi-dlp.h: more [d]oxygen for us

2005-02-07 18:43  fpillet

	* include/pi-dlp.h: Properly documenting for Doxygenation

2005-02-07 18:38  fpillet

	* include/pi-dlp.h, libpisock/dlp.c: Properly documenting for
	  Doxygenation

2005-02-07 06:12  fpillet

	* bindings/Python/src/pisock_wrap.c: prevent python bindings from
	  creating a DB with the Open flag

2005-02-07 06:02  fpillet

	* bindings/Python/src/pisock_wrap.c: added missing db flags from
	  dlp_ReadDBList

2005-02-05 04:11  fpillet

	* libpisock/darwinusb.c: try several device configurations if one
	  fails

2005-02-04 10:18  desrod

	* doc/: man/pilot-link.7.in, xml/pilot-link.xml: Fixing minor
	  typos, closes Debian bug 289234

2005-02-04 10:10  desrod

	* doc/: man/pilot-xfer.1.in, xml/pilot-xfer.xml: Closing Debian bug
	  293474

2005-02-04 10:00  desrod

	* doc/man/pilot-xfer.1.in: Fixed mistake with @VERSION@ macro being
	  prematurely expanded

2005-02-04 10:00  desrod

	* doc/: man/pilot-link.7.in, xml/pilot-link.xml: Fixed small
	  omission, closes Debian bug 293225. Also cleaned up conduit
	  formatting.

2005-02-04 09:21  desrod

	* doc/: man/pilot-xfer.1.in, xml/pilot-xfer.xml: Fix small typo,
	  closes upstream Debian bug 283593

2005-02-02 12:21  desrod

	* libpisock/contact.c: Slightly cleaner version of the FreeBSD 4.x
	  fix

2005-02-02 10:25  desrod

	* bindings/Python/src/pisock_wrap.c: Updated to reflect change of
	  dlpDBFlagClipping to dlpDBFlagLaunchable, for properly detecting
	  PQA resources.

2005-02-02 07:20  adridg

	* configure.ac: Do it right

2005-02-01 02:06  adridg

	* configure.ac, libpisock/contact.c: For 4-stable (Fernan's mail)

2005-01-31 01:20  desrod

	* configure.ac: Bumping to -pre3 for new changes

2005-01-31 00:57  desrod

	* ChangeLog: Updating ChangeLog

2005-01-31 00:55  desrod

	* configure.ac: Updated for latest manpage additions

2005-01-31 00:39  desrod

	* doc/man/: Makefile.am, debugsh.1.in, install-todos.1.in,
	  money2qif.1.in, pi-csd.1.in, pi-nredir.1.in, pilot-clip.1.in,
	  pilot-dedupe.1.in, pilot-file.1.in, pilot-schlep.1.in,
	  pilot-treofoto.1.in, pilot-wav.1.in, read-screenshot.1.in,
	  reminders.1.in: Adding missing manpages for -pre2

2005-01-31 00:30  desrod

	* doc/man/: addresses.1.in, dlpsh.1.in, hinotes.1.in,
	  ietf2datebook.1.in, install-datebook.1.in, install-expenses.1.in,
	  install-hinote.1.in, install-memo.1.in, install-netsync.1.in,
	  install-todo.1.in, install-user.1.in, memos.1.in, pi-getram.1.in,
	  pi-getrom.1.in, pi-getromtoken.1.in, pilot-addresses.1.in,
	  pilot-archive.1.in, pilot-foto.1.in, pilot-link.7.in,
	  pilot-xfer.1.in, read-expenses.1.in, read-ical.1.in,
	  read-notepad.1.in, read-palmpix.1.in, read-todos.1.in,
	  read-veo.1.in: Updated manpages from converted XML files in
	  ../xml

2005-01-31 00:25  desrod

	* doc/xml/: addresses.xml, debugsh.xml, dlpsh.xml, hinotes.xml,
	  ietf2datebook.xml, install-datebook.xml, install-expenses.xml,
	  install-hinote.xml, install-memo.xml, install-netsync.xml,
	  install-todo.xml, install-todos.xml, install-user.xml, memos.xml,
	  money2qif.xml, pi-csd.xml, pi-getram.xml, pi-getrom.xml,
	  pi-getromtoken.xml, pi-nredir.xml, pilot-addresses.xml,
	  pilot-archive.xml, pilot-clip.xml, pilot-csd.xml,
	  pilot-debugsh.xml, pilot-dedupe.xml, pilot-dlpsh.xml,
	  pilot-file.xml, pilot-foto.xml, pilot-getram.xml,
	  pilot-getrom.xml, pilot-getromtoken.xml, pilot-hinotes.xml,
	  pilot-ietf2datebook.xml, pilot-install-datebook.xml,
	  pilot-install-expenses.xml, pilot-install-hinote.xml,
	  pilot-install-memo.xml, pilot-install-netsync.xml,
	  pilot-install-todo.xml, pilot-install-todos.xml,
	  pilot-install-user.xml, pilot-link.xml, pilot-memos.xml,
	  pilot-nredir.xml, pilot-read-expenses.xml, pilot-read-ical.xml,
	  pilot-read-notepad.xml, pilot-read-palmpix.xml,
	  pilot-read-screenshot.xml, pilot-read-todos.xml,
	  pilot-read-veo.xml, pilot-reminders.xml, pilot-schlep.xml,
	  pilot-treofoto.xml, pilot-wav.xml, pilot-xfer.xml,
	  read-expenses.xml, read-ical.xml, read-notepad.xml,
	  read-palmpix.xml, read-screenshot.xml, read-todos.xml,
	  read-veo.xml, reminders.xml: Adding XML versions of the manpages
	  to the tree. These will not be disted but will remain in CVS for
	  continuous editing and updating. Thanks to Neil Williams for the
	  first big push, with major modifications of his work on my part
	  to unify them and clean them up a bit.

2005-01-28 13:52  desrod

	* bindings/Java/Makefile.am: Oops, commented line here causes
	  java_files to go undefined, breaking the build. Fixed.

2005-01-26 16:49  nicholas

	* bindings/Python/: TODO, test.py, src/pi-socket.i, src/pisock.i,
	  src/pisock.py, src/pisock_wrap.c: Expose pisock.error exception

2005-01-25 10:48  fpillet

	* libpisock/pi-file.c: check error in dlp_ReadAppBlock in
	  pi_file_retrieve

2005-01-25 10:39  fpillet

	* libpisock/pi-file.c: Get info about the database first in all
	  cases, and try to get the appBlock only if its size is > 0. This
	  fixes a Treo 600 crash on some ROM files where you can't get
	  their appBlock without crashing HotSync

2005-01-25 09:01  fpillet

	* src/pilot-xfer.c: updated to properly detect PQA files. Previous
	  method using the Launchable flag was improper, as other files may
	  also be launchable without being web clippings

2005-01-25 08:42  fpillet

	* include/pi-dlp.h: added new DB flag definitions up to (and
	  including) OS 6 database flags. Renamed dlpDBFlagClipping to
	  dlpDBFlagLaunchable as it is the official function of this bit

2005-01-24 12:28  fpillet

	* libpisock/linuxusb.c: Fixed typo

2005-01-23 13:48  nicholas

	* bindings/Python/: TODO, test.py, src/general-maps.i,
	  src/pi-dlp-maps.i, src/pi-file.i, src/pi-header.i,
	  src/pi-socket-maps.i, src/pi-socket.i, src/pi-source.i,
	  src/pisock.i, src/pisock.py, src/pisock_wrap.c: * Moved entries
	  out of pisock.i into several different files, to start   to
	  improve maintainability

	  * Have dlp_ReadDBList() return a list of dicts

	  * Catch up with changes that broke compiling against 0.12 pre1
	  (may still be   lots of other issues around here)

	  * Removed most of the by-hand wrapping and improved swig typemaps
	  to replace   it

	  * Put a little hack in test.py so that it can run against an
	  uninstalled	version of the pisock module

2005-01-20 17:02  adridg

	* src/pilot-xfer.c: Don't use asprintf since it isn't available
	  everywhere (or we could have gone the route of providing a
	  portability library). Fix a corner case where lack of memory
	  could cause you to free a const string.

2005-01-20 16:30  adridg

	* configure.ac: Fix for 1416, 1418, I hope

2005-01-20 16:07  adridg

	* libpisock/inet.c, m4/socklen.m4: Typenames not for the squeamish

2005-01-20 16:03  adridg

	* libpisock/: connect.c, contact.c: More header-file madness

2005-01-20 15:51  adridg

	* libpisock/contact.c: stdint not everywhere

2005-01-20 15:03  adridg

	* libpisock/freebsdusb.c: Build

2005-01-20 14:58  adridg

	* include/pi-serial.h, libpisock/inet.c, libpisock/serial.c,
	  libpisock/unixserial.c: Remove socklen_t from the API, and map to
	  kde_socklen_t (the 'right' type for the third argument for
	  accept(2)) where needed (only in inet.c).

2005-01-20 14:50  adridg

	* README: Remind for folks building from source on BSD

2005-01-20 13:19  fpillet

	* libpisock/: freebsdusb.c, inet.c, linuxusb.c: more flush() fixes

2005-01-20 13:03  fpillet

	* libpisock/libusb.c: added flush() support to libusb

2005-01-20 11:59  fpillet

	* libpisock/freebsdusb.c: added missing parameter to recv() in
	  freebsdusb

2005-01-20 11:55  fpillet

	* libpisock/unixserial.c: fixed bug in my unixserial changes
	  (doesn't seem to like using recv(Ã) instead of read())

2005-01-20 11:13  fpillet

	* libpisock/serial.c: forgot to duplicate the flush() ptr in
	  pi_protocol_dup

2005-01-20 10:20  fpillet

	* libpisock/: darwinusb.c, linuxusb.c, unixserial.c, usb.c,
	  freebsdusb.c, inet.c: flush() implementation at interface level,
	  bug fixes

2005-01-20 10:20  fpillet

	* libpisock/: cmp.c, net.c, padp.c, slp.c, sys.c, serial.c:
	  flush()Ã implementation in the protocol stack

2005-01-20 10:18  fpillet

	* include/: pi-serial.h, pi-source.h, pi-usb.h: added flush() call
	  to protocol

2005-01-20 10:18  fpillet

	* include/pi-dlp.h: added constness to dlp_CallApplication()
	  parameter, numbered DLP error codes to easy debugging

2005-01-20 10:17  fpillet

	* libpisock/dlp.c: flush input buffer before issuing a new DLP call
	  to make sure we don't get an answer to a previous request

2005-01-20 10:16  fpillet

	* include/pi-socket.h, libpisock/socket.c: added pi_flush() call

2005-01-19 16:02  adridg

	* configure.ac: Check for ifaddrs.h (not present on Solaris) --
	  adding a new AC_CHECK_HEADERS call instead of editing old,
	  because this causes a smaller diff :)

2005-01-19 15:58  adridg

	* configure.ac, m4/socklen.m4: Configure check for socklen_t, which
	  doesn't exist everywhere.

2005-01-19 15:25  adridg

	* src/pilot-read-screenshot.c, src/pilot-read-veo.c,
	  src/read-screenshot.c, src/read-veo.c, tests/contactsdb-test.c:
	  No stdint needed (or exists) on 4-stable

2005-01-19 15:18  adridg

	* src/: install-todo.c, pi-csd.c, pilot-csd.c,
	  pilot-install-todo.c, pilot-read-palmpix.c, pilot-xfer.c,
	  read-palmpix.c: More gcc 2.95 / 4-stable stuff

2005-01-19 15:11  adridg

	* src/: install-netsync.c, pilot-install-netsync.c: Another
	  4-stable fix: need sys/types for sys/socket; previous commit used
	  HAVE_, but I see it's included unconditionally in other files, so
	  do same here.

2005-01-19 15:08  adridg

	* src/: dlpsh.c, pilot-dlpsh.c: gcc 2.95: no statements between
	  declarations

2005-01-19 14:26  adridg

	* src/: dlpsh.c, pilot-dlpsh.c: For Fernan: #include dependent
	  system header for 4-stable

2005-01-19 14:21  adridg

	* src/pilot-addresses.c: Constness, which I stumbled over when
	  #including this file in a C++ program (KPilot, which needs
	  compatible CSV output)

2005-01-14 20:39  adridg

	* doc/man/install-datebook.1.in, src/install-datebook.c,
	  src/pilot-install-datebook.c: For bug 1411: bail on file error
	  _before_ connecting to the Pilot; improve manpage to state that
	  exactly one file is read.

2005-01-14 12:50  desrod

	* configure.ac: Cut over to -pre2, so there is no confusion between
	  HEAD and the current -pre1 release version.

2005-01-10 17:34  adridg

	* src/: pilot-read-notepad.c, read-notepad.c: Default to a value
	  that does not cause a warning when the value is left default

2005-01-10 08:06  knghtbrd

	* src/: pilot-read-notepad.c, read-notepad.c: Default to png.  If
	  you don't have libpng and don't specify that you want ppm, you'll
	  get a warning about getting ppm instead of png.  I figure that is
	  reasonable, pending a rewrite of this program which supports
	  installing new notepad pages.

2005-01-10 07:57  fpillet

	* libpisock/net.c: dump invalid header as hex bytes when NET header
	  not recognized

2005-01-10 07:55  fpillet

	* libpisock/socket.c: my bad -- need to wake up. Properly applied
	  Aaron's patch this time

2005-01-10 07:50  fpillet

	* libpisock/: socket.c: Aaron's fix: reset pi_buffer_t in
	  protocol_queue_build() after reading a first byte when protocol
	  wasn't immediately recognized

2005-01-10 06:03  fpillet

	* libpisock/dlp.c: log error and dump invalid data in
	  dlp_response_read if # bytes invalid

2005-01-09 06:42  knghtbrd

	* include/pi-contact.h, libpisock/contact.c,
	  tests/contactsdb-test.c: Turned ContactsAppInfo_t labels field
	  into an opaque pi_buffer_t.  Fixed a typeo in the name of
	  free_ContactsAppInfo, and modified contactsdb_test accordingly.

2005-01-09 06:06  knghtbrd

	* include/pi-contact.h, libpisock/contact.c,
	  tests/contactsdb-test.c: structs ContactsAppInfo and Contact have
	  _t typedefs now.  Added numCustoms field to ContactsAppInfo and
	  removed the addr/im/phone labels (how they're done will change
	  soon).  Packing a ContactsAppInfo now copies the customLabels
	  field back in to the labels array before writing (you should
	  treat labels and internal as opaque!)  Added freeContactsAppInfo
	  for disposing of allocated data in the structure.  Added more
	  error checking where it was needed.  Fixed up Copyright headers
	  and included proper attributions.  Moved function documentation
	  from contact.c to pi-contact.h, where it will do more good.

2005-01-06 02:12  knghtbrd

	* src/pilot-foto.c: Check your pointers before you dereference
	  them!

2005-01-05 15:09  adridg

	* src/: install-todo.c, pilot-install-todo.c: Avoid printing
	  possible uninitialized buffer.

2005-01-02 19:44  adridg

	* src/pilot-addresses.c: Make --delete-all work

2005-01-02 06:15  knghtbrd

	* include/pi-contact.h, libpisock/contact.c,
	  tests/contactsdb-test.c: Tweaked the handling of the picture
	  field of a Contact.  We have enough information now to process
	  and recreate the header, so we now do so in the pack/unpack
	  functions.  The picture field will contain only the JPEG data
	  now, and the pictype field has been added to help future-proof
	  the structure.  Currently accepted values for pictype are
	  cpic_none and cpic_jpeg.  I also cleaned up some function
	  headers.

2004-12-31 01:58  knghtbrd

	* include/pi-contact.h, libpisock/contact.c,
	  tests/contactsdb-test.c: The next stage of my libpisock Contacts
	  code rewrite.  All functions now take pi_buffer_t's instead of
	  seperate buffers/lens and return 0 or -1 on error.  The only
	  function not completely rewritten from the ContactsDB code
	  contributed by ... who contributed it? ... is pack_Contact, which
	  is going to remain as-is until I add AddressDB handling to this
	  code.

	  Please note, while I was able to promise byte-for-byte AppInfo,
	  there are a couple of unused nybbles whose (unused) contents are
	  not reproduced.

2004-12-23 12:28  knghtbrd

	* tests/contactsdb-test.c: contactsdb-test now uses the libpisock
	  code because I needed to be sure that the libpisock code actually
	  worked on all devices I could test.

2004-12-23 12:24  knghtbrd

	* include/pi-contact.h, libpisock/contact.c: Support for all
	  versions of ContactsDB, plus some minor bugfixes for the existing
	  support for Tungsten E/T3.  I can't myself use this format, so
	  expect it to change between now and 0.12's final release to be
	  more similar to the format I cooked up for my own use.

2004-12-22 19:30  desrod

	* src/Makefile.am: More cruft-removal

2004-12-22 19:27  desrod

	* autogen.sh: Remove some unused cruft (actually, this is a
	  stealthy attempt to test the commit log emails, shh!)

2004-12-22 19:22  desrod

	* autogen.sh: This should really be refactored a bit, it isn't
	  self-healing or scalable, but for the short term, this will do.

2004-12-22 17:57  adridg

	* src/: Makefile.am, addresses.c, pilot-archive.c: Remove
	  addresses(1) and pilot-archive(1)

2004-12-22 15:00  adridg

	* src/: pilot-read-todos.c, read-todos.c: Fix for #1230

2004-12-21 19:03  adridg

	* src/: pilot-archive.c, pilot-read-todos.c, read-todos.c:
	  Deprecate silly -archive and merge into read-todos.

2004-12-21 18:14  adridg

	* src/pilot-addresses.c: Fix dangerously misleading help text

2004-12-21 18:12  adridg

	* configure.ac: Give NULL_DEVICE a good default value

2004-12-21 17:32  adridg

	* src/: pilot-foto-treo600.c, pilot-read-expenses.c,
	  pilot-reminders.c, pilot-treofoto.c, read-expenses.c,
	  reminders.c: Add -w (mandatory) to all

2004-12-21 17:10  adridg

	* src/pilot-addresses.c: Allow --write - to go to stdout, to mimic
	  old addresses(1) behavior

2004-12-21 17:01  adridg

	* src/: pilot-addresses.c, pilot-archive.c, pilot-foto-treo600.c,
	  pilot-read-expenses.c, pilot-reminders.c, pilot-treofoto.c,
	  read-expenses.c, reminders.c, userland.c: Remove remainder of
	  wonky no-args handling

2004-12-21 16:58  adridg

	* include/pi-userland.h, src/addresses.c, src/dlpsh.c,
	  src/pilot-dlpsh.c: dlpsh needs <-i|-c> now.

2004-12-21 16:28  adridg

	* src/: pi-nredir.c, pilot-nredir.c: Back out previous 'fix': you
	  _must_ specify -n now to get pi-nredir to function. Calling it
	  with no args will print usage.

2004-12-21 15:03  adridg

	* src/pilot-xfer.c: pilot-xfer needs an argument to indicate
	  action, so let it bail with no args just like everyone else

2004-12-21 14:51  adridg

	* include/pi-userland.h, src/addresses.c, src/pi-nredir.c,
	  src/pilot-archive.c, src/pilot-foto-treo600.c,
	  src/pilot-nredir.c, src/pilot-read-expenses.c,
	  src/pilot-reminders.c, src/pilot-treofoto.c, src/read-expenses.c,
	  src/reminders.c, src/userland.c: Another thing slapped into
	  userland.

	  For the conduits that don't _need_ any arguments, if there is a
	  port set somewhere else (for the time being: in PILOTPORT), don't
	  bail out but do your stuff.

2004-12-20 18:50  fpillet

	* src/: memos.c, pilot-memos.c: fixed incorrect casts

2004-12-20 18:43  desrod

	* include/pi-userland.h: Arg! There's always one last file missing
	  at commit/release time. DOH!

2004-12-20 17:54  desrod

	* ChangeLog: Update ChangeLog to current with all commit changes to
	  date

2004-12-20 17:37  desrod

	* pilot-link.m4.in: More strict auto* checking on the macros we're
	  carrying inbound

2004-12-20 17:36  desrod

	* src/: addresses.c, dlpsh.c, hinotes.c, install-datebook.c,
	  install-expenses.c, install-hinote.c, install-memo.c,
	  install-netsync.c, install-todo.c, install-todos.c,
	  pilot-dlpsh.c, pilot-hinotes.c, pilot-install-datebook.c,
	  pilot-install-expenses.c, pilot-install-hinote.c,
	  pilot-install-memo.c, pilot-install-netsync.c,
	  pilot-install-todo.c, pilot-install-todos.c, install-user.c,
	  memos.c, money2qif.c, pi-csd.c, pi-getrom.c, pi-nredir.c,
	  pi-port.c, pilot-addresses.c, pilot-archive.c, pilot-clip.c,
	  pilot-csd.c, pilot-dedupe.c, pilot-file.c, pilot-foto-treo600.c,
	  pilot-foto.c, pilot-getrom.c, pilot-install-user.c,
	  pilot-memos.c, pilot-nredir.c, pilot-port.c,
	  pilot-read-expenses.c, pilot-read-ical.c, pilot-read-notepad.c,
	  pilot-read-palmpix.c, pilot-read-screenshot.c,
	  pilot-read-todos.c, pilot-read-veo.c, pilot-reminders.c,
	  pilot-schlep.c, pilot-treofoto.c, pilot-wav.c, pilot-xfer.c,
	  plu_args.c, read-expenses.c, read-ical.c, read-notepad.c,
	  read-palmpix.c, read-screenshot.c, read-todos.c, read-veo.c,
	  reminders.c, userland.c: Update userland to handle the relocation
	  of userland.h to include/pi-userland.h

2004-12-20 17:34  desrod

	* autogen.sh: Some useful fixes for systems with multiple versions
	  of auto* and friends installed (from Neil Williams)

2004-12-20 17:27  adridg

	* configure.ac, libpisock/Makefile.am: Fix for following:
	  /usr/bin/ld: .libs/unixserial.o: relocation R_X86_64_32 can not
	  be used when making a shared object; recompile with -fPIC

2004-12-20 17:15  desrod

	* include/: pi-datebook.hxx, pi-serial.h, pi-source.h: Remove the
	  last bits of WIN32 from the tree, these might return later in
	  another shape and form.

2004-12-20 17:06  desrod

	* src/userland.h: Removing userland.h, its up in ../include now, as
	  pi-userland.h

2004-12-20 17:05  desrod

	* configure.ac, include/Makefile.am: Moving libpiuserland headers
	  into the includes dir, non-installable

2004-12-20 16:20  desrod

	* bindings/Perl/Pilot.xs: Adding changes from Aaron Kaplan to keep
	  the Perl bindings in lockstep with the API changes in 0.12

2004-12-20 15:54  adridg

	* libpisock/: connect.c, pi-header.c: Marked as deprecated, warn
	  the user about is as well.

2004-12-20 15:52  adridg

	* include/pi-header.h: Remove prototypes for functions never
	  created, and mark the remainder deprecated. These prototypes
	  cover functions in connect.c and pi-header.c

2004-12-20 15:50  adridg

	* include/pi-util.h: Add a means to mark functions as deprecated

2004-12-20 15:49  adridg

	* include/pi-version.h.in: Add a PILOT_LINK_IS macro for doing
	  conditional compilation based on version number (used extensively
	  in KPilot, for one thing, which keeps compatibility with 0.11 and
	  0.12)

2004-12-20 14:36  desrod

	* libpisock/: Makefile.am, winserial.c: Removed references to
	  winserial.c, these might return later, or maybe not.

2004-12-20 14:35  desrod

	* libpisock/: inet.c, serial.c, slp.c, socket.c, syspkt.c, utils.c:
	  Remove any references to legacy WIN32 serial support and NeXT
	  support. When or if someone helps us port this back to Windows,
	  with serial and USB support, these can return, but will need to
	  be rewritten from the ground-up anyway.

2004-12-20 14:22  fpillet

	* libpisock/serial.c: commented out the frag. off code, until we
	  figure out how to determine whether the connection is bluetooth
	  or usb/linux

2004-12-20 13:17  fpillet

	* libpisock/serial.c: turn fragmentation off when NET protocol
	  detected

2004-12-20 13:17  fpillet

	* libpisock/unixserial.c: use memmove() rather than memcpy() where
	  there are potential buffer overlaps

2004-12-20 13:13  fpillet

	* libpisock/: freebsdusb.c, linuxusb.c: use memmove() rather than
	  memcpy() where there are potential buffer overlaps

2004-12-20 11:55  fpillet

	* libpisock/inet.c: properly set sockopt on both command and
	  non-command instances of the net protocol

2004-12-20 11:40  desrod

	* bindings/Java/: Makefile.am, MidiMgr.java: One missing file, one
	  modified file, and a TODO in a pear tree.

2004-12-20 11:16  fpillet

	* libpisock/inet.c: use the right socket number when setting
	  options

2004-12-20 11:09  desrod

	* bindings/Java/: Makefile.am, README, README.de, TestTodos.java,
	  adrtest.java, build.xml, datebooktst.java, libjpisock.c,
	  libjpisock.h, test.java, org/gnu/pilotlink/AddressAppInfo.java,
	  org/gnu/pilotlink/AddressRecord.java,
	  org/gnu/pilotlink/AppInfo.java, org/gnu/pilotlink/DBInfo.java,
	  org/gnu/pilotlink/DatabaseExistsException.java,
	  org/gnu/pilotlink/DatabaseNotFoundException.java,
	  org/gnu/pilotlink/DatebookAppInfo.java,
	  org/gnu/pilotlink/DatebookRecord.java,
	  org/gnu/pilotlink/FTB3CostCatRecord.java,
	  org/gnu/pilotlink/FTB3TripRecord.java,
	  org/gnu/pilotlink/FTB3VehicleRecord.java,
	  org/gnu/pilotlink/MemoRecord.java,
	  org/gnu/pilotlink/MidiRecord.java,
	  org/gnu/pilotlink/PilotLink.java,
	  org/gnu/pilotlink/PilotLinkException.java,
	  org/gnu/pilotlink/RawRecord.java, org/gnu/pilotlink/Record.java,
	  org/gnu/pilotlink/ToDoRecord.java, org/gnu/pilotlink/User.java,
	  org/gnu/pilotlink/Version.java: Updating Java bindings to match
	  in lockstep with Stephan Bösebeck's changes

2004-12-20 05:34  fpillet

	* libpisock/net.c: added useful comment so we don't lose track of
	  why these values are here

2004-12-19 06:51  knghtbrd

	* tests/contactsdb-test.c: Satisfy any legal weenies who might
	  protest my "license", and make it damned clear that you don't get
	  stuff I didn't write under it.

2004-12-18 20:04  adridg

	* src/pilot-archive.c: Nothing to CSV here, folks. Move along.

2004-12-18 19:58  adridg

	* src/pilot-clip.c: Fix up option descriptions.

2004-12-17 16:40  adridg

	* src/: install-expenses.c, pilot-install-expenses.c: Useful names
	  for STRING parameters

2004-12-17 15:05  desrod

	* Makefile.am: Bump automake version check down by one

2004-12-17 12:18  fpillet

	* libpisock/pi-file.c: fixed dlp_ReadAppBlock call

2004-12-17 09:10  fpillet

	* include/pi-serial.h, libpisock/serial.c, libpisock/unixserial.c:
	  Converted the printfs to LOG messages. Fixed issues in
	  initalizing the protocol structs. Removed buggy ref ptr which was
	  being improperly read in unixserial and would cause some code to
	  be sporadically executed

2004-12-17 09:04  knghtbrd

	* libpisock/: inet.c, net.c: Okay, new palmOne devices use a USB
	  chip that is broken.	Florent already applied a workaround to the
	  code, but it had to be enabled.  However, there is no good way to
	  know when to do this.  So we will always enable it, except when
	  we know we don't need it.  Performance cost?	A few (less than
	  ten) miliseconds per megabyte.  You won't notice.  Really, you
	  won't.

2004-12-17 08:59  knghtbrd

	* tests/contactsdb-test.c: Erm, how did this get not inited
	  properly?

2004-12-17 06:36  adridg

	* libpisock/pi-header.c: Use right option explanation; why the heck
	  is this in the library _anyway_

2004-12-16 01:04  warp

	* include/pi-dlp.hxx: Let the c++ headers compile again, someone
	  missed something.

2004-12-15 11:24  fpillet

	* src/: pilot-addresses.c, pilot-archive.c, pilot-read-expenses.c,
	  pilot-read-ical.c, pilot-read-notepad.c, pilot-read-screenshot.c,
	  pilot-read-todos.c, pilot-read-veo.c, read-expenses.c,
	  read-ical.c, read-notepad.c, read-screenshot.c, read-todos.c,
	  read-veo.c: completed updating code for new dlp_ReadAppBlock
	  prototype

2004-12-15 11:14  fpillet

	* src/: addresses.c, hinotes.c, install-expenses.c,
	  install-hinote.c, install-memo.c, memos.c, money2qif.c,
	  pilot-hinotes.c, pilot-install-expenses.c,
	  pilot-install-hinote.c, pilot-install-memo.c, pilot-memos.c:
	  updating code for new prototype of dlp_ReadAppBlock

2004-12-15 11:03  fpillet

	* tests/: contactsdb-test.c, dlp-test.c: Ãupdated use of
	  dlp_ReadAppBlock and dlp_ReadSortBlock

2004-12-15 10:55  fpillet

	* include/pi-dlp.h, libpisock/dlp.c: moved dlp_ReadAppBlock and
	  dlp_ReadSortBlock to return data in pi_buffer_t*. Added some more
	  logging to dlp_ReadDBList. Reordered code managing date
	  conversion

2004-12-14 03:53  knghtbrd

	* libpisock/socket.c: I recall there being more use of NUL and
	  /dev/null in here.  Oh well.

2004-12-14 03:44  knghtbrd

	* configure.ac, src/Makefile.am, src/getopt.c, src/getopt.h,
	  src/getopt1.c, src/pilot-mail.c: Added (currently unused)
	  NULL_DEVICE define to pilot-link, should be set to a string
	  containing whatever your system calls /dev/null.  Currently
	  always /dev/null because I don't know the host strings for win32
	  and OS/2 off the top of my head--but this is okay because support
	  for those platforms needs a rewrite anyway.

	  Also consigned getopt and the long-deprecated pilot-mail to the
	  attic.

2004-12-13 02:40  knghtbrd

	* tests/contactsdb-test.c: Okay, now contactsdb-test is done.
	  Prints out the data in a useful format that's easy enough to
	  read, and includes actually names the fields properly.

2004-12-13 01:15  knghtbrd

	* tests/contactsdb-test.c: Now fully dumps ContactsDB-PAdd data for
	  all versions of the file.  For the sake of sanity, doesn't
	  hexprint photos, just their size.

2004-12-12 18:14  adridg

	* doc/man/pilot-addresses.1.in: Match current code

2004-12-12 18:02  adridg

	* src/pilot-addresses.c: Avoid handing category -1 to
	  dlp_DeleteCategory

2004-12-12 17:48  adridg

	* src/pilot-addresses.c: Do progress reporting, and suppress
	  totally empty entries (which crop up if you read in a DOS-style
	  CRLF file)

2004-12-12 17:30  adridg

	* src/pilot-addresses.c: pilot-addresses is now compatible with
	  itself again. yay. read _and_ write 21-field entries now, handle
	  showphone referencing properly. if you use un-augmented entries,
	  all you lose is the showphone property. this is _not_ compatible
	  with PD-output, i think, since PD puts the phoneLabel in brackets
	  after the entry.

2004-12-12 16:03  adridg

	* src/pilot-addresses.c: Remove -T; #-comment lines are standard,
	  so just generate them unequivocally.

2004-12-12 15:55  adridg

	* src/pilot-addresses.c: Make encodechars default and mandatory,
	  since we generate _really_ broken CSV otherwise.

2004-12-12 10:50  desrod

	* autogen.sh, configure.in: Deprecate configure.in in favor of the
	  preferred (and recommended) configure.ac file format

2004-12-12 10:47  desrod

	* configure.ac: Stay in lockstep with configure.in's most-recent
	  change, oops!

2004-12-12 10:45  desrod

	* configure.ac: Will deprecate configure.in when this has been
	  tested fully

2004-12-12 10:41  desrod

	* Makefile.am: Bump minimum required version of automake, because
	  of the added autoconf strict checking

2004-12-11 14:14  adridg

	* src/pilot-addresses.c: Some code docs; numbers -> enum constants;
	  improve an error message.

2004-12-11 09:27  adridg

	* src/pilot-addresses.c: Buffer overflow protection, from one of
	  the bugreports closed last night

2004-12-11 05:47  fpillet

	* include/pi-dlp.h, libpisock/dlp.c: turn id_ into recuid, makes
	  things more explicit (I already had this mod in my local tree)

2004-12-10 19:25  adridg

	* src/pilot-addresses.c: Fix for 1085; --delete-all wasn't working.

2004-12-10 19:14  adridg

	* src/pilot-addresses.c: Simplify, simplify, and fix #28, #1073,
	  #717, and lots of others in one go.

2004-12-10 18:18  adridg

	* src/pilot-addresses.c: Skip comments properly (#830, #1093). Set
	  the fields in the address structure so that you can actually
	  install an address entry from CSV. Remove spurious while() that
	  was probably left over from when this was a do-loop.

2004-12-10 15:46  adridg

	* src/pilot-addresses.c: Deal with bug #830: every other line is
	  skipped. This looks like a half-finished bugfix on CSV reading --
	  the fgets() reads a line and it is neatly split into fields, but
	  the _rest_ of the code is still using getc() to read characters
	  directly from the file.  Dumped the fgets stuff, so that it at
	  least reads all the lines in the file (doesn't do anything useful
	  with them, though, see all the other address bugs).

2004-12-10 15:35  adridg

	* src/pilot-addresses.c: Provide more useful --help and --usage

2004-12-10 08:34  adridg

	* src/pilot-xfer.c: Don't use OpenConduit during a transfer

2004-12-10 04:34  knghtbrd

	* tests/contactsdb-test.c: One of my random trees had an
	  uncommitted contactsdb-test with the AppInfo decoding finished.
	  Keep in mind, this is brute force and does not use the functions
	  in libpisock to decode ContactsDB, but it also works on every
	  "modern" palmOne device I have, including the Tungsten T5.
	  That'd be more impressive if it actually did something
	  useful--anyone know how we can tell what country numbers are?  23
	  (0x17) is apparently the United States.

2004-12-09 19:31  knghtbrd

	* bindings/libjpisock.c, bindings/Java/libjpisock.c,
	  bindings/Tcl/pitcl.c, include/pi-address.hxx, include/pi-dlp.h,
	  include/pi-file.h, include/pi-foto.h, include/pi-header.h,
	  include/pi-slp.h, include/pi-usb.h, libpisock/dlp.c,
	  libpisock/net.c, libpisock/padp.c, libpisock/pi-file.c,
	  libpisock/serial.c, libpisock/slp.c, libpisock/usb.c,
	  libpisync/sync.c, src/debugsh.c, src/memos.c, src/pi-port.c,
	  src/pilot-debug.c, src/pilot-debugsh.c, src/pilot-dedupe.c,
	  src/pilot-file.c, src/pilot-foto.c, src/pilot-mail.c,
	  src/pilot-memos.c, src/pilot-port.c, src/pilot-read-ical.c,
	  src/pilot-wav.c, src/pilot-xfer.c, src/read-ical.c,
	  tests/dlp-test.c: Changes from MarkSpace that are useful.  Need
	  to talk to Scott Gruby or someone from MarkSpace about the rest.
	  People using 0.12 will find compile errors with this in their own
	  code (*pilot) around the id -> id_ changes, but they're minor
	  (and important for Objective-C).

2004-12-09 18:47  adridg

	* src/pilot-xfer.c: * Rename pilot_cardinfo palm_cardinfo, matching
	  all the other functions   in pilot-xfer.  * Send some error
	  messages to stderr.  * -f does VFS, too so mention it in the help
	  string.

2004-12-09 14:36  knghtbrd

	* include/pi-contact.h: At least provide a warning to people
	  reading the header that they can't trust the functions contained
	  therein to work on later devices.  No sense in failing to
	  document what we know.

2004-12-05 12:33  knghtbrd

	* configure.in: Given that people keep asking where the binaries
	  are and we're done breaking them while we implement VFS, it's
	  safe to reenable them by default.

2004-12-03 19:27  adridg

	* doc/man/: pi-getram.1.in, pi-getrom.1.in, pi-getromtoken.1.in,
	  pilot-link.7.in: 1) Mention common options in pilot-link (7) 2)
	  Refer to them in a few manpages 3) Add a manpage for getromtoken
	  (1) 4) Mention the new --sysinfo flavor of getrom (1)

	  TODO) Merge all the pi-get* manpages, since it's one executable
	  as well.

2004-12-03 16:38  adridg

	* doc/man/pi-getram.1.in: Use the correct appname.

	  Two issues come to mind with the manpages: 1) Since all of
	  userland takes --help, --usage, --port, --quiet,    perhaps those
	  command-line args should be in pilot-link (7)    to save space in
	  the rest.  2) Do we really want the manpages to be (C) FSF?

2004-12-03 16:19  desrod

	* configure.in, src/hinotes.c, src/install-datebook.c,
	  src/install-expenses.c, src/install-hinote.c,
	  src/install-netsync.c, src/install-todo.c, src/install-todos.c,
	  src/money2qif.c, src/pi-getrom.c, src/pilot-dedupe.c,
	  src/pilot-foto.c, src/pilot-getrom.c, src/pilot-hinotes.c,
	  src/pilot-install-datebook.c, src/pilot-install-expenses.c,
	  src/pilot-install-hinote.c, src/pilot-install-netsync.c,
	  src/pilot-install-todo.c, src/pilot-install-todos.c,
	  src/pilot-schlep.c, src/pilot-wav.c, src/pi-nredir.c,
	  src/pilot-nredir.c, src/pilot-read-notepad.c,
	  src/pilot-read-todos.c, src/read-notepad.c, src/read-todos.c:
	  Bump version from -rc16 to -pre0 for now, to lessen the confusion
	  with bug reporting.

	  Also fixed the serial:/dev/ttyUSB0 issue in userland conduits

2004-12-03 13:54  knghtbrd

	* src/pilot-xfer.c: A bit inefficient (but pretty output routines
	  usually are), and I need to do something with the little static
	  functions, but all the same the output here is pretty cool..

2004-12-02 17:28  adridg

	* src/: pi-getrom.c, pilot-getrom.c: Minuscule feature: printing
	  SysInfo. The ram/rom/token conduit seemed like the most sensible
	  place to fit this in, since they're printing or retrieving pretty
	  non-volatile stuff from the device already.

2004-12-01 10:37  adridg

	* include/pi-dlp.hxx: Make dlp.hxx compile again

2004-12-01 10:26  fpillet

	* include/pi-net.h, include/pi-socket.h, libpisock/net.c: added two
	  new sockopt options for NET sockets to allow spliting writes (NET
	  header + data) and also split data in chunks when appropriate
	  (i.e. for USB writes on some devices)

2004-12-01 10:23  fpillet

	* include/pi-args.h: added shielding against multiple inclusions

2004-12-01 05:30  fpillet

	* libpisock/net.c: tentative fix for USB issues: as seen on the
	  Windows USB log, write NET header first (6 bytes) then DLP packet
	  split into 4k chunks. This will hopefully fix the Zire 72 and T5
	  issues. If this work, we can afford using this technique on USB
	  and when connected through other means (inet, bluetooth) then
	  perform single-writes to speedup data transfers.

2004-11-28 15:03  knghtbrd

	* src/pilot-xfer.c: pilot-xfer -D / -l will now list the root of
	  the default VFS volume, if there is a default.  (Adriaan's logic
	  is that there is a default when there is exactly one VFS
	  volume--I intend to change that, but haven't yet.)  This means
	  that -l can no longer provide VFS card info.	Which is fine,
	  because you can now use pilot-xfer -C for that purpose.

2004-11-28 13:21  knghtbrd

	* src/pilot-xfer.c: Remove the -d short option for --delete.
	  Things that delete should not have short options.

2004-11-27 14:33  fpillet

	* libpisock/dlp.c: no C++-style comments

2004-11-27 13:29  fpillet

	* libpisock/dlp.c: properly set second parameter to WriteRecord to
	  0x80, indicating that the record data is included in the packet

2004-11-27 08:51  knghtbrd

	* libpisock/dlp.c: A bit more error logging to try and track down
	  Zire 72 and Tungsten T5 errors.

2004-11-26 09:44  fpillet

	* include/pi-dlp.h, libpisock/dlp.c: Changed prototype of
	  dlp_CallApplication to use pi_buffer_t to return data

2004-11-25 19:28  desrod

	* libpisock/: contact.c, usb.c: C++ style comments, tsk tsk.

2004-11-24 05:47  fpillet

	* libpisock/dlp.c: Take two on previous patch. I think that in the
	  long run, we may need to drop this request != result command
	  check since DLP is processing only one request at a time, and
	  palm software engineers seem to often fail to return proper codes
	  (probably a code cut-and-paste side effect)

2004-11-24 05:40  fpillet

	* libpisock/dlp.c: Tungsten T5 returns wrong command
	  (dlpFuncEndOfSync) for dlpFuncWriteResource

2004-11-23 06:00  fpillet

	* libpisock/dlp.c: Added LOG in dlp_exec to track down cases where
	  the result command code is not the same than the request's (may
	  give us a lead to T5 issues). Fixed error code returned by
	  dlp_WriteAppPreference

2004-11-21 16:55  adridg

	* src/pilot-xfer.c: Make fetch progress reporting obey --quiet;
	  note that without progress reporting, cancels are not detected --
	  this is something to fix in the library functions.

	  Split the VFS fetch into a function suitable for a library and a
	  userland part (just like with install). Do progress reporting
	  with it as well.

2004-11-21 15:44  adridg

	* src/pilot-xfer.c: Possible progress reporting for --fetch; I
	  don't think pi_file_retrieve calls the progress function, though.

2004-11-21 15:35  adridg

	* src/: install-user.c, pilot-install-user.c: Cleanup usage
	  message; basically, the first bit of the string set in
	  OtherOptionHelp immediately follows the usage output that
	  summarizes the options -- it should not contain any of the flags
	  or options, but at most contain a name for the 'remaining
	  arguments' like "FILES ...".	Nearly all conduits use \n\n here,
	  since there's no sensible remaining arguments.

	  Make the conduit obey --quiet.

	  Add a --list to avoid the usage-if-no-args scenario for folks
	  with PILOT_PORT set.

	  Follow coding conventions, I think. Fix vi modeline.

	  Add obsequious message to sync log on Palm also when just listing
	  user.

2004-11-21 13:09  desrod

	* src/: install-user.c, pilot-install-user.c: Rolled back to the
	  previous example output of this conduit. There be bugs here with
	  the --help and --usage output doubling up, and reporting out of
	  order. The output looks horrible. Must fix soon.

2004-11-20 20:10  adridg

	* src/pilot-xfer.c: Obey --quiet to suppress progress reporting
	  (maybe also want to suppress more); handle cancels by stopping
	  install (tested with internal memory only).

2004-11-20 19:35  adridg

	* src/pilot-xfer.c: Progress reporting when installing to internal
	  or VFS memory, uses pi_file_install's progress function with a
	  bit of a hack around pi_file_open (which doesn't set the
	  filename). Code shuffled about so that there is a
	  pi_file_install_VFS which might be ripe for inclusion in
	  libpisock.

2004-11-17 17:48  adridg

	* src/: install-expenses.c, install-hinote.c, install-memo.c,
	  memos.c, pilot-install-expenses.c, pilot-install-hinote.c,
	  pilot-install-memo.c, pilot-memos.c: Factor out category-finding
	  code and use userland.

2004-11-17 11:30  warp

	* src/: install-memo.c, pilot-install-memo.c: Fix it to work again
	  instead of writing empty memos.

	  When using -t only have the filename as the title, not the full
	  path given.

2004-11-17 11:07  warp

	* src/: memos.c, pilot-memos.c: Minor indentation fix.

	  Make the save memos to directories thing work.

2004-11-17 10:59  warp

	* libpisock/socket.c, src/memos.c, src/pilot-memos.c: Zero init a
	  byte buffer.

	  Fix an annoying infinite loop bug in memos.c.

2004-11-16 19:09  adridg

	* src/pilot-xfer.c: Progress reporting while installing or fetching
	  with VFS (since this is where you'd be putting really big files).
	  I think I've tested fetch enough now, let someone else try next.

2004-11-16 18:49  adridg

	* include/pi-versamail.h, libpisock/dlp.c, tests/vfs-test.c:
	  Warnings------

2004-11-15 18:15  adridg

	* src/: memos.c, money2qif.c, pilot-addresses.c, pilot-memos.c,
	  userland.c, userland.h: Move out some more category searching
	  code. Try to make the code in userland more generic (if only to
	  reflect the variations in the userland conduits themselves before
	  factoring out). I think in the long run the category matching
	  should be standardized on one set of flags.

2004-11-15 18:13  adridg

	* src/plu_args.c: Warnings--, thanks Matt

2004-11-14 18:34  adridg

	* src/pilot-xfer.c: VFS fetching appears to work now. Make backups
	  before testing.

	  Shouldn't the size argument to VFSGetSize be a size_t, to be
	  consistent with the rest of the API?

2004-11-14 18:02  adridg

	* src/: dlpsh.c, pilot-dlpsh.c: -Wall -Werror should be the default

2004-11-14 18:01  adridg

	* src/: dlpsh.c, pilot-dlpsh.c: Userlandify

2004-11-14 17:57  adridg

	* src/: pi-port.c, pilot-port.c: Userlandify (even though it's not
	  compiled)

2004-11-14 17:49  adridg

	* src/pilot-wav.c: Userlandify

2004-11-14 17:38  adridg

	* src/: Makefile.am, pilot-prc.c: Remove broken and deprecated
	  pilot-prc

2004-11-14 17:19  adridg

	* src/pilot-dedupe.c: Userland

2004-11-14 17:15  adridg

	* src/pilot-clip.c: Userlandify

2004-11-14 17:07  adridg

	* src/: dlpsh.c, install-datebook.c, pilot-dlpsh.c, pilot-file.c,
	  pilot-foto-treo600.c, pilot-install-datebook.c, pilot-treofoto.c:
	  -Wall -Werror based fixes

2004-11-14 16:53  adridg

	* src/: dlpsh.c, pilot-dlpsh.c: Whitespace

2004-11-14 16:51  adridg

	* src/: pilot-clip.c, pilot-dedupe.c: Whitespace before the storm

2004-11-14 16:33  adridg

	* src/pilot-schlep.c: Userland patch from Matt, with some minor
	  tweaks from me.

2004-11-14 16:06  adridg

	* src/pilot-archive.c: Userlandify. Remove totally bogus if() that
	  implies that it once was possible to read a local .pdb file.

2004-11-14 16:02  adridg

	* src/pilot-file.c: Userlandify. Make options orthogonal, introduce
	  aliases. Handle more than one filename argument.

2004-11-14 16:01  adridg

	* src/pilot-archive.c: Whitespace crud

2004-11-14 12:06  adridg

	* src/pilot-xfer.c: Initial VFS-fetch code. For God's sake, don't
	  try this at home.

2004-11-14 11:41  adridg

	* src/: install-netsync.c, money2qif.c, pi-csd.c, pi-nredir.c,
	  pilot-csd.c, pilot-install-netsync.c, pilot-nredir.c: Userlandify

2004-11-14 05:36  knghtbrd

	* libpisock/connect.c, src/userland.c: I thought that I wasn't
	  seeing the press hotsync message because Florent's USB code was
	  doing things in pi_bind that should be done in pi_listen.  It is
	  true that he is, but then he's not the only one.  All it takes to
	  make the message get printed, though, is to fflush stdout.  While
	  I was at it, I made plu_connect a little more intelligent.
	  Didn't bother to mirror the change to pilot_connect since we're
	  not going to be using it for long.

2004-11-14 05:33  knghtbrd

	* libpisock/socket.c: Rename a static function to be clearer as to
	  its purpose since the symbol is not exported.  Part of trying to
	  chart the socket code.

2004-11-14 05:31  knghtbrd

	* doc/TODO: A couple of TODO notes.  There's some stuff in here
	  that's perhaps a bit dated now, but I don't want to make
	  additions or changes to the file without discussing them.

2004-11-13 18:46  adridg

	* src/: install-expenses.c, pilot-install-expenses.c,
	  pilot-read-expenses.c, read-expenses.c: Use the global string
	  tables from pi-expense.c in libpisock. Do some more argument
	  checking -- hopefully this is correct, to avoid NULL amount
	  strings, for instance. I don't have a copy of Expenses to test
	  with.

2004-11-13 18:28  adridg

	* src/: install-expenses.c, pilot-install-expenses.c: Userlandify.
	  Removed short option for replace, since it does delete data.
	  install-expenses now installs _an_ expense record even if you
	  give it --replace or --category, which it didn't do recently.

	  Still needs some better argument checking and indent.

2004-11-13 18:21  adridg

	* src/: pilot-read-expenses.c, read-expenses.c: Straightforward
	  userlandification

2004-11-13 10:12  knghtbrd

	* src/: hinotes.c, install-datebook.c, install-expenses.c,
	  install-hinote.c, install-netsync.c, install-todo.c,
	  install-todos.c, install-user.c, money2qif.c, pi-getrom.c,
	  pi-nredir.c, pi-port.c, pilot-clip.c, pilot-dedupe.c,
	  pilot-foto.c, pilot-getrom.c, pilot-hinotes.c,
	  pilot-install-datebook.c, pilot-install-expenses.c,
	  pilot-install-hinote.c, pilot-install-netsync.c,
	  pilot-install-todo.c, pilot-install-todos.c,
	  pilot-install-user.c, pilot-nredir.c, pilot-port.c,
	  pilot-read-expenses.c, pilot-read-todos.c, pilot-schlep.c,
	  pilot-wav.c, read-expenses.c, read-todos.c: Removed all mention
	  to /dev/pilot in src!  serial:/dev/ttyUSB0 is used instead, just
	  because it's probably a little more obvious that you shouldn't be
	  making random symlinks as newbies keep trying to do for
	  /dev/pilot.

	  Of course, it means that as soon as the device specs are finished
	  being hashed out as part of my planned attack on socket code,
	  someone will have to write some docs to explain it so people
	  don't ask silly questions like why you would use serial: to talk
	  to a Palm with a USB cradle with Linux and visor.ko.	I'll worry
	  about that when I'm ready.

2004-11-13 10:03  knghtbrd

	* libpisock/connect.c, src/plu_args.c: Just a couple of comment
	  cleanups.  Note pilot_connect() is deprecated, since it really
	  doesn't belong in libpisock.	We should not remove it now because
	  the underlying API may change (that would annoy people) and
	  because we have no good incentive for getting rid of it yet.
	  Multiple transport listens, config files, etc may change that.

2004-11-13 09:20  knghtbrd

	* include/pi-net.h, libpisock/net.c: Add the sd to net logs.
	  Trying to unbreak pi-nredir.

2004-11-13 08:48  adridg

	* src/: pi-getram.c, pi-getrom.c, pi-getromtoken.c, pilot-getram.c,
	  pilot-getrom.c, pilot-getromtoken.c: Merge these conduits - still
	  produce 3 executables, but all relevant code is in pi-getrom.c,
	  and you can do pi-getromtoken --ram filename to get the RAM dump
	  if you like.

2004-11-13 07:36  adridg

	* src/: pi-getram.c, pilot-getram.c: Typo (shortly to be mooted by
	  merging get{ram,rom,romtoken})

2004-11-13 07:22  knghtbrd

	* libpisock/connect.c, libpisock/socket.c, src/userland.c: And for
	  /dev/pilot, I see DEATH.

	  Regarding the error message, checking for a null port on a bad
	  result is a bandaid.	Since I realised pilot_connect would
	  eventually go away, I kinda painted myself into a corner with my
	  changes to pi_bind.  plu_connect is basically a copy of
	  pilot_connect with the same flaw, so it gets the same bandaid.  I
	  need to revisit this problem later, but there's some socket level
	  stuff that needs to happen first so that we can actually report
	  useful error messages.

2004-11-13 07:00  adridg

	* src/: pi-getram.c, pi-getrom.c, pilot-getram.c, pilot-getrom.c,
	  userland.c, userland.h: Factor the rom-version-getting code out
	  of pi-get* into userland.  Userlandify pi-getram. Use the new
	  functions in getram and getrom.  The version check was for any
	  ROM version >= 5 and with minor version 0.  That doesn't make
	  sense to me, unless RPC is reinstated in 5.1 and removed in 6.0
	  again.

2004-11-12 18:34  adridg

	* src/: pi-getrom.c, pilot-getrom.c: Userlandify. Move the
	  retrieving-of-majorVersion above the testing-of-majorVersion so
	  it makes sense. Still no OS5 support.

2004-11-12 18:15  adridg

	* src/: pi-getromtoken.c, pilot-getromtoken.c: Don't commit while
	  discussing the impossibility of the code actually working

2004-11-12 18:13  adridg

	* src/: pi-getromtoken.c, pilot-getromtoken.c: Userlandify

2004-11-12 17:44  adridg

	* src/pilot-foto.c: Message sense must make, no?

2004-11-12 17:44  adridg

	* src/pilot-foto.c: Have a break. Have a kit-kat (tm).

2004-11-12 17:39  adridg

	* src/pilot-foto.c: Userlandify

2004-11-12 17:38  adridg

	* include/pi-file.h, libpisock/pi-file.c: Move these two into the
	  public API, conduits have been using them for ages

2004-11-12 16:56  adridg

	* src/: Makefile.am, pilot-foto-treo600.c, pilot-treofoto.c: Wild
	  stab at userlandification; this conduit just dumps everything to
	  ./, could use a -w or -f.

2004-11-11 17:47  adridg

	* src/: pilot-read-palmpix.c, read-palmpix.c: Userlandify. The
	  usual stuff, except for the exciting function pointer "action",
	  while everyone else uses an enum and then calls based on that.

2004-11-11 17:29  adridg

	* src/: pilot-read-notepad.c, pilot-read-palmpix.c,
	  pilot-read-screenshot.c, pilot-read-veo.c, read-notepad.c,
	  read-palmpix.c, read-screenshot.c, read-veo.c: Finish being
	  sidetracked: remove broken protect_files, use userland one,
	  actually check return values, indent bits touched properly and
	  with braces.

2004-11-11 17:15  adridg

	* src/: pilot-foto-treo600.c, pilot-foto.c, pilot-read-palmpix.c,
	  pilot-treofoto.c, read-palmpix.c: Whitespace crud before actual
	  fix

2004-11-11 17:12  adridg

	* src/: userland.c, userland.h: Factor out protect_files into
	  userland; make it not leak memory. Make it produce sensible error
	  messages. Make it not buffer-overflow (or perhaps: less often).
	  Remove special-casing from when it produced files a-z and A-Z
	  instead of just numbered 01..99.

2004-11-10 23:59  knghtbrd

	* src/.cvsignore: Ignore all .lo files

2004-11-10 20:40  knghtbrd

	* include/pi-dlp.h: filesystem and media types

2004-11-10 18:43  adridg

	* src/: pilot-read-screenshot.c, pilot-read-veo.c,
	  read-screenshot.c, read-veo.c: Userlandify. Could use a reindent,
	  too. The functon protect_files is common to lots of conduits,
	  should be factored out into userland (and made to be sensible,
	  like using mkstemp(3)).

2004-11-10 17:44  adridg

	* src/: pilot-read-notepad.c, read-notepad.c: A fair chunk of
	  accidental whitespace changes, also userlandification. This file
	  needs a total reindent anyway.

2004-11-10 17:36  adridg

	* src/: install-todo.c, pilot-install-todo.c, pilot-read-todos.c,
	  read-todos.c: no cookie. wish that the initial poptification had
	  been consistent in naming the poptContext & the variable used to
	  scan the args

2004-11-10 17:33  adridg

	* src/: install-todo.c, install-todos.c, pilot-install-todo.c,
	  pilot-install-todos.c, pilot-read-todos.c, read-todos.c: Remember
	  to complain about unhandled options (indicates programming error
	  -- popt table says to return value and it's not handled.

2004-11-10 16:21  adridg

	* src/: install-todo.c, install-todos.c, pilot-install-todo.c,
	  pilot-install-todos.c, pilot-read-todos.c, read-todos.c:
	  Userlandify. Normalize error messages. This stuff needs
	  refactoring, especially since install-todo -f and install-todos
	  -f overlaps so much.

2004-11-09 17:56  adridg

	* src/: hinotes.c, install-hinote.c, pilot-hinotes.c,
	  pilot-install-hinote.c: Userlandification of both; standardize
	  error messages. Bail if < 2 args.  Could make use of findcategory
	  in plu_, though also uses "feature" of numbered categories.
	  Hinotes deserves an outdent.

2004-11-09 01:02  knghtbrd

	* src/pilot-xfer.c: Add MMC support to pilot-xfer's VFS listing.
	  The other part of the diff is a suggested Berkeley-style
	  indentation format for David to look over.  Then wound up in the
	  same commit just because I hadn't committed the latter change
	  yet.

2004-11-08 18:43  adridg

	* src/: memos.c, pilot-memos.c: Simplify option processing with
	  popt magic; move processing outside of args loop. Normalize error
	  messages. Do better cleanup.

2004-11-08 18:37  adridg

	* src/: install-memo.c, pilot-install-memo.c: usage string; bail if
	  no args

2004-11-08 18:03  adridg

	* src/: pilot-read-ical.c, read-ical.c: Userlandification. Make
	  error messages consistent. Bail if no args.  Would like to bail
	  if no ical, but can't detect it reliably.

2004-11-08 17:05  adridg

	* src/: install-datebook.c, pilot-install-datebook.c: Complain if
	  no-args

2004-11-08 17:00  adridg

	* src/: pilot-reminders.c, reminders.c: userlandification, error
	  messages now consistent.

2004-11-08 16:49  adridg

	* src/: pilot-read-ical.c, pilot-read-palmpix.c, pilot-read-veo.c,
	  pilot-wav.c, read-ical.c, read-palmpix.c, read-veo.c:
	  poptification from Matt & Larry

2004-11-07 16:58  adridg

	* src/addresses.c: Bail with --usage if no arguments; make
	  otheroption help work in --usage.

2004-11-07 16:48  adridg

	* src/pilot-addresses.c: pilot-addresses.c

2004-11-07 05:02  knghtbrd

	* src/pilot-xfer.c: Mostly mechanical implementation of my
	  understanding of what David wants for indenting.  Only applied to
	  pilot-xfer because pilot-xfer is both long enough to showcase
	  about every situation that we've got in the code but short enough
	  (one file) to be reverted if it's totally wrong.

	  While I'm not sure this is totally wrong, I am sure it's not
	  exactly right.  Will wait for input before doing anything
	  further.

2004-11-07 00:56  knghtbrd

	* src/: Makefile.am, addresses.c, install-datebook.c,
	  install-memo.c, install-netsync.c, install-todo.c,
	  install-todos.c, install-user.c, memos.c, pilot-addresses.c,
	  pilot-install-datebook.c, pilot-install-memo.c,
	  pilot-install-netsync.c, pilot-install-todo.c,
	  pilot-install-todos.c, pilot-install-user.c, pilot-memos.c,
	  pilot-xfer.c, plu_args.c, userland.c, userland.h: Split arg
	  parsing out of userland.c into its own file.	Still need to clean
	  up userland.h a little, but have decided that seperate headers
	  probably should be avoided if possible.  David doesn't like the
	  plu_ namespace, but didn't have a better suggestion.	plu_args.c
	  may get renamed if he comes up with one, along with a sed.  Tried
	  not to make significant other changes this run, but I did remove
	  a couple of highly-unwise exit() calls without bothering to close
	  the link to the PDA..oops!

2004-11-06 21:23  desrod

	* src/: memos.c, pilot-memos.c, userland.c: Still needs a bit of
	  cleanup here, but we have to make sure we're spitting out USEFUL
	  messages when the user presents the conduit with some sort of
	  error condition, such as a bad option. This does that...

	  The other problem here (not fixed in this commit) is that we're
	  trying to connect to a bogus, non-existant port, when no options
	  are specified. This has to be fixed! Any conduit run without
	  options, should report --help or --usage.

2004-11-06 18:34  desrod

	* libpisock/utils.c, tests/versamail-test.c: Minor fix for buggy
	  compiler warnings with certain locales. We probably need this
	  anyway, going forward, as more and more non-English Palm devices
	  come out. This prevents the compiler from yield a 2 or 4 digit
	  year depending on the locale currently active.

2004-11-06 17:00  adridg

	* src/: install-datebook.c, pilot-install-datebook.c:
	  Userlandification, accidental whitespace

2004-11-06 16:44  adridg

	* src/pilot-addresses.c: Userlandification, rename some options and
	  add deprecated warnings; remove short -D option because earing
	  all data shouldn't _have_ a short option.

2004-11-06 16:41  adridg

	* src/pilot-xfer.c: Move --booger to userland under a better name

2004-11-06 16:39  adridg

	* src/: userland.c, userland.h: Add support for aliasing and
	  deprecated option handling

2004-11-06 13:39  adridg

	* src/Makefile.am: Add userland lib everywhere where it will
	  eventually be needed.

2004-11-06 13:35  adridg

	* src/: Makefile.am, addresses.c: Port to userland

2004-11-06 04:47  adridg

	* src/pilot-xfer.c: Test after committing.

2004-11-06 03:28  knghtbrd

	* src/pilot-xfer.c: Good idea to test before you commit, people.
	  pilot-xfer was broken because sd was never assigned.	The error
	  is still not caught in a meaningful way, but at least after
	  connecting we now actually use the sd..

2004-11-06 02:56  knghtbrd

	* src/: Makefile.am, pilot-xfer.c: Memos uses the new userland
	  convenience lib.  Removed unused variable progname from
	  pilot-xfer.

2004-11-05 19:27  adridg

	* src/: memos.c, pilot-memos.c: Use userland. See conduit status
	  for what's totally wrong here.

2004-11-05 19:23  adridg

	* src/: userland.c, userland.h: Add a findcategory function, since
	  this is common in conduits -- however, no two seem to do it the
	  same, there's a weird mishm,ash of strcasecmp, strcmp, and I
	  wonder if the n (=15) is really needed here. Nothing uses this
	  yet.

2004-11-05 17:45  adridg

	* src/: Makefile.am, install-memo.c, pilot-install-memo.c: Port to
	  popt / userland. This was a bit of a mess, seems earlier it
	  handled multiple files, which has been mercilessly ripped out
	  (and made buggy in the process).

	  TODO: Check if the WriteUserInfo is needed.

2004-11-05 16:56  adridg

	* src/: install-netsync.c, pilot-install-netsync.c: Port to
	  userland, modify arg setting a little (needs test)

2004-11-05 16:55  adridg

	* src/Makefile.am: Remove getopt stuff; add magic for updating
	  makefile when Makefile.am is changed (works with gmake, mostly)

2004-11-05 16:24  adridg

	* src/pilot-xfer.c: Port to userland lib, remove --verbose which
	  didn't actually do anything of note.

2004-11-05 16:18  adridg

	* src/: install-todo.c, pilot-install-todo.c: - port to userland
	  lib - fix breakages from popt porting - fix example strings

	  TODO: figure out if the WriteUserInfo call is needed (or indeed,
	  doesn't totally break the Pilot by not having a username set).

2004-11-05 16:04  adridg

	* src/: userland.c, userland.h: Rename quiet to userland_quiet,
	  make accessible from outside (so conduits can obey it).

2004-11-05 04:14  knghtbrd

	* src/.cvsignore: Update .cvsignore for new piuserland library
	  droppings

2004-11-05 04:12  knghtbrd

	* src/Makefile.am: Er, oops--make before cvs ci!

2004-11-05 04:08  knghtbrd

	* src/Makefile.am: Make libpiuserland a proper (static only)
	  libtool library.  Much easier this way.

2004-11-05 03:39  adridg

	* src/Makefile.am: Rename lib to libpiuserland to avoid name clash;
	  don't link this static lib to anything else for now.

2004-11-04 19:26  adridg

	* src/: Makefile.am, install-todos.c, pilot-install-todos.c: Port
	  install-todos to userland. TODO: fix indent, change reader
	  function to user fgets() instead of reading entire file into
	  memory.

2004-11-04 19:06  adridg

	* src/: Makefile.am, install-user.c, pilot-install-user.c: Port
	  install-user to new factored-out userland lib.

2004-11-04 19:01  adridg

	* src/: Makefile.am, userland.c, userland.h: Initial teensy
	  userland library. This will spur the factoring-out of common
	  option handling code.

2004-11-04 16:58  adridg

	* src/pilot-xfer.c: First of many (next one will be bundled,
	  though): consolidate common options, deprecate -v for --version,
	  use -v for verbose where applicable. Let popt do the help stuff.
	  Minor string tweaks.

2004-11-04 00:56  knghtbrd

	* src/pilot-xfer.c: Use /cardX rather than /slotX, it's more in
	  keeping with Palm's way of doing things.

2004-11-04 00:50  knghtbrd

	* src/pilot-xfer.c: pilot-xfer -D / -l (list VFS volumes) now gives
	  you some useful information about unknown filesystems and media
	  types.  Used this new feature to add support for the internal VFS
	  memory devices of the Tapwave Zodiac and Tungsten T5.  Adding
	  information for Sony devices should be trivial if someone's
	  willing to run this on them.

2004-11-03 19:55  adridg

	* src/pilot-xfer.c: * Introduce cleverness to allow aliasing.  *
	  Introduce aliases for -FOI and --List(all).  * Complain about all
	  the deprecated names with secret hidden argument   --booger. Was
	  unable to be mature enough to invent a different name.  * Reduce
	  cleverness by exploiting more popt features, complaining
	  earlier about mixed media; distinguish -bus until the time comes
	  to actually call palm_backup().  * Correct various messages.

2004-11-03 19:10  knghtbrd

	* src/.cvsignore: Update .cvsignore to inclue pilot-treofoto

2004-11-03 18:56  knghtbrd

	* src/: pilot-read-notepad.c, read-notepad.c: Fix minor compile
	  niggle (no progname in that function).  Raises interesting
	  question for error messages, but not one worth answering right
	  now.

2004-11-02 19:56  desrod

	* src/: dlpsh.c, hinotes.c, install-datebook.c, install-expenses.c,
	  install-hinote.c, install-netsync.c, install-todo.c,
	  install-todos.c, install-user.c, memos.c, money2qif.c, pi-csd.c,
	  pi-getram.c, pi-getrom.c, pi-getromtoken.c, pi-nredir.c,
	  pi-port.c, pilot-addresses.c, pilot-archive.c, pilot-clip.c,
	  pilot-csd.c, pilot-dedupe.c, pilot-dlpsh.c, pilot-file.c,
	  pilot-foto-treo600.c, pilot-foto.c, pilot-getram.c,
	  pilot-getrom.c, pilot-getromtoken.c, pilot-hinotes.c,
	  pilot-install-datebook.c, pilot-install-expenses.c,
	  pilot-install-hinote.c, pilot-install-netsync.c,
	  pilot-install-todo.c, pilot-install-todos.c,
	  pilot-install-user.c, pilot-memos.c, pilot-nredir.c,
	  pilot-port.c, pilot-prc.c, pilot-read-expenses.c,
	  pilot-read-notepad.c, pilot-read-screenshot.c,
	  pilot-read-todos.c, pilot-read-veo.c, pilot-reminders.c,
	  pilot-schlep.c, pilot-treofoto.c, pilot-wav.c, pilot-xfer.c,
	  read-expenses.c, read-notepad.c, read-screenshot.c, read-todos.c,
	  read-veo.c, reminders.c: Fixing some of the const'ness issues,
	  cleaned up some whitespace and indenting in other areas. More to
	  come...

2004-11-02 17:56  adridg

	* src/pilot-xfer.c: Use symbolic constants instead; fix breakage of
	  --update and --sync; setting flags for restore makes no sense.

2004-11-02 17:22  desrod

	* configure.in, src/Makefile.am, src/pix/Makefile.am,
	  src/prc/Makefile.am: Change the action to build the userland
	  conduits to default to OFF.

2004-11-02 16:29  adridg

	* src/pilot-xfer.c: Produce consistent error messages

2004-11-02 16:19  adridg

	* src/pilot-xfer.c: Cleverness reduction by relying on popt feature
	  to set bits in a bitfield

2004-11-02 16:04  adridg

	* src/pilot-xfer.c: Fix up file listings to rememble ls, correct
	  help string.

2004-11-02 15:33  adridg

	* src/pilot-xfer.c: Restore -lL honoring -D by removing cleverness
	  from mediatype handling; except for -L -D, which mixes ROM with
	  VFS, everything is disallowed. Also cleans up things like -b dir
	  -O -F (whut?).

2004-11-01 21:58  knghtbrd

	* src/pilot-xfer.c: Make -l and -L sortof work.  Still won't honour
	  -D with -l and -L, but it's at least not dereferencing NULL
	  anymore.

2004-11-01 21:52  desrod

	* src/pilot-xfer.c: Minor updates: - Renamed all CamelCap functions
	  to align them with the rest of userland - Updated the popt clause
	  indenting - Fixed the const'ness of argv and other values
	  (cleaned a warning out) - Fixed erroneous flag breakage with
	  BACKUP and UPDATE and SYNC. Sync is	still broken, but I'll get
	  to that next

2004-11-01 19:32  adridg

	* src/pilot-xfer.c: After much discussion, back and forth, modify
	  pilot-xfer's argument handling _again_; it now does:

	  * Sanity checking before connecting.	* Accepts exactly _one_ of
	  the -bursimfdlL flags and complains	otherwise.  * -burs still
	  take a <dir>.  * -imfd don't take a particular argument, but
	  apply to all the   leftovers. This covers cases like

	    --install foo.prc --port /dev/pilot
	    --install *.prc --port /dev/pilot
	    --install --port /dev/pilot --vfsdir /slot1/ *.prc

	    You can't mix them, though -- this was deemed too compilcated
	  and
	    unused anyway, so no --install *.prc --delete *.mp3.
	  * -lL don't take any extra arguments, and will complain if they
	  are found.  * --Purge, if present, is done after -bursimfdlL.

	  I do not claim to have tested all combinations of arguments that
	  are possible, and there are many that do not even make sense
	  (like --backup with --vfsdir) that are not complained about.

	  The --exec option is now left in a strange position. When
	  pilot-xfer acted upon each argument in turn from left (argv[1])
	  to right (argv[argc-1]), doing a system() between two other
	  actions might have made sense.  Now, since we collect arguments
	  and act on them _after_ initial processing where the position of
	  the options is lost, --exec doesn't have a specific spot where it
	  should be executed, eg.

		  --port /dev/pilot *.prc --exec /bin/halt *.pdb --install

	  is also a valid command-line, and there's no way to tell that
	  that exec was "supposed" to happen between the prcs and the pdbs.

2004-10-31 18:54  adridg

	* src/: Makefile.am, dlpsh.c, install-expenses.c, install-todos.c,
	  memos.c, money2qif.c, pi-csd.c, pi-getram.c, pi-getrom.c,
	  pi-nredir.c, pilot-addresses.c, pilot-archive.c, pilot-clip.c,
	  pilot-csd.c, pilot-dlpsh.c, pilot-file.c, pilot-foto.c,
	  pilot-getram.c, pilot-getrom.c, pilot-install-expenses.c,
	  pilot-install-todos.c, pilot-mail.c, pilot-memos.c,
	  pilot-nredir.c, pilot-prc.c, pilot-read-expenses.c,
	  pilot-read-screenshot.c, pilot-read-todos.c, pilot-read-veo.c,
	  pilot-wav.c, read-expenses.c, read-screenshot.c, read-todos.c,
	  read-veo.c: Merge remaining popt fixes from Larry, so we can get
	  down to serious bickering about what the options to pilot-xfer
	  mean.

2004-10-29 16:19  adridg

	* src/pilot-xfer.c: Distinguish backup/restore/sync/update behavior
	  from Swiss-army-knife behavior with messages; all SAK actions can
	  be specified multiple times, so you can do -D /slot1/ -i foo.c -i
	  bar.c -d blurfl.c -P to install two files to SD card, delete one,
	  then purge databases.

2004-10-29 15:27  adridg

	* src/pilot-xfer.c: You can now -i(nstall) more than one file, just
	  like merge and delete.  Removed totalsize calculation bug.
	  Introduced silly message at end if all you do is install files.

	  Next up: discombobulate functionality into _either_ -burs, all of
	  which run only once after option processing, _or_ -ifmd which may
	  perform many actions on the device.

2004-10-29 03:48  adridg

	* src/Makefile.am, src/hinotes.c, src/install-datebook.c,
	  src/pilot-hinotes.c, src/pilot-install-datebook.c,
	  src/install-hinote.c, src/pi-getromtoken.c, src/pi-port.c,
	  src/pilot-dedupe.c, src/pilot-getromtoken.c,
	  src/pilot-install-hinote.c, src/pilot-port.c,
	  src/pilot-read-notepad.c, src/pilot-reminders.c,
	  src/pilot-schlep.c, src/pilot-xfer.c, src/read-notepad.c,
	  src/reminders.c, tests/Makefile.am: All around the mulberry bush
	  .. popt goes the weasel.

	  Merge patches from Matt for popt support in most places.  Tested
	  on pilot-xfer, not on the rest.

2004-10-28 16:07  adridg

	* src/pilot-xfer.c: All your whitespace are belong to us

2004-10-27 17:52  adridg

	* src/pilot-xfer.c: Apply coelecanth-B-gone (tm), don't duplicate
	  filenames, check target for dir-ness.

2004-10-27 17:26  adridg

	* src/pilot-xfer.c: This VFS code works (leave coelecanth in for
	  the time being, though); don't make -l or -L reset the media type
	  if -D already given.

2004-10-27 04:57  adridg

	* src/pilot-xfer.c: Speak the truth about VFS file install until I
	  can figure out what goes on (or copy code from vfs-test to do the
	  install)

2004-10-26 19:04  adridg

	* libpisock/dlp.c: 64-bit safeness - use defined stop value

2004-10-26 19:02  adridg

	* include/: pi-dlp.h, pi-macros.h: 64-bit safeness - this feels
	  like LISP, with all the (). Basically, get_long would return
	  sign-extended values otherwise.

2004-10-26 19:00  adridg

	* tests/vfs-test.c: Bail if device can't be opened.

2004-10-26 17:54  adridg

	* src/pilot-xfer.c: fix off-by-one that ate setuid's SD card

2004-10-25 13:35  fpillet

	* include/pi-dlp.h: re-added vfsModeReadWrite to the enum

2004-10-24 18:09  adridg

	* src/pilot-xfer.c: Install to VFS with -D /vfs/dir -i file --
	  however, it doesn't work and every attempt returns error code
	  -301 from the dlp_exec() call in dlp_VFSFileWrite().

2004-10-24 16:25  adridg

	* src/pilot-xfer.c: Lose --time; use centralized pi_mktag and
	  friend. Try to get a reasonable date result in listing files.

2004-10-24 14:18  adridg

	* include/pi-util.h: #defube is a BSD extension, for sure

2004-10-24 14:13  desrod

	* src/: pilot-foto-treo600.c, pilot-treofoto.c: Remove unnecessary
	  headers

2004-10-24 09:24  adridg

	* src/pilot-xfer.c: Refactor a little to a VFSRootPath finder that
	  is reusable; start on VFS install support. Once this is done, I'd
	  like to factor the install and list parts out into something more
	  library-like (ie. no dependence on global varialbes like sd and
	  vfsdir) so that it's immediately reusable in the GUI bits.

2004-10-24 08:14  adridg

	* include/pi-util.h: One I'm not entirely sure about: define
	  pi_mktag and an inverse in one central place, so we could lose
	  the defines in (almost) every userland conduit, as well as bits
	  of code here and there (like piloe-xfer.c:451).

2004-10-24 08:11  adridg

	* src/pilot-xfer.c: Lose the remaining non-symbol constants for
	  pathname lengths

2004-10-24 08:08  adridg

	* src/pilot-xfer.c: Add docs all over, remove dead code.

2004-10-24 01:33  desrod

	* src/: Makefile.am, pilot-foto-treo600.c, pilot-treofoto.c: Added
	  new conduit to pull photos from the Treo. Need to popt this a bit
	  to take port and image arguments.

2004-10-24 01:26  desrod

	* src/: addresses.c, debugsh.c, dlpsh.c, hinotes.c,
	  install-datebook.c, install-expenses.c, install-hinote.c,
	  install-memo.c, install-netsync.c, install-todo.c,
	  install-todos.c, install-user.c, kittykiller.c, memos.c,
	  money2qif.c, pd-tty.c, pi-csd.c, pi-getram.c, pi-getrom.c,
	  pi-getromtoken.c, pi-nredir.c, pi-port.c, pilot-addresses.c,
	  pilot-archive.c, pilot-clip.c, pilot-csd.c, pilot-debug.c,
	  pilot-debugsh.c, pilot-dedupe.c, pilot-dlpsh.c, pilot-file.c,
	  pilot-foto.c, pilot-getram.c, pilot-getrom.c,
	  pilot-getromtoken.c, pilot-hinotes.c, pilot-install-datebook.c,
	  pilot-install-expenses.c, pilot-install-hinote.c,
	  pilot-install-memo.c, pilot-install-netsync.c,
	  pilot-install-todo.c, pilot-install-todos.c,
	  pilot-install-user.c, pilot-mail.c, pilot-memos.c,
	  pilot-nredir.c, pilot-port.c, pilot-prc.c, pilot-read-expenses.c,
	  pilot-read-ical.c, pilot-read-notepad.c, pilot-read-palmpix.c,
	  pilot-read-screenshot.c, pilot-read-todos.c, pilot-read-veo.c,
	  pilot-reminders.c, pilot-schlep.c, pilot-wav.c, pilot-xfer.c,
	  read-expenses.c, read-ical.c, read-notepad.c, read-palmpix.c,
	  read-screenshot.c, read-todos.c, read-veo.c, reminders.c: Updated
	  mode lines to ensure proper indenting going forward (for those
	  that use a real editor)

2004-10-24 01:21  desrod

	* libpisock/: darwinusb.c, datebook.c, debug.c, dlp.c, expense.c,
	  freebsdusb.c, hinote.c, inet.c, libusb.c, linuxusb.c, mail.c,
	  md5.c, memo.c, money.c, net.c, notepad.c, os2serial.c, padp.c,
	  palmpix.c, pi-buffer.c, pi-file.c, pi-header.c, serial.c, slp.c,
	  socket.c, sys.c, syspkt.c, todo.c, unixserial.c, usb.c, util.c,
	  utils.c, veo.c, versamail.c, winserial.c: Just adding editor
	  modelines, to keep the indenting proper going forward

2004-10-23 23:57  desrod

	* include/pi-dlp.h: More indenting/formatting fixes for readibility

2004-10-23 23:47  desrod

	* libpisock/dlp.c: Cleaned up function doc header info, reindenting
	  fixes here and there

2004-10-23 21:59  desrod

	* src/pilot-xfer.c: Some indenting cleanup, remove useless novsf
	  calls, added missing option in --help output, other minor bits.

2004-10-23 20:01  adridg

	* src/pilot-xfer.c: Initial VFS support. Add a -D /vfs/dir option,
	  in order to indicate that whatever operation is selected for
	  pilot-xfer should apply to VFS instead of the usual (databases, I
	  guess). Implemented for listing (-L) only, so far.

	  Usage:

	  pilot-xfer -L -D /	  Lists the "fake root" of VFS dirs on the
	  Pilot. This will show      the SD slots and whatnot returned by
	  VFSVolumeEnumerate. For each	    slot, the slot number is used
	  as a directory name _and_ the volume	    label, if any. In
	  addition, slot information is printed.  pilot-xfer -L -D /slot1/
	      Lists the root directory of the card in slot 1.
	  Alternatively,      if the FS in that slot has a volume label,
	  you can use the name	    of the volume.  pilot-xfer -L -D
	  /slot1/DCIM/100MLT08/      Lists the files in that directory.

	  As a special case, if there is exactly one slot (test case: T5?
	  Tapwave?) and the first path component matches none of the slots
	  / volumes present, it is assumed to be a path in /slot1 (ie. if
	  all else fails, use /slot1 as root), so the following works as
	  well:

	  pilot-xfer -L -D /DCIM/100MLT08

	  Not visible in pilot-xfer help yet.

2004-10-23 19:52  adridg

	* include/pi-dlp.h: Whoops, missed the existing #defines; moved
	  into the enum to make style more consistent.

2004-10-23 18:54  adridg

	* include/pi-dlp.h: Add the constants from the Palm SDK for
	  VFSFileOpen to pi-dlp.

2004-10-21 03:14  knghtbrd

	* tests/contactsdb-test.c: The good news is that Contacts 1.2
	  (Tungsten T5) uses the same data format as Contacts 1.1 (Zire
	  72/31).

2004-10-19 12:48  knghtbrd

	* libpisock/freebsdusb.c, src/Makefile.am: Adriaan's
	  make_it_compile patch for FreeBSD, also fixes a SNAFU for popt.

2004-10-19 12:45  knghtbrd

	* tests/contactsdb-test.c: Change the guess about unknown data in
	  contactsdb (not a big deal)..

2004-09-28 01:57  knghtbrd

	* libpisock/serial.c: Matt Davey reports that the timeout value
	  passed to impl.poll should be in miliseconds, not seconds.
	  Patched.

2004-09-27 00:59  angusa

	* src/: pilot-read-screenshot.c, read-screenshot.c: fixed width and
	  height being reversed

	  CV:
	  ----------------------------------------------------------------------

2004-09-23 08:03  fpillet

	* include/pi-dlp.h: added vfs volume attribute definitions

2004-09-22 10:57  knghtbrd

	* tests/: .cvsignore, Makefile.am, contactsdb-test.c: Elementary
	  test for ContactsDB AppInfo structure.  It's very brute force,
	  still incomplete, and doesn't even try to use Nicholas' parser
	  functions.  The good news is that they parse the appinfo for both
	  PalmOS 5.2.1 and 5.2.8 PalmOne PDAs, which happen to use
	  completely different formats for the file, naturally.  ;p

	  Nicholas' parser functions will probably need significant
	  tweaking to work with both formats, and there are other
	  considerations as well.

2004-09-15 08:44  knghtbrd

	* libpisock/pi-file.c, src/pilot-xfer.c: I have a great idea!
	  Let's have a filename which can be at most 256 chars long.  Let's
	  also do an unsafe sprintf into a buffer which is only 70 bytes
	  long and includes the filename!  I made the buffer a lot longer
	  than it needed to be, but *shrug* a little futureproofing can't
	  hurt.

2004-09-12 10:56  desrod

	* doc/TODO: Updates for documentation changes

2004-09-11 06:40  knghtbrd

	* src/pilot-addresses.c: Removed some dead code.  This doesn't
	  improve pilot-addresses much, but it at least guarantees that
	  there is one track for the code to follow.  Yet unresolved issues
	  are:	- table headings may be broken still (didn't check)  - The
	  augment option produces completely useless output still  - The
	  option not to escape data produces broken CSV, so it probably
	  should be disabled.	- CSV is braintead and useless as an
	  interchange format since it's so     completely mind-numbingly
	  useless that everyone seems to have their own     idea of how to
	  "support" things it was never designed to.   - Given the above,
	  no amount of work on this codebase will ever make it	   useful
	  and bug-free, ever.  The optimal solution is to cease using CSV
	  data, with prejudice.

2004-09-10 13:52  desrod

	* configure.in: Removing pilot-datebook entries

2004-09-10 09:02  fpillet

	* libpisock/dlp.c: it's better if we actually USE the variables we
	  just defined...

2004-09-10 08:51  fpillet

	* include/pi-dlp.h, libpisock/dlp.c: added
	  dlp_set_protocol_version() func so that client apps can chose
	  their own compatibility level (i.e. setting to 2.1 allows
	  connecting to Palm OS 6)

2004-09-10 08:50  fpillet

	* libpisock/darwinusb.c: minor tweaks to device table

2004-09-09 01:17  desrod

	* src/pilot-xfer.c: Minor output tweak, no double \n for failed
	  files.

2004-09-08 23:57  desrod

	* Makefile.am, src/Makefile.am: Archive pilot-datebook for now..
	  will rewrite later

2004-09-04 14:09  desrod

	* configure.in: Minor fixes

2004-09-04 13:35  knghtbrd

	* configure.in, m4/vl_lib_readline.m4: AC_CHECK_LIB adds the
	  checked thing to LIBS.  Stupid autoconf.  Also, I apparently got
	  too clever with vl_lib_readline.m4, reverted.  David wanted
	  --disable-userland to still have output for the unused (and
	  therefore unchecked) libs, output provided.

2004-09-04 12:58  knghtbrd

	* configure.in, m4/vl_lib_readline.m4, src/Makefile.am,
	  src/pix/Makefile.am, src/prc/Makefile.am: New configure argument
	  --disable-userland, makes make in src make only make output.	=)

2004-09-03 12:13  desrod

	* configure.in: Minor indenting removal

2004-09-03 12:05  knghtbrd

	* configure.in: This should make --with-included-popt actually
	  include popt.  =)

2004-09-03 10:54  desrod

	* configure.in: Fix flags so they don't bark about 'implicit
	  declaration' when I'm including the right header. gnu99 give us
	  c99 + POSIX + GNU

2004-09-02 16:50  knghtbrd

	* configure.in: popt check should no work properly and fail
	  gracefully if your popt installation isn't useful.

2004-09-02 13:55  desrod

	* configure.in: Added saner pedantic flags, fixed a 1-char typo
	  which SHOULD have caused this to fail completely.

2004-09-02 12:20  fpillet

	* libpisock/net.c: updated copyright in net.c (a little fame
	  doesn't hurt ;-))

2004-09-02 12:11  fpillet

	* libpisock/dlp.c: some casts and a couple additional tests
	  inspired by Mark/Space's incredible work on 0.11.8 ;-)

2004-08-31 18:27  fpillet

	* libpisock/darwinusb.c: added Sony NR70V/U to known devices matrix

2004-08-31 18:26  fpillet

	* libpisock/dlp.c: fixed argid mask

2004-08-29 11:41  knghtbrd

	* include/pi-socket.h, libpisock/connect.c, libpisock/freebsdusb.c,
	  libpisock/inet.c, libpisock/linuxusb.c, libpisock/socket.c,
	  src/debugsh.c, src/pi-nredir.c, src/pilot-debugsh.c,
	  src/pilot-nredir.c: Here's the prefix patch from -future.  Small
	  API change to pi_bind and pi_connect, but it's minor.
	  pilot-link's userland has been updated to work with the changes.

2004-08-27 12:27  knghtbrd

	* popt/: COPYING, README, popt.c: values.h is obsolete, float.h is
	  the standard nowadays.

2004-08-27 08:47  fpillet

	* libpisock/dlp.c: make dlp_VFSFileRead return the total number of
	  bytes read on success

2004-08-27 03:32  fpillet

	* libpisock/net.c: log tickle packets

2004-08-27 01:06  desrod

	* src/: Makefile.am, install-todo.c, pilot-install-todo.c:
	  Converted install-todo over to popt, added Makefile.am poke for
	  POPT_LIBS and fixed a few smaller logic flow issues in the
	  conduit.

2004-08-26 22:46  desrod

	* src/: install-memo.c, pilot-install-memo.c: Silly non-portable
	  basename() hack

2004-08-26 22:20  desrod

	* src/: Makefile.am, install-memo.c, pilot-install-memo.c:
	  Converted install-memo over to popt, incremented changes in
	  Makefile, fixed some common logic flow problems in the conduit
	  itself, added a parameter for passing in a filename.

2004-08-26 14:51  desrod

	* src/: install-netsync.c, pilot-install-netsync.c: Moved globals
	  out

2004-08-26 12:01  fpillet

	* libpisock/dlp.c: fixed a Sony protocol bug: their
	  dlp_VFSDirEntryEnumerate() returns a short flags value per file,
	  whereas a long is expected. We detect this and properly modify
	  the flag so it's transparent for the caller application

2004-08-26 10:30  fpillet

	* tests/vfs-test.c: don't fail dirList test if directory is empty

2004-08-26 09:18  fpillet

	* tests/vfs-test.c: fixed error testing

2004-08-26 01:14  desrod

	* src/: Makefile.am, addresses.c, install-netsync.c,
	  install-user.c, pilot-install-netsync.c, pilot-install-user.c:
	  More popt conversions... still more to go.

2004-08-26 00:33  desrod

	* src/: install-netsync.c, pilot-install-netsync.c: Completed the
	  first phase of the popt migration from getopt_long. Only a few
	  more tweaks to go in here for robustness.

2004-08-25 12:36  desrod

	* src/: install-netsync.c, pilot-install-netsync.c: Converted the
	  option/arg parsing over to popt from getopt_long

2004-08-25 11:15  desrod

	* popt/popt.c: Fix an upstream popt problem, missing include for
	  values.h

2004-08-25 11:06  desrod

	* popt/: findme.c, findme.h, popt.c, popt.h, poptconfig.c,
	  popthelp.c, poptint.h, poptparse.c, system.h: Updating popt to
	  current, which hopefully didn't just break everything =)

2004-08-25 10:32  desrod

	* configure.in: Moving to -rc14

2004-08-25 10:03  knghtbrd

	* libpisock/net.c: Proofread carefully to see if you anything out.
	  (Typo fix)

2004-08-24 04:13  fpillet

	* include/pi-socket.h, libpisock/socket.c: moved version and
	  maxrecsize out of pi_socket_list_t and back into pi_socket_t
	  where they belong. version is renamed dlpversion (clients use
	  pi_version() to access it)

2004-08-24 04:11  fpillet

	* include/pi-dlp.h, include/pi-usb.h, libpisock/dlp.c: fixed
	  prototypes to not use 'index' as a parameter name, as it shadows
	  the global index() function

2004-08-24 03:58  fpillet

	* libpisock/usb.c: properly enclose LOG macro in a block (more)

2004-08-24 03:57  fpillet

	* libpisock/usb.c: properly enclose LOG macro in a block

2004-08-23 20:01  fpillet

	* libpisock/pi-file.c: more fixes, one place where result code was
	  not properly set, minor tweaks for compiler warnings

2004-08-23 19:46  fpillet

	* libpisock/inet.c: one cast can make a compiler happy

2004-08-23 19:45  fpillet

	* libpisock/darwinusb.c: minor tweaks

2004-08-23 17:04  fpillet

	* libpisock/dlp.c: fixed several compile warnings

2004-08-23 16:38  fpillet

	* libpisock/pi-file.c: fixed pi_buffer leak in pi_file_retrieve()

2004-08-23 16:14  desrod

	* libpisock/usb.c: Static variables are initialized to zero at
	  compile-time, this cleans up two remaining warnings there.

2004-08-23 16:10  desrod

	* libpisock/usb.c: Minor fixes, indentation to improve readibility

2004-08-23 12:00  fpillet

	* libpisock/socket.c: fixed a bug I just introduced in
	  ps_list_append

2004-08-23 11:59  fpillet

	* src/pilot-foto.c: open dest files in 'wb' mode, reformated
	  do_fetch()

2004-08-23 11:58  fpillet

	* libpisock/dlp.c: when reading records & resources, always request
	  the max possible size (don't require callers to pre-allocate
	  buffer size)

2004-08-23 11:42  fpillet

	* libpisock/: serial.c, usb.c: properly clear ps->sd when closing
	  the device. this change is propagated from inet.c. This
	  eliminates risks of double-closing

2004-08-23 11:36  fpillet

	* libpisock/socket.c: fixed a subtle bug in pi_close: the list elem
	  must be removed from the queuest before we call the device's
	  close() function, because when the close() function clears the
	  device's sd, ps_list_remove() wouldn't find it in the list
	  anymore and we end up with a double close() when the onexit()
	  handler is called

2004-08-23 09:15  fpillet

	* libpisock/freebsdusb.c: return proper error code when u_read
	  fails

2004-08-22 03:32  knghtbrd

	* libpisock/: connect.c, serial.c: The tests performed on serial
	  devices by pilot_connect actually belong down in the serial code.
	  Moved them there.  (Actually, I suspect that they need to move
	  further down into the UNIX serial code, but I'll wait for some
	  clue how to handle OS/2 and Win32 first..)

2004-08-21 10:22  knghtbrd

	* libpisock/serial.c: I think Florent may have missed an error
	  check.  This error basically is never -1 anymore.  I get ...
	  -501.  Simple enough fix.

2004-08-21 10:17  knghtbrd

	* libpisock/connect.c: Remove some cruft from pilot_connect.
	  Changes what you'll see if you try to pilot_connect without -p or
	  PILOTPORT, but should not have any ill effects.

2004-08-21 05:14  knghtbrd

	* src/.cvsignore: added read-screenshot to .cvsignore

2004-08-17 11:37  fpillet

	* libpisock/dlp.c: make dlp_VFSFileWrite return the actual number
	  of bytes written in case of success

2004-08-11 09:07  fpillet

	* libpisock/socket.c: changes static installedexit variable to
	  public pi_sock_installedexit so that library clients can choose
	  not to have an exit function installed (it causes lots of trouble
	  for threaded clients, as exit function would be called from the
	  main thread while other threads would be working with the socket
	  being closed)

2004-08-11 09:05  fpillet

	* libpisock/inet.c: minor tweaks

2004-08-09 05:36  nicholas

	* include/pi-contact.h: I presume we should really include a time.h
	  as tm is used

2004-08-06 10:00  fpillet

	* libpisock/padp.c, include/pi-padp.h: Added patch to fix bug #1032
	  (plus a couple cleanups). PLEASE RETEST as I can't test padp
	  communications here (yet)

2004-08-06 06:26  fpillet

	* libpisock/socket.c: Integrated Aaron's fix for bug 1173: on PADP
	  protocols, tickling the socket would send the wrong command

2004-08-06 05:36  fpillet

	* src/pilot-xfer.c: use malloc() instead of fixed-size stack buffer
	  for file paths in Backup(). unlink() file if pi_file_retrieve()
	  failed. Exit if socket is disconnected before end of backup.

2004-08-05 14:51  fpillet

	* libpisock/slp.c: Fixed bug #244: allocate slp_buf using malloc()
	  instead of the stack to guarantee proper alignment (was
	  segfaulting on sparc)

2004-08-05 14:30  fpillet

	* libpisock/net.c: Integrated patch for bug #1174 (receiving a
	  PI_TICKLE would disrupt reception of the answer to the last
	  query)

2004-08-05 11:32  fpillet

	* bindings/Perl/Pilot.xs, bindings/Python/src/pisock.i,
	  bindings/Python/src/pisock_wrap.c, src/memos.c, src/pilot-file.c,
	  src/pilot-memos.c, src/pilot-prc.c, src/pilot-read-palmpix.c,
	  src/pilot-read-todos.c, src/read-palmpix.c, src/read-todos.c,
	  tests/versamail-test.c: updated code to take modifications in
	  pi-file into account

2004-08-05 11:30  fpillet

	* include/pi-file.h, libpisock/pi-file.c: updated pi-file to return
	  explicit error codes

2004-08-05 11:30  fpillet

	* include/pi-dlp.h: updated dlp errors

2004-08-05 09:38  fpillet

	* include/pi-error.h: new error codes

2004-08-05 08:56  nicholas

	* bindings/Python/src/: pisock.i, pisock_wrap.c: Compiles again,
	  but _untested_. I thought compiling was at least better than not
	  compiling. Need to look into dealing with callback functions too,
	  should be straight forward, but I've zero copious free time.

2004-08-04 10:14  fpillet

	* include/pi-socket.h, libpisock/socket.c: added
	  pi_socket_connected() entry point

2004-08-04 10:00  fpillet

	* include/pi-error.h, libpisock/dlp.c: cleaned up error codes
	  coming from a prototype version of my error reporting stuff

2004-08-03 11:12  fpillet

	* libpisock/dlp.c: record_dump was buggy when used from
	  dlp_WriteRecord and didn't support large records. Fixed this.

2004-08-03 03:58  fpillet

	* src/: dlpsh.c, pilot-dlpsh.c: properly check for end of
	  dlp_ReadDBList after change in error reporting

2004-08-03 03:57  fpillet

	* tests/vfs-test.c: updated code to properly take improved err
	  reporting into account

2004-08-03 03:56  fpillet

	* libpisock/: cmp.c, connect.c, darwinusb.c, dlp.c, freebsdusb.c,
	  inet.c, linuxusb.c, net.c, padp.c, serial.c, slp.c, socket.c,
	  sys.c, syspkt.c, unixserial.c, usb.c: big commit with improved
	  error reporting

2004-08-02 18:13  fpillet

	* include/pi-error.h: updated error list

2004-08-02 18:13  fpillet

	* src/pilot-xfer.c: fixed the display bugs when backing up files
	  (files where stat()ed before being created)

2004-08-02 04:25  fpillet

	* libpisock/socket.c, include/pi-socket.h: added pi_error() stuff
	  to socket.c, fixed a problem with the PEEK init sequence which
	  was counting too much on an obscure feature of PI_MSG_PEEK on
	  most platforms, fixed another issue with  pi_close().

2004-08-02 04:03  fpillet

	* include/Makefile.am: added pi-error.h to make rules

2004-08-02 04:03  fpillet

	* include/pi-error.h: New pi-error.h file, holding the error code
	  definitions as returned by pi_error() (see pi-socket.h for
	  pi_error())

2004-08-02 04:02  fpillet

	* include/pi-usb.h: removed the 'pos' member of the pi_usb_data
	  structure, nobody uses it

2004-08-02 04:01  fpillet

	* libpisock/freebsdusb.c: rewrote freebsdusb's u_read() function.
	  Note: there was NO timeout handling in either u_read() or
	  u_write() in the original freebsdusb code. I didn't put it back
	  in from the linuxusb source, but someone who can test on freebsd
	  should definitely do it.

2004-08-01 18:52  adridg

	* libpisock/freebsdusb.c: Update function prototypes to support
	  Florent's pi_buffer_t (and so it compiles); u_read is horribly
	  broken though, since it doesn't actually _do_ any of the
	  pi_buffer_t management.

2004-08-01 18:50  fpillet

	* libpisock/unixserial.c: fixed a wrong memcpy I left when I
	  converted unixserial to use pi_buffer_t

2004-07-29 11:39  fpillet

	* libpisock/inet.c: minor cleanup

2004-07-29 11:33  fpillet

	* libpisock/net.c: minor fix to net_protocol_dup, and streamlined
	  some code

2004-07-29 07:39  fpillet

	* libpisock/dlp.c: Several fixes in this commit: fixed issues in
	  dlp_request_new/free, dlp_response_new/free; turned a few
	  fprintf()s into LOG; fixed a segfault when receiving >64k records
	  from Palm OS 5 devices under certain conditions

2004-07-27 12:24  desrod

	* bindings/Perl/Pilot.xs: Fix the last two remaining errors and
	  clean up the invalid pointer, using the new pi_buffer_t and the
	  ugliest cast I've ever seen ;)

2004-07-27 04:56  fpillet

	* include/pi-file.h, libpisock/pi-file.c: modified progress
	  callback prototype to return a int. Callbacks can return either
	  PI_TRANSFER_CONTINUE or PI_TRANSFER_STOP, effectively allowing
	  the callback to interrupt a transfer (at least between individual
	  record downloads / uploads)

2004-07-27 02:49  desrod

	* bindings/Perl/Pilot.xs: Crikey, who indented this mess. I'll fix
	  it!

2004-07-27 01:16  desrod

	* bindings/Perl/Pilot.xs: Updating Perl bindings to handle the
	  pi_buffer_* API, only 2 errors left to go

2004-07-26 20:53  desrod

	* include/pi-cmp.h, include/pi-net.h, include/pi-padp.h,
	  include/pi-slp.h, include/pi-sys.h, libpisock/cmp.c,
	  libpisock/freebsdusb.c, libpisock/inet.c, libpisock/net.c,
	  libpisock/padp.c, libpisock/palmpix.c, libpisock/slp.c,
	  libpisock/sys.c: ssize_t/size_t vs. int fixes for warning-free
	  compilation on 64-bit arch, from Adriaan de Groot

2004-07-26 20:47  desrod

	* bindings/Perl/Makefile.PL.in: Fix for installing Pilot.so against
	  system libs, instead of local build-tree libs. Closes #1122

2004-07-26 17:45  desrod

	* src/pilot-xfer.c: Minor fixes to make sure we're not off-by-one,
	  and reporting the right file sizes

2004-07-26 17:44  desrod

	* include/pi-socket.h: Minor cleanup fix from Adriaan de Groot

2004-07-26 16:33  fpillet

	* libpisock/pi-file.c: hardened checks against invalid files in
	  pi_file_open()

2004-07-26 14:26  fpillet

	* src/: pi-nredir.c, pilot-nredir.c: fixed issue in pi-nredir: was
	  not rewriting the right piece of data to the distant socket (my
	  bad: was writing buffer instead of buffer->data)

2004-07-23 17:27  knghtbrd

	* src/Makefile.am: use $(POPT_LIBS), not
	  $(top_builddir)/popt/libpopt.la - it might not get built!

2004-07-23 12:49  fpillet

	* bindings/Python/src/pisock_wrap.c, include/pi-file.h,
	  libpisock/pi-file.c, src/pilot-foto.c, src/pilot-xfer.c:
	  Implemented progress callbacks support for pi_file_install(),
	  pi_file_merge() and pi_file_retrieve()

2004-07-23 10:51  fpillet

	* libpisock/dlp.c: ENH: added support for dlpDBListMultiple in
	  dlp_FindDBInfo to speed up operations

2004-07-23 06:15  fpillet

	* libpisock/dlp.c, include/pi-dlp.h: Added support for download and
	  upload of large records. Works/tested with TapWave Zodiac and
	  Palm OS 6 simulator.

2004-07-19 16:35  angusa

	* src/: pilot-read-screenshot.c, read-screenshot.c,
	  pilot-read-veo.c, read-veo.c: Fixed HAVE_PNG defines

2004-07-19 13:46  angusa

	* src/: pilot-read-screenshot.c, read-screenshot.c: Changed some
	  unsigned char buffers to pi_buffer_t Added support for version 1
	  screenshots and grayscale

2004-07-19 11:04  desrod

	* configure.in, src/Makefile.am, src/pilot-read-screenshot.c,
	  src/read-screenshot.c: Bump to rc12, add read-screenshot

2004-07-18 21:08  desrod

	* src/: install-netsync.c, pilot-install-netsync.c: Negate popt for
	  now, lets keep it building instead.

2004-07-15 05:43  fpillet

	* include/pi-file.h, libpisock/pi-file.c: revised constness on some
	  function prototypes

2004-07-02 17:24  fpillet

	* libpisock/dlp.c: fixed DLP version check in dlp_VFSFileSize and
	  dlp_VFSFileResize

2004-07-02 09:50  fpillet

	* libpisock/dlp.c: make sure numVols is set to 0 if nothing else in
	  dlp_VFSVolumeEnumerate

2004-06-28 14:08  fpillet

	* libpisock/dlp.c: Fixed improper conversion from DLP date to
	  time_t in dlp_ptohdate(). Due to improper conversion, most dates
	  returned were -1. Dates are not correctly returned as a time_t
	  expressed in the machine's current timezone.

2004-06-28 14:07  fpillet

	* ChangeLog: Updated ChangeLog

2004-06-16 18:34  warp

	* libpisock/libusb.c: Update to use the new buffer stuff, whoops,
	  forgot to commit this before.

2004-06-07 18:45  fpillet

	* libpisock/socket.c: added missing byte_buf reinit

2004-06-07 15:16  fpillet

	* include/pi-dlp.h: added comment about the maxRecSize member of
	  DBSizeInfo

2004-06-07 15:15  fpillet

	* libpisock/dlp.c: factored out response decoding in the three
	  dlp_FindDB variants, fixed several bugs that crashed both the
	  desktop side and the palm side

2004-06-07 10:52  fpillet

	* include/pi-cmp.h, include/pi-dlp.h, include/pi-dlp.hxx,
	  include/pi-net.h, include/pi-padp.h, include/pi-serial.h,
	  include/pi-slp.h, include/pi-socket.h, include/pi-source.h,
	  include/pi-sys.h, include/pi-usb.h, libpisock/Makefile.am,
	  libpisock/cmp.c, libpisock/darwinusb.c, libpisock/dlp.c,
	  libpisock/inet.c, libpisock/linuxusb.c, libpisock/net.c,
	  libpisock/padp.c, libpisock/pi-file.c, libpisock/slp.c,
	  libpisock/socket.c, libpisock/sys.c, libpisock/syspkt.c,
	  libpisock/unixserial.c, libpisock/versamail.c, libpisync/sync.c,
	  src/addresses.c, src/debugsh.c, src/dlpsh.c, src/hinotes.c,
	  src/install-netsync.c, src/memos.c, src/money2qif.c,
	  src/pi-nredir.c, src/pilot-addresses.c, src/pilot-archive.c,
	  src/pilot-debugsh.c, src/pilot-dedupe.c, src/pilot-dlpsh.c,
	  src/pilot-foto.c, src/pilot-hinotes.c,
	  src/pilot-install-netsync.c, src/pilot-mail.c, src/pilot-memos.c,
	  src/pilot-nredir.c, src/pilot-read-expenses.c,
	  src/pilot-read-ical.c, src/pilot-read-notepad.c,
	  src/pilot-read-palmpix.c, src/pilot-read-todos.c,
	  src/pilot-read-veo.c, src/pilot-reminders.c, src/pilot-schlep.c,
	  src/pilot-wav.c, src/pilot-xfer.c, src/read-expenses.c,
	  src/read-ical.c, src/read-notepad.c, src/read-palmpix.c,
	  src/read-todos.c, src/read-veo.c, src/reminders.c,
	  tests/dlp-test.c, tests/versamail-test.c, tests/vfs-test.c: BIG
	  COMMIT: changed several prototypes to take and return a
	  pi_buffer_t*, so as to be able to download and upload records and
	  resources bigger than 64k. Several other tweaks as well.

2004-06-02 10:22  fpillet

	* darwin/build_framework.sh: added prebinding support when building
	  framework (see usage notes at top of script)

2004-06-01 06:13  nicholas

	* bindings/Python/: README, pisock.py, setup.py.in, src/pisock.i,
	  src/pisock.py, src/pisock_wrap.c: Updated Python bindings to work
	  with Florent's patch (v3), and Swig 1.3.21

2004-05-31 07:49  fpillet

	* darwin/build_framework.sh: fixed linking and internal symlinks

2004-05-30 17:59  warp

	* libpisock/pi-file.c: Er, oops.  Now /this/ is a stupid mistake.

2004-05-30 09:02  fpillet

	* include/Makefile.am: added pi-buffer.h to c_headers

2004-05-29 12:50  warp

	* include/pi-dlp.h, libpisock/dlp.c: Make the dbname argument to
	  dlp_FindDBInfo const, possibly the first of many such changes.

2004-05-28 18:20  fpillet

	* include/pi-buffer.h: new pi_buffer_t type

2004-05-28 18:20  fpillet

	* libpisock/: pi-buffer.lo, pi-buffer.o: stupid .* commit, sorry

2004-05-28 18:19  fpillet

	* libpisock/: pi-buffer.c, pi-buffer.lo, pi-buffer.o: new
	  pi_buffer_t type and accessor functions

2004-05-27 21:41  knghtbrd

	* Makefile.am, configure.in: Renamed --with-cpp to --with-cxx to
	  avoid confusion with the preprocessor and made it actually use
	  the compiler argument.  Removed LIBCXX and the check for
	  libstdc++ since the latter isn't portable anyway.  In theory,
	  this should work for everyone.  In practice, the C++ check will
	  probably need to be altered to check a whole bunch of things like
	  the readline check does once people start reporting what breaks.
	  *sigh*

2004-05-27 18:46  knghtbrd

	* Makefile.am, configure.in, tcl.m4, darwin/.cvsignore,
	  darwin/Makefile.am, m4/tcl.m4, popt/Makefile.am: More
	  autoconf/automake fixes: make dist works properly again, modern
	  versions of automake no longer complain about unquoted function
	  names in macro declarations, tcl.m4 is no longer installed to the
	  system, and both included and system popt now work.

2004-05-26 15:38  knghtbrd

	* Makefile.am, configure.in, src/Makefile.am: Rewrote the popt
	  configure.in stuff a bit so that it actually works the way it
	  should.  (There may be a residual bug or two, working on them!)

2004-05-26 03:28  knghtbrd

	* configure.in, m4/vl_lib_readline.m4: Made the readline check
	  better..

2004-05-26 01:32  knghtbrd

	* libpisock/: darwinusb.c, usb.c: The Zire 72 shares 0061 with the
	  31.

2004-05-25 03:29  knghtbrd

	* configure.in, src/dlpsh.c, src/pilot-dlpsh.c: Fix potential NULL
	  dereference (readline returns NULL at EOF)

2004-05-25 03:09  knghtbrd

	* Makefile.am, acinclude.m4, autogen.sh, m4/tcl.m4,
	  m4/vl_lib_readline.m4, src/dlpsh.c, src/pilot-dlpsh.c: Made some
	  changes to auto* build system:  - Created m4/ and moved tcl.m4
	  into it (gets rid of acinclude.m4)  - Added m4/vl_lib_readline.m4
	  - better readline finding  - made existing stuff work with new
	  readline detection  - configure --without-cpp no longer forces
	  you to have libstdc++ anyway

2004-05-25 01:50  knghtbrd

	* libpisock/connect.c: Add missing "

2004-05-24 09:15  desrod

	* libpisock/connect.c: Minor formatting changes (actually, just
	  forcing a commit to track a cvs history bug also)

2004-05-21 10:02  warp

	* include/pi-socket.h, include/pi-source.h, libpisock/connect.c,
	  libpisock/inet.c, libpisock/libusb.c, libpisock/serial.c,
	  libpisock/socket.c, libpisock/usb.c, src/dlpsh.c,
	  src/pilot-dlpsh.c: Fixed the fd leak problem with a chainsaw,
	  removing all device duplication code.

	  Reverted connect.c to the pre-mace version, with some changes.

	  NOTE!  This changes the pi_accept API, it now returns the sd
	  passed to it, instead of making a duplicate of it and returning
	  that, this will have an impact on all programs which try to treat
	  the 'parent' sd and the 'client' sd differently.

	  Fixed a libusb reopening bug.

	  Added the (very hacky) reopen command to dlpsh, to test reopening
	  the link to the PDA.

	   9 files changed, 108 insertions(+), 395 deletions(-)

2004-05-21 03:30  warp

	* libpisock/libusb.c: Whoops, fix a little bug.

2004-05-20 01:20  angusa

	* libpisock/palmpix.c: Added histogram and colour correction.  Also
	  fixed interpolation

2004-05-20 01:19  angusa

	* include/pi-palmpix.h: Added colour correction and histogram flags

2004-05-20 01:18  angusa

	* src/: pilot-read-palmpix.c, read-palmpix.c: Added histogram, bias
	  and colour correction options

2004-05-20 01:15  angusa

	* doc/man/read-veo.1.in: Fixed portable network graphic references

2004-05-20 01:14  angusa

	* doc/man/read-palmpix.1.in: Added histogram, colour correct and
	  bias

2004-05-20 01:00  desrod

	* Makefile.am: Add popt to SUBDIRS target

2004-05-20 00:40  desrod

	* src/: addresses.c, dlpsh.c, hinotes.c, install-datebook.c,
	  install-expenses.c, install-hinote.c, install-memo.c,
	  install-netsync.c, install-todo.c, install-todos.c,
	  install-user.c, memos.c, money2qif.c, pilot-dlpsh.c,
	  pilot-hinotes.c, pilot-install-datebook.c,
	  pilot-install-expenses.c, pilot-install-hinote.c,
	  pilot-install-memo.c, pilot-install-netsync.c,
	  pilot-install-todo.c, pilot-install-todos.c,
	  pilot-install-user.c, pilot-memos.c, pi-csd.c, pi-getram.c,
	  pi-getrom.c, pi-getromtoken.c, pi-nredir.c, pi-port.c,
	  pilot-addresses.c, pilot-archive.c, pilot-clip.c, pilot-csd.c,
	  pilot-dedupe.c, pilot-file.c, pilot-foto.c, pilot-getram.c,
	  pilot-getrom.c, pilot-getromtoken.c, pilot-mail.c,
	  pilot-nredir.c, pilot-port.c, pilot-prc.c, pilot-read-expenses.c,
	  pilot-read-ical.c, pilot-read-notepad.c, pilot-read-palmpix.c,
	  pilot-read-todos.c, pilot-read-veo.c, pilot-reminders.c,
	  pilot-schlep.c, pilot-wav.c, pilot-xfer.c, read-expenses.c,
	  read-ical.c, read-notepad.c, read-palmpix.c, read-todos.c,
	  read-veo.c, reminders.c: Remove unnecessary prototype references,
	  fix up existing calls to match the new const declarations in
	  pi-header.h

2004-05-20 00:25  warp

	* libpisock/: libusb.c, usb.c: Some minor cleanups in usb.c.

	  Make the libusb open much more verbose, and make the reset logic
	  more robust for the case of the device not immediately
	  reappearing on reset. (2.4)

2004-05-19 11:38  desrod

	* include/pi-header.h, libpisock/connect.c: Possible fixes for
	  pilot_connect from Miah Gregory

2004-05-19 09:26  desrod

	* libpisock/connect.c: Fix leaking parent_sd fd.. (Miah Gregory)

2004-05-19 09:06  desrod

	* README: Fix minor typo (caught by mace)

2004-05-18 17:49  desrod

	* src/Makefile.am: More getopt deprecation, popt additions

2004-05-18 16:31  desrod

	* popt/.cvsignore: Ignore these critters

2004-05-18 16:25  desrod

	* popt/Makefile.am: Forgot to add Makefile.am

2004-05-18 16:06  desrod

	* configure.in: Oops, we don't need -rc9-popt there

2004-05-18 16:01  desrod

	* popt/CHANGES: We don't need this file in our tree

2004-05-18 16:00  desrod

	* configure.in, popt/CHANGES, popt/COPYING, popt/README,
	  popt/findme.c, popt/findme.h, popt/popt.c, popt/popt.h,
	  popt/poptconfig.c, popt/popthelp.c, popt/poptint.h,
	  popt/poptparse.c, popt/system.h: Moving to a possible popt
	  conversion

2004-05-18 12:59  angusa

	* src/: pilot-read-veo.c, read-veo.c: Added better colour
	  correction algorithm and bias to adjust the brightness.

2004-05-18 12:56  angusa

	* doc/man/read-veo.1.in: Added colour correction and name output
	  flags.  Alphabetized the options

2004-05-18 12:42  fpillet

	* libpisock/dlp.c: normalized // comments to /* */

2004-05-18 08:47  warp

	* libpisock/libusb.c: Use the new common code.

	  Clean up the debugging messages for the case of no debugging
	  being enabled.

	  Clean up the double close error.

	  Handle some error cases better.

	  Change the peek to only read one byte at a time.

	  Reset the device before use.

	  Probably other stuff that I'm forgetting.

2004-05-18 08:44  warp

	* include/pi-usb.h, libpisock/usb.c: The new common USB code for
	  init and identification, not completely done, but functional.

	  Should not break anything.

2004-05-18 08:00  desrod

	* configure.in: Starting the popt conversion

2004-05-18 07:56  desrod

	* src/pilot-xfer.c: More minor indenting cleanups, prior to the
	  popt injection

2004-05-18 06:23  warp

	* src/pilot-xfer.c: Fix restore.

	  Clean up some space vs tab indentation issues.

2004-05-17 19:30  desrod

	* libpisock/pi-file.c: Remove erroneous \n that was screwing up
	  userland

2004-05-17 15:13  desrod

	* tests/vfs-test.c: Added unistd.h to bring in size_t on non-GNU
	  systems.

2004-05-17 15:03  desrod

	* src/: pi-getram.c, pi-getrom.c, pilot-getram.c, pilot-getrom.c:
	  Add quick checks to quit if OS5 or later is found, so we don't
	  crash the user's device with a nice RPC error + reset.

2004-05-16 18:38  knghtbrd

	* configure.in: Removed a couple stray lines that were harmless,
	  but also needless.

2004-05-15 15:24  knghtbrd

	* configure.in: Er, CFLAGS goes with CFLAGS, CXXFLAGS goes with
	  CXXFLAGS, doh.

2004-05-15 05:22  knghtbrd

	* configure.in: Changes related to CFLAGS and friends:
	  Moved/rewrote the MacOS X fink test, added compiler defaults for
	  GCC, removed AC_SUBST of compiler flags because it's not
	  necessary, added CPPFLAGS to configure summary.

2004-05-14 22:29  desrod

	* configure.in: Bump to rc8, soname bump

2004-05-14 22:00  desrod

	* include/pi-dlp.h, libpisock/dlp.c: Florent Pillet's DLP fixes and
	  updates.

2004-05-14 21:08  knghtbrd

	* src/pilot-addresses.c: Hans Meine's fix for pilot-addresses (or
	  half of it, anyway.)

2004-05-13 10:55  angusa

	* include/pi-veo.h: Added command for single file output

2004-05-12 15:28  knghtbrd

	* .cvsignore, bindings/Python/.cvsignore, src/.cvsignore,
	  tests/.cvsignore: Updated .cvsignore files

2004-05-12 14:53  desrod

	* include/pi-net.h, libpisock/net.c: (Patch from Florent Pillet)

	  - adds bounds checking to net_rx (see comments I added to the
	  net_rx function)

	  - fixes issue where receive buffer needed to add 6 bytes for
	  temporary header   (the packet header is now read into a separate
	  buffer). You'd get a crash   if you call pi_read() with a buffer
	  of the exact expected size, for example.

2004-05-12 04:25  fpillet

	* include/pi-dlp.h: added opcode values next to dlp func defines to
	  ease reading packet traces

2004-05-10 20:07  knghtbrd

	* configure.in: Fix my half-edited --help test for configure

2004-05-10 19:56  fpillet

	* include/pi-dlp.h, libpisock/dlp.c, tests/vfs-test.c: VFS
	  functions tested & fixed

2004-05-10 17:27  angusa

	* src/: pilot-read-veo.c, read-veo.c: Added png output.  Single
	  picture output Histogram adjustment Comments

2004-05-10 04:35  fpillet

	* libpisock/darwinusb.c: comments & define tweaks

2004-05-09 20:30  knghtbrd

	* libpisock/darwinusb.c: Some comments got lost in moving things
	  around.  I don't have Florent's more verbose comments in front of
	  me, but this will help make some sense of the variables.

2004-05-09 20:28  knghtbrd

	* configure.in: Better handling of -Werror set in the environment

2004-05-09 06:26  knghtbrd

	* include/pi-palmpix.h, include/pi-sync.h, libpisock/palmpix.c,
	  src/install-memo.c, src/memos.c, src/pi-getromtoken.c,
	  src/pi-nredir.c, src/pilot-addresses.c, src/pilot-archive.c,
	  src/pilot-file.c, src/pilot-foto.c, src/pilot-getromtoken.c,
	  src/pilot-install-memo.c, src/pilot-memos.c, src/pilot-nredir.c,
	  src/pilot-prc.c, src/pilot-wav.c, src/pilot-read-notepad.c,
	  src/pilot-read-palmpix.c, src/pilot-read-todos.c,
	  src/pilot-xfer.c, src/read-notepad.c, src/read-palmpix.c,
	  src/read-todos.c, tests/versamail-test.c: Most compiler warnings
	  issued with -Wall are fixed.	test-versamail and pilot-datebook
	  still have a few, but perhaps someone else can squash them?

2004-05-08 19:01  knghtbrd

	* configure.in, darwin/build_framework.sh, include/Makefile.am,
	  include/darwinusbcore.h, libpisock/Makefile.am,
	  libpisock/darwinusb.c, libpisock/darwinusbcore.cpp: Need to
	  commit this so I can move on.  It seems to break nothing,
	  although it undoes one small change Florent made to Darwin's USB
	  code which broke it for me.

2004-05-08 05:52  knghtbrd

	* libpisock/: connect.c, inet.c, net.c, socket.c: Excepting
	  darwinusb (which is waiting on Florent and David to test my
	  patch), this will make libpisock -Wall -Werror clean on a Mac.

2004-05-08 04:57  knghtbrd

	* include/pi-serial.h, include/pi-socket.h, include/pi-usb.h,
	  libpisock/address.c, libpisock/cmp.c, libpisock/connect.c,
	  libpisock/serial.c, libpisock/usb.c, libpisock/util.c,
	  src/addresses.c, src/dlpsh.c, src/pilot-addresses.c,
	  src/pilot-dlpsh.c, src/pilot-xfer.c: Some compiler warning fixes
	  from Florent that got lost in the shuffle..

2004-05-08 04:40  knghtbrd

	* configure.in: AC_TYPE_SIGNAL produces a compiler warning.  If
	  -Werror is set, this warning can cause RETSIGTYPE to be set to
	  int on systems where it should be void.  This causes the code to
	  issue a warning, which produces a compile error.  Vicious cycle
	  go splat!  (The workaround is a bit hackish, but it's
	  autoconf--what can you do?)

2004-05-07 21:59  warp

	* configure.in, libpisock/Makefile.am, libpisock/libusb.c: libusb
	  support, use --enable-libusb.

2004-05-07 02:51  fpillet

	* libpisock/darwinusbcore.cpp: use the regular InterfaceInterface
	  (don't need v182), fixed a leak in start_listening, added check
	  for PalmConnect USB, fixed a return request buffer size for close
	  notification

2004-05-07 02:49  fpillet

	* libpisock/darwinusb.c: fixed prototypes in darwinusb (patch not
	  applied by David)

2004-05-06 16:23  knghtbrd

	* configure.in, libpisock/Makefile.am, src/install-netsync.c,
	  src/pilot-install-netsync.c: pilot-link now compiles on MacOS X,
	  though with many warnings yet.  This code walks over one of
	  Florent's unapplied patches a bit, but is the more correct fix
	  anyway.  Darwin users *must* make distclean; ./autogen.sh all
	  over again to ensure that libtool works.

2004-05-06 15:40  warp

	* autogen.sh: Fix it some more.

2004-05-06 15:16  warp

	* autogen.sh, src/pilot-xfer.c: Fix autogen on my box.

	  Actually increment totalsize.

2004-05-06 15:10  desrod

	* include/pi-foto.h: Oops, missing.

2004-05-06 14:10  desrod

	* darwin/build_framework.sh: Added Florent's build_framework.sh

2004-05-06 14:06  desrod

	* src/pilot-xfer.c: Kill strndup

2004-05-06 13:34  desrod

	* Makefile.am, acinclude.m4, autogen.sh, configure.in,
	  pilot-link.m4.in, bindings/Java/Makefile.am,
	  bindings/Java/README, bindings/Java/README.de,
	  bindings/Java/libjpisock.c, bindings/Java/libjpisock.h,
	  bindings/Java/test.java, bindings/Perl/dump.pl,
	  bindings/Perl/test.pl, bindings/Python/src/pisock_wrap.c,
	  doc/man/addresses.1.in, doc/man/dlpsh.1.in, doc/man/hinotes.1.in,
	  doc/man/ietf2datebook.1.in, doc/man/install-datebook.1.in,
	  doc/man/install-expenses.1.in, doc/man/install-hinote.1.in,
	  doc/man/install-memo.1.in, doc/man/install-netsync.1.in,
	  doc/man/install-todo.1.in, doc/man/install-user.1.in,
	  doc/man/memos.1.in, doc/man/pi-getram.1.in,
	  doc/man/pi-getrom.1.in, doc/man/pilot-addresses.1.in,
	  doc/man/pilot-foto.1.in, doc/man/pilot-link.7.in,
	  doc/man/pilot-xfer.1.in, doc/man/read-expenses.1.in,
	  doc/man/read-ical.1.in, doc/man/read-notepad.1.in,
	  doc/man/read-palmpix.1.in, doc/man/read-todos.1.in,
	  doc/man/read-veo.1.in, include/Makefile.am,
	  include/darwinusbcore.h, include/pi-address.h,
	  include/pi-appinfo.h, include/pi-cmp.h, include/pi-datebook.h,
	  include/pi-debug.h, include/pi-dlp.h, include/pi-dlp.hxx,
	  include/pi-expense.h, include/pi-file.h, include/pi-hinote.h,
	  include/pi-inet.h, include/pi-mail.h, include/pi-memo.h,
	  include/pi-money.h, include/pi-net.h, include/pi-notepad.h,
	  include/pi-padp.h, include/pi-serial.h, include/pi-slp.h,
	  include/pi-socket.h, include/pi-source.h, include/pi-sys.h,
	  include/pi-syspkt.h, include/pi-todo.h, include/pi-usb.h,
	  include/pi-veo.h, libpisock/Makefile.am, libpisock/address.c,
	  libpisock/appinfo.c, libpisock/cmp.c, libpisock/connect.c,
	  libpisock/darwinusb.c, libpisock/darwinusbcore.cpp,
	  libpisock/datebook.c, libpisock/debug.c, libpisock/dlp.c,
	  libpisock/expense.c, libpisock/freebsdusb.c, libpisock/hinote.c,
	  libpisock/inet.c, libpisock/linuxusb.c, libpisock/mail.c,
	  libpisock/md5.c, libpisock/memo.c, libpisock/money.c,
	  libpisock/net.c, libpisock/notepad.c, libpisock/os2serial.c,
	  libpisock/padp.c, libpisock/palmpix.c, libpisock/pi-file.c,
	  libpisock/pi-header.c, libpisock/serial.c, libpisock/slp.c,
	  libpisock/socket.c, libpisock/sys.c, libpisock/syspkt.c,
	  libpisock/todo.c, libpisock/unixserial.c, libpisock/usb.c,
	  libpisock/util.c, libpisock/utils.c, libpisock/veo.c,
	  libpisock/winserial.c, src/Makefile.am, src/addresses.c,
	  src/ccexample.cc, src/debugsh.c, src/dlpsh.c, src/hinotes.c,
	  src/pilot-debugsh.c, src/pilot-dlpsh.c, src/pilot-hinotes.c,
	  src/install-datebook.c, src/install-expenses.c,
	  src/install-hinote.c, src/install-netsync.c, src/install-todo.c,
	  src/install-todos.c, src/install-user.c, src/kittykiller.c,
	  src/memos.c, src/money2qif.c, src/pd-tty.c, src/pi-csd.c,
	  src/pi-nredir.c, src/pilot-addresses.c, src/pilot-archive.c,
	  src/pilot-clip.c, src/pilot-csd.c, src/pilot-dedupe.c,
	  src/pilot-file.c, src/pilot-foto.c, src/pilot-install-datebook.c,
	  src/pilot-install-expenses.c, src/pilot-install-hinote.c,
	  src/pilot-install-netsync.c, src/pilot-install-todo.c,
	  src/pilot-install-todos.c, src/pilot-install-user.c,
	  src/pilot-mail.c, src/pilot-memos.c, src/pilot-nredir.c,
	  src/pilot-read-expenses.c, src/pilot-read-ical.c,
	  src/pilot-read-notepad.c, src/pilot-read-todos.c,
	  src/pilot-read-veo.c, src/pilot-reminders.c, src/pilot-schlep.c,
	  src/pilot-wav.c, src/pilot-xfer.c, src/read-expenses.c,
	  src/read-ical.c, src/read-notepad.c, src/read-todos.c,
	  src/read-veo.c, src/reminders.c, src/validate.cc,
	  tests/dlp-test.c, tests/vfs-test.c: Enormous commit, bring it up
	  to hopefully current

2004-04-29 10:03  desrod

	* README: Updated README to bring it to current. Still a few pokes
	  left to go.

2004-04-18 15:48  desrod

	* ChangeLog, src/pilot-xfer.c: Some ugly changes to pilot-xfer.c,
	  will throw most of this away soon.

2004-04-16 12:27  nicholas

	* ChangeLog, include/pi-versamail.h, libpisock/versamail.c,
	  tests/versamail-test.c: Cope a bit better with versamail mail
	  with attachments

2004-04-16 08:29  desrod

	* tests/Makefile.am, include/Makefile.am, libpisock/Makefile.am:
	  Added Nicholas Piper's versamail to Makefile.am to bootstrap

2004-04-15 13:03  nicholas

	* ChangeLog, include/pi-contact.h, libpisock/contact.c: First cut
	  of Contacts support

2004-04-15 12:58  nicholas

	* ChangeLog, include/pi-versamail.h, libpisock/versamail.c,
	  tests/versamail-test.c: First cut of versamail support

2004-02-24 21:29  desrod

	* ChangeLog, libpisock/dlp.c: Fix comments

2004-02-20 12:22  desrod

	* src/parsedate.c: Removing autogenerated file

2004-02-20 10:19  desrod

	* src/: install-memo.c, pilot-install-memo.c: Oops, one more minor
	  verbage fix

2004-02-20 10:18  desrod

	* src/: install-memo.c, pilot-install-memo.c: Logic fixes, fix for
	  minor getopt bug where 't' required an empty arg, small verbage
	  and usability fixes, etc.

2004-02-20 09:42  desrod

	* libpisock/connect.c: Minor visual fix.

2004-02-09 22:04  desrod

	* tcl.m4, m4/tcl.m4, src/Makefile.am: Fixed up pilot-debug, tcl.h
	  path detection, error check output

2004-02-09 18:45  desrod

	* src/pilot-debug.c: What a mess. This should be turned inside out,
	  with straight TCL, and inline C inside that. One thing at a time.

2004-02-09 14:13  desrod

	* src/pilot-prc.c: Remove unnecessary globals, fix broken invalid
	  function defs.

2004-01-22 17:20  desrod

	* doc/README.usb: Corrected some missing paragraph content, added
	  info about the new method to load visor.o wth vendor/product
	  dynamically.

2004-01-22 17:11  desrod

	* doc/README.usb: Updated verbage for newer devices, fixed links to
	  the wiki, added more current information about compiling modules
	  directly without kernel compile, more.

2004-01-18 11:26  desrod

	* src/: pilot-read-palmpix.c, read-palmpix.c: Deallocate the arg
	  instead of losing it

2004-01-18 10:48  desrod

	* ChangeLog, src/pilot-read-veo.c, src/read-veo.c: Code formatting
	  changes, added function doc headers, misc. cleanups

2004-01-18 10:00  desrod

	* src/: install-netsync.c, pilot-install-netsync.c: Revert
	  priv_strdup() back out.

2004-01-18 09:58  desrod

	* src/: install-netsync.c, pilot-install-netsync.c: Revert
	  priv_strdup back out.

2004-01-18 09:57  desrod

	* libpisock/: address.c, datebook.c, dlp.c, expense.c, hinote.c,
	  inet.c, mail.c, memo.c, net.c, notepad.c, palmpix.c, pi-file.c,
	  slp.c, socket.c, todo.c, utils.c: Revert the priv_strdup back
	  out.

2004-01-18 09:25  desrod

	* src/: pi-csd.c, pilot-csd.c: inet_pton() in case we need to go
	  IPv6, fixed some minor pedantic problems

2004-01-17 20:08  desrod

	* ChangeLog: Updated changelog for 01-17-2004

2004-01-17 18:42  desrod

	* src/: install-netsync.c, install-user.c, pilot-install-netsync.c,
	  pilot-install-user.c: Code refactoring, cleanup.

2004-01-17 18:14  desrod

	* libpisock/: address.c, datebook.c, expense.c, hinote.c, mail.c,
	  memo.c, notepad.c, pi-file.c, socket.c, todo.c: Update source to
	  use our private strdup() function, and ignore any global copy.

2004-01-17 18:13  desrod

	* libpisock/utils.c: Use priv_strdup() instead of making it a
	  global. Refactor the strdup function a bit.

2004-01-17 18:12  desrod

	* src/pilot-wav.c: Added missing function documentation headers,
	  missing prototypes.

2004-01-05 14:49  desrod

	* doc/man/pilot-archive.1.in: Updated wording on the pilot-archive
	  manpage

2004-01-05 14:41  desrod

	* configure.in: Added new manpage for pilot-archive

2004-01-05 14:40  desrod

	* doc/man/Makefile.am: Added manpage for pilot-archive

2004-01-05 14:39  desrod

	* ChangeLog, doc/man/pilot-archive.1.in, src/pilot-archive.c:
	  Cleaned up code, removed unused headers, unused vars. Added new
	  manpage for pilot-archive.

2004-01-03 14:52  desrod

	* tests/vfs-test.c: Minor cleanup, removed unused headers,
	  reformatted initializers.

2004-01-03 14:44  desrod

	* tests/vfs-test.c: Remove unused code that was copied from
	  dlp-test.c

2004-01-02 11:07  desrod

	* ChangeLog: [no log message]

2004-01-02 11:07  desrod

	* src/pilot-xfer.c: More code cleanup, more on the way.

2004-01-02 11:06  desrod

	* libpisock/connect.c: Add appropriate flushing to try to work
	  around the printf() problem in userland. Might be temporary.

2004-01-01 09:56  desrod

	* src/pilot-xfer.c: sd should be 0, not -1, oops.

2003-12-30 18:32  desrod

	* src/: Makefile.am, debugsh.c, pilot-debugsh.c, kittykiller.c,
	  money2qif.c, pi-getromtoken.c, pilot-addresses.c, pilot-debug.c,
	  pilot-file.c, pilot-getromtoken.c, pilot-read-expenses.c,
	  pilot-reminders.c, read-expenses.c, reminders.c: Minor
	  formatting, removal of unused headers, misc.

2003-12-30 18:19  desrod

	* src/: pilot-read-palmpix.c, read-palmpix.c: Added function doc
	  headers

2003-12-30 18:19  desrod

	* src/: pi-nredir.c, pilot-nredir.c: Removed unnecessary header,
	  display_help cleanup.

2003-12-30 18:17  desrod

	* src/: pilot-read-todos.c, read-todos.c, pilot-wav.c: Minor
	  formatting cleanup

2003-12-30 18:13  desrod

	* src/: memos.c, pilot-memos.c: Minor formatting

2003-12-30 18:10  desrod

	* src/: pilot-read-notepad.c, read-notepad.c: Support for
	  "compressed" Notepad records

2003-12-30 18:09  desrod

	* src/: pilot-read-veo.c, read-veo.c: C99 comments, minor type
	  fixes, remove unused vars

2003-12-30 18:09  desrod

	* src/: install-todo.c, pilot-install-todo.c: Fix closing cleanup,
	  missing WriteUserInfo call, cleaned up sd call, remove cruft.

2003-12-30 18:09  desrod

	* src/: dlpsh.c, pilot-dlpsh.c: Minor reformatting/cleanup

2003-12-30 18:08  desrod

	* src/pilot-xfer.c: Flags instead of running functions in the
	  switch, remove crufty code, not completed yet (rewrites-aplenty)

2003-12-30 18:08  desrod

	* src/: install-user.c, pilot-install-user.c: Minor type cleanups

2003-12-30 18:08  desrod

	* src/addresses.c: More descriptive structure members: s/a/addr/,
	  removed incorrect argument in the example, minor SyncLog output
	  fixes.

2003-12-30 18:07  desrod

	* ChangeLog, libpisock/connect.c: Make sure we are a valid tty
	  before printing the connect messages, so redirection to files
	  works properly.

2003-12-21 15:10  desrod

	* ChangeLog: Fix a check for >255 id, closes bug 829

2003-12-21 15:05  desrod

	* ChangeLog, configure.in: Remove check for UID == 0/root check.

2003-12-21 14:44  desrod

	* ChangeLog, src/install-user.c, src/pilot-install-user.c: Enforce
	  a positive UserID, even if a negative was passed in.

2003-12-21 13:23  desrod

	* include/pi-notepad.h, src/pilot-read-notepad.c,
	  src/read-notepad.c:
	  Support for "compressed" Notepad records, closes issue #913

2003-12-11 12:00  desrod

	* ChangeLog, include/pi-dlp.h: Revert DLP_BUF_SIZE for now

2003-12-10 13:04  desrod

	* ChangeLog, configure.in: Small fix to check for uid=0

2003-11-26 17:47  desrod

	* ChangeLog, doc/man/read-ical.1.in: Updated read-ical manpage

2003-11-26 17:41  desrod

	* ChangeLog, libpisock/connect.c: Minor error in connect.c, rolling
	  up into cvs snapshots with this commit.

2003-11-11 22:36  desrod

	* ChangeLog: Updated ChangeLog

2003-11-11 22:01  desrod

	* ChangeLog, configure.in: Updated version, added poke to fix a
	  Gentoo bug

2003-10-17 08:29  desrod

	* ChangeLog, tests/vfs-test.c: Test conduit for VFS devices

2003-10-06 12:38  desrod

	* src/pilot-xfer.c: Oops, a68k doesn't belong in there.

2003-10-06 12:37  desrod

	* ChangeLog, src/pilot-xfer.c: Ignore ARMlet files which can't be
	  restored back to the Palm anyway

2003-10-06 10:20  desrod

	* libpisock/dlp.c: DLP_BUF_SIZE cleanup

2003-10-06 10:12  desrod

	* include/pi-dlp.h: Oops, typo

2003-10-06 10:04  desrod

	* include/pi-dlp.h: Increment DLP_BUF_SIZE

2003-10-06 08:15  desrod

	* ChangeLog, doc/man/dlpsh.1.in, doc/man/memos.1.in,
	  doc/man/pi-getram.1.in, doc/man/pilot-addresses.1.in,
	  doc/man/pilot-link.7.in: Fixing up some typos in the manpages

2003-10-06 07:54  desrod

	* ChangeLog, bindings/Python/src/pisock_wrap.c, include/pi-file.h,
	  libpisock/pi-file.c, src/ccexample.cc, src/pilot-read-ical.c,
	  src/read-ical.c: Closing some outstanding Debian bugs

2003-10-06 07:17  desrod

	* ChangeLog, src/pilot-wav.c: New conduit to sync Voice Memo files
	  from Tungsten devices (David Turner)

2003-10-05 19:02  desrod

	* src/: pilot-sync-plan.pl, sync-plan.PL: Starting a cleanup, in
	  preparation for a rewrite to bring to current

2003-10-05 18:40  desrod

	* src/: pilot-sync-plan.pl, sync-plan.PL: Fix to work around
	  disconnect/IO errors (Aaron, closes #415)

2003-10-05 17:58  desrod

	* ChangeLog, include/pi-dlp.h, libpisock/dlp.c, src/pilot-xfer.c,
	  tests/Makefile.am: First pass at VFS functions

2003-10-04 07:41  desrod

	* ChangeLog: Test commit, ignore.

2003-09-23 18:00  desrod

	* ChangeLog, doc/man/memos.1.in, src/memos.c, src/pilot-memos.c:
	  Fixes to turn the output file into a "real" mbox file, so other
	  MUAs can load it as one. This closes Debian bug #212229

2003-08-18 18:43  desrod

	* ChangeLog, libpisync/Makefile.am: Missing libpisock in libpisync,
	  closes bug #767.

2003-08-18 17:48  desrod

	* ChangeLog: Fix for incorrect types, closes #773

2003-08-18 17:42  desrod

	* ChangeLog, configure.in: Fixes for libstdc++, closes bug #768
	  (needs testing and validation)

2003-08-18 15:59  desrod

	* ChangeLog, doc/man/pilot-addresses.1.in: Fixed erroneous blank
	  line, closes bug #765

2003-08-18 15:55  desrod

	* ChangeLog, configure.in: Added AM_MAINTAINER_MODE, closes bug
	  #760

2003-07-21 15:15  angusa

	* ChangeLog, doc/man/read-palmpix.1.in, doc/man/read-veo.1.in,
	  include/Makefile.am, include/pi-veo.h, libpisock/Makefile.am,
	  libpisock/veo.c, src/Makefile.am, src/pilot-read-veo.c,
	  src/read-veo.c: New conduit read-veo and support files added
	  Makefiles changed to compile new conduit read-palmix
	  documentation updated

2003-07-18 12:15  jpr

	* ChangeLog, include/pi-dlp.h, libpisock/dlp.c, tests/dlp-test.c:
	  2003-07-18  JP Rosevear  <jpr@ximian.com>

		  * tests/dlp-test.c (main): update FindDBBy calls

		  * libpisock/dlp.c (dlp_FindDBByName): return the localid
	  and
		  dbhandle if requested, check dlp version
		  (dlp_FindDBByOpenHandle): return localid if requested
		  (dlp_FindDBByTypeCreator): return card, localid and
	  dbhandle if
		  requested, check dlp version

		  * include/pi-dlp.h: update prototypes

2003-07-14 11:50  jpr

	* ChangeLog, include/pi-dlp.h, libpisock/dlp.c, src/pilot-xfer.c,
	  tests/dlp-test.c: 2003-07-14	JP Rosevear  <jpr@ximian.com>

		  * src/pilot-xfer.c (main): remove unused var

		  * libpisock/dlp.c (dlp_FindDBByName): implement
		  (dlp_FindDBByOpenHandle): ditto
		  (dlp_FindDBByTypeCreator): ditto

		  * include/pi-dlp.h: add find db option and search flags,
	  add
		  protos

		  * tests/dlp-test.c (main): add testing of dlp 1.2 FindDB
	  functions

2003-07-07 19:57  desrod

	* pilot-link.pc.in: Updated description in pkgconfig file

2003-07-07 19:08  desrod

	* ChangeLog, src/pilot-xfer.c: More refactoring cleanups

2003-07-07 15:21  desrod

	* src/pilot-xfer.c: A refactoring we will go! Minor cleanup,
	  removed redundant code, move to using flags instead of ints, so
	  we can extend it for ROM, RAM, VFS, etc.

2003-07-05 13:16  desrod

	* configure.in: Wrong order for exports, fixed.

2003-07-05 12:19  desrod

	* configure.in: More minor OSX fixes, starting IOKit migration

2003-07-05 09:59  desrod

	* ChangeLog, autogen.sh, configure.in: Fixed READLINE check,
	  glibtool vs. libtool on OSX

2003-07-04 12:03  desrod

	* NEWS: Updated NEWS for 0.11.9 release

2003-07-04 11:52  desrod

	* configure.in: Bump versions up by one for the 0.11.9 release

2003-07-04 11:51  desrod

	* src/pilot-xfer.c: Small fix

2003-07-04 11:40  desrod

	* ChangeLog: Oops

2003-07-04 11:40  desrod

	* src/pilot-xfer.c: Corrected a screen output buglet

2003-07-04 11:31  desrod

	* NEWS, bindings/Java/README: Updated NEWS and README to reflect
	  proper attribution.

2003-07-02 10:51  jpr

	* .cvsignore, ChangeLog, include/pi-dlp.h, libpisock/dlp.c,
	  libpisock/socket.c, tests/dlp-test.c: 2003-07-02  JP Rosevear
	  <jpr@ximian.com>

		  * tests/dlp-test.c (main): test SetDBInfo

		  * include/pi-dlp.h: add proto

		  * libpisock/socket.c (ps_list_find_elem): return the list
	  element
		  rather than the socket
		  (pi_version): improve implementation so we differentiate
	  between
		  dlp 1.1 and higher, cache result
		  (ps_list_append): set the version to 0 by default

		  * libpisock/dlp.c (dlp_SetDBInfo): implement

2003-07-01 16:04  jpr

	* bindings/Tcl/Makefile.in: Remove generated file.

2003-07-01 16:03  jpr

	* bindings/: Java/.cvsignore, Tcl/.cvsignore, Tcl/Makefile.in:
	  shush

2003-07-01 15:59  desrod

	* doc/man/read-todos.1.in: Added missing read-todos manpage

2003-07-01 15:55  desrod

	* doc/man/memos.1.in: Added memos manpage

2003-07-01 15:55  jpr

	* ChangeLog, Makefile.am: 2003-07-01  JP Rosevear  <jpr@ximian.com>

		  * Makefile.am: only install the -pp pkgconfig file if c++
	  is
		  enabled

2003-07-01 15:43  jpr

	* ChangeLog, Makefile.am, configure.in, pilot-link-pp.pc.in,
	  pilot-link.pc.in: 2003-07-01	JP Rosevear  <jpr@ximian.com>

		  * configure.in: output the pkgconfig files

		  * Makefile.am: dist the pkgconfig files and install them

2003-07-01 15:08  desrod

	* configure.in: Added missing manpages to AC_OUTPUT

2003-07-01 14:55  desrod

	* ChangeLog, NEWS, pilot-link.m4.in, bindings/Makefile.am,
	  bindings/Tcl/Makefile.in, doc/man/Makefile.am,
	  libpisock/socket.c, src/dlpsh.c, src/pilot-dlpsh.c: Final commits
	  for 0.11.8 release

2003-07-01 14:46  desrod

	* configure.in: Added missing Java and Tcl version reports

2003-07-01 14:30  desrod

	* src/: pilot-read-todos.c, read-todos.c: Fixed a non-exit issue
	  when no arguments were passed

2003-07-01 13:07  jpr

	* ChangeLog, bindings/Tcl/Makefile.am, bindings/Tcl/Makefile.in:
	  2003-07-01  JP Rosevear  <jpr@ximian.com>

		  * bindings/Tcl/Makefile.am: define package version

2003-07-01 12:54  jpr

	* ChangeLog, tcl.m4, m4/tcl.m4: 2003-07-01  JP Rosevear
	  <jpr@ximian.com>

		  * tcl.m4: remove the private header stuff and cygpath
	  related
		  stuff for public headers

2003-07-01 12:34  jpr

	* ChangeLog, configure.in, bindings/Tcl/Makefile.am: 2003-07-01  JP
	  Rosevear  <jpr@ximian.com>

		  * configure.in: subst TCL_INCLUDES

		  * bindings/Tcl/Makefile.am: include TCL_INCLUDES

2003-07-01 12:18  desrod

	* src/: install-user.c, pilot-install-user.c, pilot-xfer.c: Small
	  output changes, corrected syntax example

2003-07-01 11:19  jpr

	* configure.in, tcl.m4, bindings/Makefile.am, m4/tcl.m4: 2003-07-01
	   JP Rosevear	<jpr@ximian.com>

		  * configure.in: only call subsequent tcl macros if we
	  could find
		  the tcl config, show enable/disable message properly

		  * tcl.m4: allow passing of "no" to --with-tcl to disable
	  tcl build

		  * bindings/Makefile.am: conditionally compile the tcl dir

2003-06-30 17:03  jpr

	* ChangeLog, acinclude.m4, configure.in, bindings/Tcl/Makefile.am,
	  bindings/Tcl/Makefile.in, bindings/Tcl/pitcl.c: 2003-06-30  JP
	  Rosevear  <jpr@ximian.com>

		  * configure.in: update tcl check

		  * bindings/Tcl/pitcl.c: update for current libpisock

		  * bindings/Tcl/Makefile.am: automakize

2003-06-30 15:51  desrod

	* src/: dlpsh.c, pilot-dlpsh.c: Fixed non-exiting exit bug

2003-06-30 15:16  desrod

	* libpisock/pi-file.c: display_rate() off for now

2003-06-30 14:56  desrod

	* configure.in, tcl.m4, m4/tcl.m4: Tcl m4 macros

2003-06-30 14:56  jpr

	* ChangeLog, include/pi-util.h: 2003-06-30  JP Rosevear
	  <jpr@ximian.com>

		  * include/pi-util.h: fix comment

2003-06-30 14:50  desrod

	* libpisock/: datebook.c, expense.c, mail.c, notepad.c, pi-file.c,
	  todo.c: Revert <time.h>/<sys/time.h> vs. pi-tconfig.h code.

2003-06-30 14:46  desrod

	* src/pilot-xfer.c: Revert <time.h>/<sys/time.h> vs. pi-tconfig.h
	  code.

2003-06-30 14:44  desrod

	* include/: pi-datebook.h, pi-expense.h, pi-mail.h, pi-tconfig.h,
	  pi-todo.h: Reverted <time.h> vs. pi-tconfig.h code

2003-06-17 19:05  desrod

	* src/: dlpsh.c, install-todo.c, kittykiller.c, pilot-dlpsh.c,
	  pilot-install-todo.c, pilot-xfer.c: Minor code cleanup

2003-06-17 18:26  desrod

	* NEWS: Updated for 0.11.8 release

2003-06-17 17:55  desrod

	* ChangeLog: Removed caller to tcl.m4 for now

2003-06-17 17:43  desrod

	* ChangeLog, libpisock/serial.c, libpisock/socket.c: Fixed a leak
	  in the socket structures (Robert L Krawitz)

2003-06-17 17:37  desrod

	* bindings/Java/TODO: Added TODO for Java bindings

2003-06-17 17:22  desrod

	* doc/man/install-datebook.1.in: Fixed a small typo

2003-06-17 17:14  desrod

	* configure.in: Added pilot-foto manpage to dist

2003-06-17 17:09  desrod

	* bindings/Java/Makefile.am: Updated Makefile.am for new files

2003-06-17 16:59  desrod

	* configure.in: Removed TCL checks for now, pending implementation
	  of proper m4 macros

2003-06-17 16:53  desrod

	* bindings/Java/: README.de, libjpisock.c, libjpisock.h, test.java,
	  org/gnu/pilotlink/AddressRecord.java,
	  org/gnu/pilotlink/AppInfo.java,
	  org/gnu/pilotlink/DatebookRecord.java,
	  org/gnu/pilotlink/MemoRecord.java,
	  org/gnu/pilotlink/PilotLink.java,
	  org/gnu/pilotlink/RawAppInfo.java,
	  org/gnu/pilotlink/RawRecord.java, org/gnu/pilotlink/Record.java,
	  org/gnu/pilotlink/SysInfo.java, org/gnu/pilotlink/User.java: New
	  Java bindings

2003-06-17 16:48  desrod

	* bindings/: README.de, libjpisock.c, libjpisock.h, test.java:
	  Adding new Java buildout

2003-06-17 16:43  desrod

	* bindings/Java/: .cvsignore, Jni.c, doConstants.c, test.java: Java
	  replacement by John Mitchell

2003-06-17 16:35  desrod

	* libpisock/: datebook.c, expense.c, mail.c, notepad.c, todo.c:
	  Cleaning up redundant HAVE_SYS_TIME_H cruft.

2003-06-17 16:34  desrod

	* include/: pi-datebook.h, pi-expense.h, pi-mail.h, pi-notepad.h,
	  pi-tconfig.h, pi-todo.h, pi-util.h: Cleaned redundant cruft with
	  HAVE_SYS_TIME_H, probably should go in a more permanent place
	  soon.. consider this temporary.

2003-06-17 15:42  desrod

	* src/pilot-foto.c: Refactoring, getopt_long'ified.

2003-06-17 13:20  desrod

	* doc/man/: Makefile.am, pilot-foto.1.in: New manpage for
	  pilot-foto, to convert images from Palm's 'Foto' application

2003-06-17 13:01  desrod

	* src/: Makefile.am, pilot-foto.c: New conduit to fetch images from
	  Palm handhelds with the CreatorID of 'Foto' such as those
	  produced by the Zire handheld.

2003-06-17 09:58  desrod

	* bindings/Tcl/: README, test.tcl: Minor edits to bring to current:
	  s/cua3/ttyS0/

2003-05-14 13:23  desrod

	* src/pilot-xfer.c: Minor code fixes, removed DEBUG in Restore()
	  (not used)

2003-05-14 10:32  desrod

	* src/: addresses.c, dlpsh.c, getopt.c, getopt1.c, hinotes.c,
	  install-datebook.c, install-expenses.c, install-hinote.c,
	  install-memo.c, pilot-dlpsh.c, pilot-hinotes.c,
	  pilot-install-datebook.c, pilot-install-expenses.c,
	  pilot-install-hinote.c, pilot-install-memo.c, install-netsync.c,
	  install-todo.c, install-todos.c, install-user.c, memos.c,
	  money2qif.c, parsedate.c, pi-csd.c, pi-getram.c, pi-getrom.c,
	  pi-getromtoken.c, pi-nredir.c, pi-port.c, pilot-addresses.c,
	  pilot-archive.c, pilot-clip.c, pilot-csd.c, pilot-dedupe.c,
	  pilot-file.c, pilot-getram.c, pilot-getrom.c,
	  pilot-getromtoken.c, pilot-install-netsync.c,
	  pilot-install-todo.c, pilot-install-todos.c,
	  pilot-install-user.c, pilot-mail.c, pilot-memos.c,
	  pilot-nredir.c, pilot-port.c, pilot-prc.c, pilot-read-expenses.c,
	  pilot-read-ical.c, pilot-read-notepad.c, pilot-read-palmpix.c,
	  pilot-read-todos.c, pilot-reminders.c, pilot-schlep.c,
	  pilot-xfer.c, read-expenses.c, read-ical.c, read-notepad.c,
	  read-palmpix.c, read-todos.c, reminders.c: Lots of code cleanups,
	  added missing 'default' in switch, fixed pilot-xfer exclude
	  buglet

2003-05-14 10:31  desrod

	* ChangeLog: Update changelog

2003-05-14 07:36  desrod

	* bindings/Perl/README: Documentation update

2003-05-14 07:27  desrod

	* bindings/Perl/Pilot.pm: Cleanup, refactoring, will reduce later.

2003-05-10 14:59  desrod

	* doc/man/: pi-getram.1.in, pi-getrom.1.in: Updated manpages to
	  deprecate the CoPilot switches. Use Palm OS Emulator instead

2003-05-10 14:58  desrod

	* src/: pi-getrom.c, pilot-getrom.c: Deprecate CoPilot switch (not
	  used here anyway), Palm OS Emulator exceeds it in functionality

2003-05-10 14:57  desrod

	* src/: pi-getram.c, pilot-getram.c: Deprecate CoPilot switches, no
	  longer used, Palm OS Emulator/POSE exceeds it.

2003-05-10 14:51  desrod

	* doc/man/: addresses.1.in, dlpsh.1.in, hinotes.1.in,
	  install-datebook.1.in, install-expenses.1.in,
	  install-hinote.1.in, install-memo.1.in, install-netsync.1.in,
	  install-todo.1.in, install-user.1.in, pi-getram.1.in,
	  pi-getrom.1.in, pilot-addresses.1.in, pilot-link.7.in,
	  pilot-xfer.1.in, read-expenses.1.in, read-ical.1.in,
	  read-notepad.1.in, read-palmpix.1.in: Updated manpages

2003-04-07 16:05  desrod

	* ChangeLog, configure.in: Remove -Werror for now, which breaks
	  Python builds due to upstream swig inconsistancies. The whole
	  -Werror logic flow needs a rethink.

2003-04-03 11:22  desrod

	* configure.in: Bump these voodoo current, revision, age values

	  Ref: http://sources.redhat.com/autobook/autobook/autobook_91.html

2003-04-03 08:44  jpr

	* doc/man/.cvsignore: Shush

2003-04-01 11:34  jpr

	* ChangeLog, libpisync/sync.c: 2003-04-01  JP Rosevear
	  <jpr@ximian.com>

		  * libpisync/sync.c (store_record_on_pilot): preserve the
	  secret
		  flag for the record

2003-03-27 07:14  desrod

	* ChangeLog, bindings/Perl/Pilot.xs: Fix to remove 'not a hash
	  reference' errors on Perl 5.x built with debug (bug #440 and
	  #219) (Jonathan Mark)

2003-03-27 06:59  desrod

	* ChangeLog, configure.in: Fix to find libpng on Solaris systems
	  (Simon Burr)

2003-03-14 16:48  desrod

	* configure.in, src/Makefile.am: Major rework over the last commit.
	  Proper tcl/tk detection, removed itcl (we weren't using it
	  anyway), fixed the Python version detection stringio mess.

2003-03-14 14:54  desrod

	* configure.in, src/Makefile.am: Maintenance cleanups, deprecate
	  tcl/itcl/tk support (for now?), fix up the Perl, Python, and Java
	  tests, readline tests, readibility cleanups

2003-03-02 14:38  desrod

	* libpisock/: connect.c, notepad.c: Small -Wall cleanups

2003-02-23 18:54  desrod

	* src/getrom.c: Purge, no for real this time (damn you cvs!)

2003-02-23 18:52  desrod

	* src/getrom.c: Purged getrom, deprecated by pi-getrom

2003-02-23 14:38  desrod

	* src/: dlpsh.c, pilot-dlpsh.c: Minor output format change

2003-02-22 12:04  desrod

	* libpisock/connect.c: Use real macro calls, not numeric resolvers

2003-02-22 11:30  desrod

	* libpisock/connect.c: Oops, unused int() removed

2003-02-22 11:21  desrod

	* libpisock/connect.c: Small formatting nit.

2003-02-22 11:07  desrod

	* libpisock/connect.c: Small bit of code to sleep(2)*5 until
	  portname is found

2003-02-20 18:51  desrod

	* libpisock/connect.c: More sensible error messages to report the
	  permissions on symlinked nodes

2003-02-20 15:06  desrod

	* bindings/Makefile.am: Minor error that prevented the Perl
	  bindings from building correctly

2003-02-20 14:50  desrod

	* ChangeLog, configure.in: More verbose errors when things aren't
	  found during configure

2003-02-20 14:07  desrod

	* src/: dlpsh.c, hinotes.c, install-todo.c, pilot-addresses.c,
	  pilot-dlpsh.c, pilot-hinotes.c, pilot-install-todo.c,
	  pilot-read-notepad.c, pilot-read-todos.c, pilot-xfer.c,
	  read-notepad.c, read-todos.c: Fixed a minor segfault problem in
	  pilot-addresses, other minor cleanups

2003-01-15 00:12  desrod

	* ChangeLog, configure.in: Fixed a bug where $LIBS was getting
	  clobbered on BSD systems when gnugetopt was called

2003-01-15 00:05  desrod

	* ChangeLog, include/pi-datebook.h, include/pi-expense.h,
	  include/pi-mail.h, include/pi-todo.h: Cleaned up some missing
	  include directives

2003-01-08 04:26  desrod

	* ChangeLog, doc/README.usb: Change Zire to ttyUSB1 not ttyUSB0
	  (close #442)

2003-01-06 19:04  desrod

	* ChangeLog, bindings/Makefile.am: Yet another fix for Perl's
	  $DESTDIR, this one from a Gentoo patch

2003-01-06 13:03  desrod

	* src/pilot-mail.c: Small patch to change the default location of
	  sendmail. Ideally, this should search for $SENDMAIL and set it,
	  but pilot-mail is deprecated.

2003-01-06 10:06  desrod

	* doc/man/: addresses.1.in, dlpsh.1.in, hinotes.1.in,
	  ietf2datebook.1.in, install-datebook.1.in, install-expenses.1.in,
	  install-hinote.1.in, install-memo.1.in, install-netsync.1.in,
	  install-todo.1.in, install-user.1.in, pi-getram.1.in,
	  pi-getrom.1.in, pilot-addresses.1.in, pilot-link.7.in,
	  pilot-xfer.1.in, read-ical.1.in, read-notepad.1.in,
	  read-palmpix.1.in: manpage updates

2003-01-06 06:47  desrod

	* ChangeLog, configure.in, doc/man/Makefile.am: New install-todo
	  manpage

2003-01-06 06:41  desrod

	* doc/man/: addresses.1.in, dlpsh.1.in, hinotes.1.in,
	  ietf2datebook.1.in, install-datebook.1.in, install-expenses.1.in,
	  install-hinote.1.in, install-memo.1.in, install-netsync.1.in,
	  install-todo.1.in, install-user.1.in, pi-getram.1.in,
	  pi-getrom.1.in, pilot-addresses.1.in, pilot-link.7.in,
	  pilot-xfer.1.in, read-ical.1.in, read-notepad.1.in,
	  read-palmpix.1.in: Updated the strings in the "Author" field,
	  added new manpage for install-todo

2003-01-05 18:44  desrod

	* NEWS, configure.in: Updated for 0.11.7 release, pending.

2003-01-05 18:39  desrod

	* ChangeLog, configure.in: Added doc/man/*.in files for automagic
	  generation

2003-01-05 18:38  desrod

	* doc/man/: addresses.1, dlpsh.1, ietf2datebook.1,
	  install-datebook.1, install-expenses.1, install-hinote.1,
	  install-memo.1, install-netsync.1, install-user.1, pi-getram.1,
	  pi-getrom.1, pilot-addresses.1, pilot-link.7, pilot-xfer.1,
	  read-ical.1, read-notepad.1, read-palmpix.1: Remove static
	  manpages, preference to auto-generated versions

2003-01-05 18:36  desrod

	* doc/man/: Makefile.am, addresses.1.in, dlpsh.1.in, hinotes.1.in,
	  ietf2datebook.1.in, install-datebook.1.in, install-expenses.1.in,
	  install-hinote.1.in, install-memo.1.in, install-netsync.1.in,
	  install-user.1.in, pi-getram.1.in, pi-getrom.1.in,
	  pilot-addresses.1.in, pilot-link.7.in, pilot-xfer.1.in,
	  read-ical.1.in, read-notepad.1.in, read-palmpix.1.in: Converted
	  all the manpages to cleaner format, added @VERSION@ to each one

2003-01-04 10:54  desrod

	* configure.in: Changed $PREFIX to default to /usr/local if not
	  specified

2003-01-04 10:49  desrod

	* configure.in: Bump to 0.11.7

2003-01-04 10:48  desrod

	* ChangeLog, doc/man/Makefile.am, doc/man/addresses.1,
	  doc/man/ietf2datebook.1, doc/man/read-palmpix.1: Added manpage
	  for addresses (more to come), s/stdout/STDOUT/ on two others

2003-01-04 10:32  desrod

	* ChangeLog, configure.in, libpisock/dlp.c: $UID doesn't work on
	  Solaris, geteuid() does, we'll use that in 0.11.8 $instead, minor
	  patch to add \n in PI_LOG events

2003-01-02 22:51  desrod

	* ChangeLog, configure.in: Fixed a mixup with exit() vs exit;

2002-12-29 12:35  desrod

	* configure.in: Still not right, more readline fixes

2002-12-29 12:24  desrod

	* configure.in: Minor readline fixup

2002-12-29 12:11  desrod

	* configure.scan: Remove deprecated file, not needed

2002-12-29 09:49  desrod

	* configure.in: Throw warning, not a fatal error.

2002-12-29 09:12  desrod

	* configure.in: Fix incorrect error condition

2002-12-29 09:08  desrod

	* ChangeLog, configure.in: Fix C++ conftest problem when readline
	  isn't found

2002-12-24 21:24  desrod

	* NEWS: Updated for 0.11.6 release

2002-12-24 21:23  desrod

	* ChangeLog, src/dlpsh.c, src/pilot-dlpsh.c: Changed 'df' layout
	  for 16mb and greater devices

2002-12-24 21:04  desrod

	* ChangeLog: Updated for padp.c change

2002-12-24 21:02  desrod

	* libpisock/padp.c: Added error message regarding port speed issues
	  when PILOTRATE is set too high

2002-12-24 20:42  desrod

	* doc/TODO: Removed closed/deprecated TODO items

2002-12-24 20:39  desrod

	* doc/README.usb: Updated for new devices, ports, kernel versions

2002-12-24 19:12  desrod

	* src/: dlpsh.c, hinotes.c, install-expenses.c, install-hinote.c,
	  install-memo.c, install-netsync.c, install-todo.c,
	  install-todos.c, pi-getromtoken.c, pilot-archive.c,
	  pilot-dlpsh.c, pilot-getromtoken.c, pilot-hinotes.c,
	  pilot-install-expenses.c, pilot-install-hinote.c,
	  pilot-install-memo.c, pilot-install-netsync.c,
	  pilot-install-todo.c, pilot-install-todos.c,
	  pilot-read-notepad.c, pilot-read-palmpix.c, pilot-read-todos.c,
	  pilot-reminders.c, pilot-xfer.c, read-notepad.c, read-palmpix.c,
	  read-todos.c, reminders.c: Minor reformatting (sorry Angus =) and
	  cleanup for 0.11.6 release

2002-12-24 17:29  desrod

	* ChangeLog, src/install-memo.c, src/pilot-install-memo.c: Many
	  fixes to remove malloc() and cast bugs, check file sizes before
	  syncronization, fixed missing 't' argument specifier.

2002-12-24 11:42  desrod

	* configure.in: Remove unnecessary log comment

2002-12-24 11:39  desrod

	* configure.in: Check for UID0, exit clean

2002-12-22 21:47  desrod

	* configure.in: Fixed --enable-debug/--disable-debug clause

2002-12-22 19:43  desrod

	* configure.in: Fixed $withval on --with-efence

2002-12-22 17:16  desrod

	* ChangeLog, configure.in: Cleaning up deprecated headers

2002-12-22 16:17  desrod

	* configure.in: Small syntax error change, die if --with-efence
	  used, but efence not found

2002-12-20 16:07  desrod

	* configure.in: Small efence fix, disabled by default, propagate
	  into $LIBS

2002-12-20 13:16  desrod

	* ChangeLog, configure.in: Added ElectricFence check

2002-12-18 07:49  desrod

	* bindings/Python/test.py: Fixed port, added shebang

2002-12-18 07:48  desrod

	* ChangeLog, bindings/Python/test.py: Added test.py for real this
	  time, whoops.

2002-12-18 07:43  desrod

	* ChangeLog, bindings/Python/README, bindings/Python/README.txt,
	  bindings/Python/src/pisock.i, bindings/Python/src/pisock_wrap.c:
	  Code cleanups from Nicholas Piper, new test script, deprecate
	  README.txt

2002-12-17 13:09  desrod

	* ChangeLog, src/pilot-xfer.c: Minor Connect() misplacement

2002-12-16 10:35  desrod

	* src/pilot-xfer.c: Added a leaner output for Backup()/Install()
	  for now, until better arrives

2002-12-16 10:26  desrod

	* src/pilot-xfer.c: Remove -q [quiet] and -c [count] options,
	  unused and will be replaced by verbose options later

2002-12-14 08:37  desrod

	* ChangeLog, libpisock/inet.c: Small fix for BSD

2002-12-12 13:47  desrod

	* ChangeLog: Fixed small typo

2002-12-11 12:50  desrod

	* configure.in: Added minor check for CVS directory, spit warning
	  if found

2002-12-11 11:13  desrod

	* ChangeLog, src/pilot-archive.c: Added new conduit skeleton for
	  archiving Palm records to desktop (not finished yet)

2002-12-11 10:45  desrod

	* ChangeLog, src/Makefile.am: Deprecate pilot-mail build. The
